2007-10-24  Sven Neumann  <sven@gimp.org>
            Michael Natterer  <mitch@gimp.org>

	* Made 2.4.0 release.

2007-10-23  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-combine.c: move variable to local scope.

	* app/core/gimp-transform-resize.c: formatting.

2007-10-23  Sven Neumann  <sven@gimp.org>

	* data/images/gimp-splash.png: splash screen for GIMP 2.4.

	* authors.xml: added Paul Davey, the artist of the 2.4 splash.

	* AUTHORS: regenerated.

2007-10-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/fp.c: fixed handling of the empty selection
	mask (bug #489410).

2007-10-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/fp.c: made preview windows transient to the
	plug-in dialog. Simplified "Advanced Options" dialog.

2007-10-23  Michael Natterer  <mitch@gimp.org>

	* app/base/pixel-region.c (pixel_region_resize): when resizing,
	don't advance the "data" pointer of regions of contiguous data. I
	should have made this change along with my pixel region cleanup of
	2005-09-03 which sanitized pixel regions of contiguous data.
	Fixes bug #489229.

	* libgimp/gimppixelrgn.c (gimp_pixel_rgn_resize): remove the same
	code here (the removed code was dead since this function refuses
	to be called on pixel regions without a drawable).

2007-10-23  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdrawable-combine.c: formatting.

2007-10-23  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpegqual.c: Added hash value for all known
	quantization tables in order to detect transposed tables from
	rotated images or bad matches coming from different tables with
	the same sum.

2007-10-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/depthmerge.c (util_convertColorspace): fixed
	bogus for-loop.

2007-10-22  Sven Neumann  <sven@gimp.org>

	* app/tools/gimppaintoptions-gui.c: changed aspect ratio of the
	wrap-box used for the "Pressure sensitivity" controls to make them
	fit better into the tool-options.

2007-10-22  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.c: Allow one to three
	digits in octal coded characters.

2007-10-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/gflare/gflare.c (plugin_do_non_asupsample): fixed
	initialisation of pixel regions (bug #488845).

2007-10-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/gflare/gflare.c: formatting.

2007-10-22  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpsourcetool.[ch]: don't draw the source brush
	outline while selecting a new source location (bug #488839).

2007-10-22  Sven Neumann  <sven@gimp.org>

	* modules/cdisplay_lcms.c: improved display of profiles.

2007-10-22  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpegqual.c (quant_info): Updated table for Adobe
	products.  Thanks to Bart for the sample files.

2007-10-21  Simon Budig  <simon@gimp.org>

	* plug-ins/script-fu/scheme-wrapper.c: Add comment regarding
	the safe-foreign issue.

2007-10-21  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/scheme-wrapper.c: Reverted changes in handling
	of string arrays to stay backwards compatible (see bug #317634).

	* plug-ins/script-fu/scripts/font-map.scm: Updated based on change
	in handling of string arrays listed above.

2007-10-21  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/fade-dialog.c (fade_dialog_new): revert change below.

	* app/paint-funcs/paint-funcs.c (replace_inten_pixels): also honor
	the passed opacity when there is no mask. Fixes blending in
	replace mode then where is no selection.

2007-10-21  Sven Neumann  <sven@gimp.org>

	* app/dialogs/fade-dialog.c (fade_dialog_new): select "Normal"
	when the mode of the operation is "Replace". This is incorrect but
	it makes the dialog a lot easier to use.

2007-10-19  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-render.c: tiny cosmetic cleanups.

2007-10-18  Sven Neumann  <sven@gimp.org>

	* modules/cdisplay_lcms.c (cdisplay_lcms_get_display_profile):
	introduced a utility function to retrieve the screen and monitor.

2007-10-18  Sven Neumann  <sven@gimp.org>

	* modules/colorsel_cmyk_lcms.c: ellipsize the profile label. If
	possible, use the profile description as we do in other places.

2007-10-18  Michael Natterer  <mitch@gimp.org>

	* libgimpmodule/gimpmoduledb.c (gimp_module_db_module_initialize):
	simply check for G_MODULE_SUFFIX and remove utility function
	is_valid_module_name().

2007-10-18  Sven Neumann  <sven@gimp.org>

	* app/config/gimpcoreconfig.c: lower the upper limit for
	"undo-levels", mainly for getting a smaller entry in the
	Preferences dialog.

	* libgimpwidgets/gimpmemsizeentry.c (gimp_memsize_entry_new):
	seven digits are enough for a memsize entry.
	
2007-10-18  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimppropwidgets.c (gimp_prop_size_entry_new):
	moved the calculation of the number of characters to a utility
	function.

2007-10-18  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-render.c (box_filter): fixed
	calculation of the alpha value.

2007-10-17  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-render.c (box_filter): sprinkled
	some const qualifiers.

2007-10-17  Sven Neumann  <sven@gimp.org>

	* app/main.c: added back short versions of --gimprc option and
	--console-messages command-line options.

2007-10-17  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpselectionoptions.c: removed a frame.

	* app/tools/gimptransformoptions.c: tweaked layout to reduce
	horizontal extent.

	* app/widgets/gimpviewablebox.c (gradient_box_new): use an icon
	for the "Reverse" check button.

2007-10-17  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimppropwidgets.c (gimp_prop_size_entry_new):
	improved the calculation of the minimum size of the entry.

2007-10-17  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimppropwidgets.c: formatting.

	* libgimpwidgets/gimpnumberpairentry.c: fixed formatting and a
	gtk-doc comment.

2007-10-16  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimppropwidgets.c (gimp_prop_size_entry_new):
	honor the "show-pixels" and "show-percent" properties of the unit
	param spec.

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_start): set
	the image's width/height on the size entries so the percent unit
	works correctly.

2007-10-16  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpselectionoptions.c (gimp_selection_options_gui):
	changed "Show interactive boundary" to "Interactive boundary".

	* app/tools/gimptextoptions.c: align the color panel with the
	button box below it.

2007-10-16  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpaligntool.c: reduced width of the tool options.

2007-10-16  Sven Neumann  <sven@gimp.org>

	* app/paint/paint-enums.[ch] (GimpPerspectiveCloneMode): changed
	"Modify Perspective Plane" to "Modify Perspective".

	* app/tools/gimptextoptions.c (gimp_text_options_gui): changed
	"Create Path from Text" to "Path from Text".

	* app/tools/gimpvectoroptions.c (gimp_vector_options_gui):
	changed "Create Selection from Path" to "Selection from Path".

2007-10-16  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimprectangleoptions.c: redid the x, y, width and
	height entries according to a mockup from peter.

2007-10-16  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimppropwidgets.c (gimp_prop_size_entry_new):
	always connect to refval-changed *and* value-changed of the
	GimpSizeEntry.

2007-10-16  Sven Neumann  <sven@gimp.org>

	* libgimp/gimppatternselectbutton.c
	* libgimp/gimpbrushselectbutton.c
	* libgimpwidgets/gimpcolorarea.c
	* app/widgets/gimpdnd.c
	* app/widgets/gimpdockbook.c: set GDK_WINDOW_TYPE_HINT_DND on
	popup windows used to implement a DND cursor.

2007-10-16  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/gradient.pdb: increased the arbitrary upper
	limit on the number of segments in
	gimp-gradient-segment-range-split-uniform. The old value used to
	create errors in the "Palette to Gradient" script for most of our
	palettes.

	* app/pdb/gradient_cmds.c: regenerated.

2007-10-16  Sven Neumann  <sven@gimp.org>

	* libgimp/gimplayer.c (gimp_layer_copy): removed obsolete comment
	about adding alpha before adding a layer above the background layer.

2007-10-15  Sven Neumann  <sven@gimp.org>

	* app/tools/gimprectangleoptions.c: added translator comment for the
	string "Current". Changed "Auto Shrink Selection" to "Auto Shrink".

2007-10-15  Martin Nordholts  <martinn@svn.gnome.org>

	* app/core/gimpimage-arrange.c (compute_offset): Use
	gimp_vectors_bounds() instead of gimp_item_offsets|width|height()
	when calculating size and position for a path. Fixes bug #486517.

2007-10-15  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpaligntool.c (gimp_align_tool_draw): Use
	gimp_vectors_bounds() instead of gimp_item_offsets|width|height()
	when calculating bounding rectangle for a path. Part of a fix for
	bug #486517.

2007-10-15  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimprectangleoptions.[ch]: split the "unit" property
	into "position-unit" and "size-unit" and added a unit menu to the
	position widget group. UI pending further changes...

2007-10-15  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimprectangleoptions.c (gimp_rectangle_options_gui):
	moved the "Highlight" toggle down to the "Guides" combo.

2007-10-15  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimprectangleoptions.[ch]: added the x and y size
	entries to the GimpRectangleOptionPrivate struct.

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_start): set
	the image's resolution on the x, y, width and height size entries.

2007-10-14  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimprectangleoptions.c (gimp_rectangle_options_gui):
	Reduced the Width: and Height: labels to W: and H:. Please check
	and comment, we need some solution for this group of widgets
	including the unit menu.

2007-10-14  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimprectangleoptions.c (gimp_rectangle_options_gui):
	enable the unit menu on the "Height" entry. Looks like crap and
	needs to be changed, but the unit functionality is almost complete
	now.

2007-10-14  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimprectangleoptions.[ch]: renamed properties x0 and
	y0 to x and y. Also reordered all property code to be in the same
	order and added some empty lines to group the properties.

	* app/tools/gimprectangletool.c: changed accordingly.

2007-10-14  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimppropwidgets.[ch] (gimp_prop_size_entry_new):
	added parameter "gboolean property_is_pixel" which indicates that
	the stored property value is always in pixels and not in the
	selected unit.

	* app/tools/gimptextoptions.c
	* app/widgets/gimpstrokeeditor.c: pass FALSE to keep the old
	behavior.

	* app/tools/gimprectangleoptions.c (gimp_rectangle_options_gui):
	added property "fixed-unit" which is used for all fixed values
	now. Perhaps we need separate units for width/height/size. Enable
	the unit menu on the "Width" and "Height" size entries of the
	"Fixed" section and configure them to store the value in
	pixels. This was the easy part, some other widgets still need unit
	support.

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_start): set
	the image's resolution on the size entries changed above.

2007-10-14  Raphaël Quinet  <raphael@gimp.org>

	* app/tools/gimpaligntool.[ch]: Re-wrote the cursor handling
	logic, added cursor modifiers, added hints in the status bar in
	order to make it easier to discover how to use the tool.  Adds new
	translatable strings, fixes bug #486110.

2007-10-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_options_notify): When Fixed: Size/Aspect
	ratio numbers are swapped and the Fixed:-rule is active, swap
	width and height on any pending rectangle. Fixes bug #479999.

2007-10-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_apply_aspect): Use ROUND() not round().

2007-10-13  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/colormap-remap.c (run): don't use the last-used
	mapping in interactive mode, only do this when called with run-mode
	GIMP_RUN_WITH_LAST_VALS. Fixes bug #486283.

2007-10-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_apply_aspect): Use round() when solving the
	aspect ratio equations as this produces more accurate results.

2007-10-12  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdrawable-stroke.c: formatting.

2007-10-12  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimprectangleoptions.[ch]: massively simplified the
	fixed rule widget showing/hiding, fixed their spacing, make sure
	they don't cause UI resizing on rule change.

2007-10-12  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcolorselectorpalette.c: #include "gimp-intl.h"

2007-10-12  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcolorselectorpalette.c: 
	* plug-ins/twain/twain.c: marked strings for translation (bug #485937).

2007-10-12  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.c: Fix off by one error.
	Stop on third digit after backslash when reading octal character.
	Original cause of bug #485538.

2007-10-11  Sven Neumann  <sven@gimp.org>

	* app/tools/gimprectangleoptions.c (gimp_rectangle_options_gui):
	left-align the size entries.

2007-10-11  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_tool_events): if we need to
	delete/create tools on button press because the active tool
	doesn't support changing drawables, make sure the newly created
	tool gets its focus_display and modifier states set correctly.
	Fixes bug #485119. Improved disabled debug output.

	* app/tools/gimptool.c: stylistic cleanup in debug output.

2007-10-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.[ch]: moved the new string
	escape function here and also it for the non-interactive case.

	* plug-ins/script-fu/script-fu-interface.c: changed accordingly.

2007-10-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-interface.c: don't use
	g_strescape() as it mangles UTF-8 strings. Introduced our own
	escape function instead. Fixes bug #485538.

2007-10-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_add_script):
	use G_DIR_SEPARATOR instead of hardcoding the '\' under Windows.

2007-10-10  Sven Neumann  <sven@gimp.org>

	* app/tools/gimprectangleoptions.c
	(gimp_rectangle_options_string_current_updates): an object can
	access its own private struct directly.

2007-10-10  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcontrollerinfo.c
	* app/widgets/gimpcontrollers.c: formatting.

2007-10-09  Martin Nordholts  <martinn@svn.gnome.org>

	* libgimpwidgets/gimpnumberpairentry.c
	(gimp_number_pair_entry_get_default_text): Correct gtk-doc
	comment.

2007-10-09  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleoptions.[ch]: Connect a new function
	gimp_rectangle_options_string_current_updates() that updates the
	Fixed: Aspect entry with a 'Current' string when aspect of the
	current pending rectangle is used, and sets sensitivity FALSE on
	aspect ratio changing buttons when that string is shown. Prevents
	the confusion mentioned in bug #479999.

	A new Rectangle Options property 'use-string-current' has been
	added that should be refactored away from the options object along
	with references to option widgets.

	* app/tools/gimprectangleselecttool.c
	(gimp_rect_select_tool_update_option_defaults): Set default Fixed:
	Aspect ratio to that of the pending rectangle, and always have
	default Fixed: Size as 100x100.

	* app/tools/gimpcroptool.c
	(gimp_crop_tool_update_option_defaults): Always have default
	Fixed: Size 100x100.

	* libgimpwidgets/gimpnumberpairentry.[ch]
	(gimp_number_pair_entry_class_init): Add a new property
	'default-text' that contains text to be shown instead of numbers
	when default numbers are to be shown.
	(gimp_number_pair_entry_get_default_text)
	(gimp_number_pair_entry_set_default_text): Getter and setter for
	it.

	* libgimpwidgets/gimpwidgets.def: Updated.

2007-10-09  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimppropwidgets.c
	(gimp_prop_file_chooser_button_setup): use the "file-set" signal
	if possible (introduced with gtk+ 2.12). Enable display of hidden
	files if the initial filename is a hidden file.

2007-10-09  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimppluginmanager-restore.c
	(gimp_plug_in_manager_add_from_rc): changed message about missing
	executable and only output it if gimp is verbose.

2007-10-09  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpnumberpairentry.c: fixed ambiguous gtk-doc
	comment.

2007-10-09  Sven Neumann  <sven@gimp.org>

	* app/base/Makefile.am
	* app/base/tile.[ch]
	* app/base/tile-rowhints.[ch]: moved tile row hints code to its
	own file.
	
	* app/base/tile-cache.c
	* app/base/tile-manager.c
	* app/base/tile-swap.c
	* app/paint-funcs/paint-funcs.c: changed accordingly.

2007-10-09  Sven Neumann  <sven@gimp.org>

	* app/core/gimpitem.c
	* app/tools/gimprectangletool.c
	* app/tools/tools-utils.c: fixed ambiguous gtk-doc comments.

2007-10-09  Sven Neumann  <sven@gimp.org>

	* app/base/tile-pyramid.c (tile_pyramid_write_quarter): optimized
	the rendering of fully opaque regions.

2007-10-09  Sven Neumann  <sven@gimp.org>

	* app/base/tile.[ch]
	* app/paint-funcs/paint-funcs.c: moved code to update tile row
	hints to tile.[ch].

2007-10-09  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimphelpui.c (gimp_help_connect): pass canonical
	signal names to gtk_binding_entry_add_signal().

2007-10-09  Sven Neumann  <sven@gimp.org>

	* app/actions/window-commands.c: specify alternative button order.

2007-10-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg-load.c: removed an obsolete comment.

2007-10-09  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpactionview.c
	* app/widgets/gimphelp.c: specify alternative button order for
	message dialogs.

	* app/dialogs/user-install-dialog.c: removed trailing whitespace.

2007-10-08  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpperspectiveclonetool.c: implement button_release
	and stop the draw tool when in adjust mode. Fixes bug #483912.

	(gimp_perspective_clone_tool_mode_notify): start the draw tool.

2007-10-08  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpperspectiveclonetool.c: cosmetics.

2007-10-08  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpviewrendererimage.c
	(gimp_view_renderer_image_render): as some kind of workaround for
	bug #459518, show the fallback icon when rendering the preview for
	an invisible channel.

2007-10-08  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell.[ch]: removed level from
	GimpDisplayShell struct.

	* app/display/gimpdisplayshell-render.c: fixed rendering of the mask.
	Closes bug #448417 again.

2007-10-08  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcolorpanel.[ch]: reverted the live update change
	from bug #451568. It causes breakage such as bug #484757.

2007-10-08  Sven Neumann  <sven@gimp.org>

	* app/config/gimpdisplayconfig.[ch]
	* app/config/gimprc-blurbs.h
	* app/display/display-enums.[ch]
	* app/display/gimpdisplayshell-handlers.c
	* app/display/gimpdisplayshell-render.c: allow to configure the
	display zoom quality.

	* app/display/gimpdisplayshell-transform.c: formatting. 

2007-10-08  Raphaël Quinet  <raphael@gimp.org>

	* authors.xml: Added Peter Sikking as author (we do not have a
	more appropriate category for interface architects).

2007-10-07  Sven Neumann  <sven@gimp.org>

	* libgimpconfig/gimpcolorconfig.c: use a neutral gray as the
	default out-of-gamut warning color.

2007-10-06  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/poppler.c: Implement non-interactive mode, and make
	it match the old PDF loader API. Fixes bug #483425.

2007-10-06  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpeditselectiontool.c (gimp_edit_selection_tool_draw):
	check that there are segments to draw before calling
	gimp_draw_tool_draw_boundary().

2007-10-06  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-colormap.c (gimp_image_set_colormap): don't
	delete the colormap on indexed images. Fixes bug #483887.

2007-10-06  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-colormap.c (gimp_image_set_colormap): set all
	entries to zero before assigning the new colormap.

	* app/paint-funcs/paint-funcs.[ch]: added const qualifiers.

2007-10-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/dialog.c: store the zoom factor. Doesn't
	work currently, but just needs a simple fix in gtkhtml2.

2007-10-06  Sven Neumann  <sven@gimp.org>

	* app/core/gimpselection.c (gimp_selection_float): don't pop up a
	warning dialog if the selection is empty (bug #483896).
	
	* app/actions/select-commands.c (select_float_cmd_callback): use
	gimp_message() here in case that gimp_selection_float() fails.

2007-10-06  Manish Singh  <yosh@gimp.org>

	* configure.in: ditch stray "," character.

2007-10-05  Sven Neumann  <sven@gimp.org>

	* modules/cdisplay_lcms.c (cdisplay_lcms_get_display_profile):
	corrected a mistake caused by a misinterpretation of the spec.

2007-10-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/screenshot.c (create_image): check that the
	window shape is non-empty before applying it to the alpha channel.

2007-10-05  Sven Neumann  <sven@gimp.org>

	* modules/cdisplay_lcms.c (cdisplay_lcms_get_display_profile):
	support the new revision of the ICC Profiles In X specification
	which handles Xinerama setups.

2007-10-05  Sven Neumann  <sven@gimp.org>

	* app/dialogs/preferences-dialog.c: use the same size for all
	color buttons.

2007-10-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/perspective-shadow.scm: applied patch
	from Ulf-D. Ehlert with usability improvements (bug #482743).

2007-10-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/mblur.c: restore compatibility by registering an
	extra procedure for the inward/outward parameter (bug #483426).

2007-10-05  Sven Neumann  <sven@gimp.org>

	* app/dialogs/preferences-dialog.c: allow to configure the
	out-of-gamut warning color.

2007-10-05  Sven Neumann  <sven@gimp.org>

	* modules/colorsel_cmyk_lcms.c: always use the configured CMYK
	profile, regardless of the color management mode.

2007-10-05  Sven Neumann  <sven@gimp.org>

	* app/plug-in/plug-in-menu-path.c (plug_in_menu_path_map):
	rewritten array handling to make the IRIX MIPSpro compiler happy
	(bug #483619).

2007-10-05  Sven Neumann  <sven@gimp.org>

	* libgimpconfig/gimpcolorconfig.[ch]: added settings for marking
	out-of-gamut colors in the Print Simulation (bug #476824).

	* app/dialogs/preferences-dialog.c: added a check-button for the
	out-of-gamut warning and tweaked the layout of the Color Management
	page to make the relationship of the settings more obvious.

	* modules/cdisplay_lcms.c: mark out-of-gamut colors.

2007-10-04  Sven Neumann  <sven@gimp.org>

	* modules/cdisplay_lcms.c
	* modules/cdisplay_proof.c
	* modules/colorsel_cmyk_lcms.c
	* plug-ins/common/lcms.c 
	* plug-ins/jpeg/jpeg-load.c: use cmsFLAGS_BLACKPOINTCOMPENSATION
	instead of the equivalent cmsFLAGS_WHITEBLACKCOMPENSATION.

2007-10-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg-load.c (jpeg_load_cmyk_transform): use the
	display rendering intent as set in the user's color management
	preferences. Use black point compensation if the rendering intent
	is relative colorimetric.

	* modules/colorsel_cmyk_lcms.c: same change here.

2007-10-03  Sven Neumann  <sven@gimp.org>

	* modules/cdisplay_lcms.c: use black point compensation if the
	rendering intent is relative colorimetric.

	* plug-ins/common/lcms.c: use the display rendering intent as set
	in the user's color management preferences as the default for the
	color conversion. Default to using black point compensation if the
	rendering intent is relative colorimetric (bug #475983).

2007-10-03  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/perspective-shadow.scm: applied patch
	from Ulf-D. Ehlert that fixes resizing in the Perspective Shadow
	script (bug #482743).

2007-10-02  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/scatter_hsv.c (scatter_hsv_dialog): changed the
	dialog title to adopt to the menu label we changed two years ago.

2007-10-02  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/metadata/metadata.c
	* plug-ins/metadata/xmp-model.c
	* plug-ins/metadata/xmp-encode.c: replaced calls to g_warning() by
	g_printerr().

2007-10-02  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/oilify.c (get_map_value): clamp values used for
	the exponent map to 1..255. Fixes bug #478618.

2007-10-02  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/scripts/guides-new.scm: Use 'list' to create
	argument list for SF-ADJUSTMENT since it uses a named constant.
	Fixes bug #480799.

2007-10-01  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/scripts/burn-in-anim.scm: use RUN-NONINTERACTIVE
	for the run-mode where 0 was used instead.

2007-10-01  Sven Neumann  <sven@gimp.org>

	* plug-ins/pygimp/plug-ins/Makefile.am: moved shadow_bevel.py to
	test-scripts so that it isn't installed by default (bug #482289).

2007-10-01  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/*.scm: use RUN-NONINTERACTIVE for the
	run-mode where 1 was used instead.

2007-10-01  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpwidgets-utils.[ch]: removed
	gimp_get_accel_string() and use gtk_accelerator_get_label()
	instead.

	* app/widgets/gimpactionview.c: ditto.

2007-10-01  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/camo.scm
	* plug-ins/script-fu/scripts/distress-selection.scm
	* plug-ins/script-fu/scripts/fuzzyborder.scm
	* plug-ins/script-fu/scripts/old-photo.scm
	* plug-ins/script-fu/scripts/rendermap.scm
	* plug-ins/script-fu/scripts/tileblur.scm
	* plug-ins/script-fu/scripts/unsharp-mask.scm: use
	RUN-NONINTERACTIVE for the run-mode instead of TRUE.

2007-09-30  Simon Budig  <simon@gimp.org>

	* app/display/gimpdisplayshell.[ch]
	* app/display/gimpdisplayshell-render.c: 64bittified the code so
	  that the new renderer also works for big images. Slightly
	  reorganized.

	* app/display/gimpdisplayshell-transform.c: Another go at
	  bug #474509. This even might be fixed now...

2007-09-30  Sven Neumann  <sven@gimp.org>

	* app/core/gimp-utils.c (gimp_get_temp_filename): handle a NULL
	extension and create a filename without file extension.

	* tools/pdbgen/pdb/fileops.pdb
	* app/pdb/fileops_cmds.c: allow NULL to be passed as extension
	parameter to gimp_temp_name().

2007-09-30  Sven Neumann  <sven@gimp.org>

	* app/actions/templates-commands.c: reverted last change. We would
	also have to change a string if we wanted to do this change.

2007-09-30  Sven Neumann  <sven@gimp.org>

	* app/actions/templates-commands.c
	(templates_create_image_cmd_callback): when creating an image from a
	template, skip the New Image dialog as suggested in bug #480802.

2007-09-30  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/pygimp-pdb.c (pygimp_param_from_tuple): drop the
	reference we added to the args tuple in the error case.

2007-09-30  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/plug-ins/foggify.py: fill layer before using it.
	Fixes bug #481798, thanks to Jakub Friedl for suggesting fix.

2007-09-29  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimp.c (gimp_extension_process): loop around select() as
	long as it returns EINTR. Enables debugging of script-fu on
	OSX (and maybe all BSDish systems).

2007-09-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-console.c: allocate the
	ConsoleInterface struct on the stack.

2007-09-28  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/scripts/addborder.scm: Made all the functions
	defined in the file local instead of global to avoid possible
	conflicts with other scripts.

2007-09-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scheme-wrapper.c: plugged memory leaks.

	* libgimpbase/gimpprotocol.c (gp_params_destroy): formatting.

2007-09-28  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/gimpcolorspace.c (gimp_hsv_to_rgb_int): avoid the
	ambiguity of returning different values for the same color and
	limit the Hue output range to [0..359].

2007-09-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/tiff-load.c (load_rgba): use
	gimp_pixel_rgn_set_row() to set a single row of pixels.

2007-09-28  Sven Neumann  <sven@gimp.org>

	* data/images/gimp-splash.png: fixed typo.

2007-09-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg-load.c (load_image): fixed the twisted logic.

2007-09-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg-load.c: moved handling of the CMYK profile to
	a utility function. Respect the user's color management settings.

2007-09-27  Kevin Cozens  <kcozens@cvs.gnome.org>

	Create SF-RUN-MODE constant for use in Script-Fu. Fixes bug #479893.

	* plug-ins/script-fu/scheme-wrapper.c
	* plug-ins/script-fu/scheme-wrapper.h: Added set_run_mode_constant()
	which creates a new constant called SF-RUN-MODE. This constant can
	be used by Script-Fu scripts when calling a plug-in that needs to
	know the current run mode.

	* plug-ins/script-fu/script-fu-scripts.c
	* plug-ins/script-fu/script-fu-console.c
	* plug-ins/script-fu/script-fu.c
	* plug-ins/script-fu/script-fu-server.c: Added calls to create the
	new SF-RUN-MODE constant.

	* plug-ins/script-fu/scripts/difference-clouds.scm: Pass SF-RUN-MODE
	to the solid noise plug-in instead of always using RUN-INTERACTIVE.

2007-09-27  Michael Natterer  <mitch@gimp.org>

	* app/gui/ige-mac-menu.c: new version which correctly updates the
	menus when items are added or removed.

2007-09-27  Sven Neumann  <sven@gimp.org>

	* configure.in: define HAVE_LCMS if lcms is available.

	* plug-ins/jpeg/Makefile.am: link with LIBLCMS.

	* plug-ins/jpeg/jpeg-load.c (load_image): when loading a CMYK JPEG
	file and it comes with an embedded CMYK profile, use lcms to do
	the colorspace conversion.

2007-09-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg-load.c (load_thumbnail_image): same change
	here. Moved colorspace conversion to a utility function.

2007-09-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg-load.c (load_image): get rid of one of the
	temporary buffers. We don't need an alpha channel on the preview
	layer and we can do the CMYK->RGB conversion in place.

2007-09-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/iwarp.c (run): show the dialog when called with
	GIMP_RUN_WITH_LAST_VALS. This is better than just doing nothing
	when being called from the Repeat menu item (bug #480796).

2007-09-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/add-bevel.scm: fixed GimpImageType
	parameter passed to gimp-layer-new. Do not register the script for
	grayscale images, it doesn't handle them properly.

2007-09-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scheme-wrapper.c: unified error
	messages, removed trailing newlines.

2007-09-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c: don't create nested undo groups.

2007-09-26  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimageundo.c (gimp_image_undo_pop): call
	gimp_color_managed_profile_changed() if an icc-profile is attached
	or removed from an image by an undo operation (bug #475983).

2007-09-26  Simon Budig  <simon@gimp.org>

	* app/display/gimpdisplayshell-render.c: fix the numerical overflow
	for the new box-filtering stuff.

	Fixes bug #479807.

2007-09-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/maze/maze_face.c (maze_dialog): use separate variables
	for width and height entry. Fixes bug #480303.

2007-09-26  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcontrollerwheel.c (gimp_controller_wheel_scroll):
	fixed check for modifier keys and always return on a matched
	event (bug #480319). Also reordered the list of events as the code
	does not any longer rely on a certain order.

2007-09-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/maze/maze_face.c: minor cleanup, removed unused code.

2007-09-25  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpmessagebox.c (gimp_message_box_constructor):
	left-align the image.

	* app/actions/data-commands.c
	* app/actions/documents-commands.c
	* app/actions/file-commands.c
	* app/actions/templates-commands.c: use more meaningful stock
	icons for message dialogs.

2007-09-25  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/decompose.c: reverted "fix" for bug #477008.

	* tools/pdbgen/pdb/display.pdb
	* app/pdb/display_cmds.c: flush the image before creating a new
	display for it. Fixes bug #477008 also for other plug-ins like
	Screenshot.

2007-09-25  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpwidgets-utils.c (gimp_widget_accel_changed):
	show the keyboard shortcut in brackets, as we do in other places.

2007-09-25  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/scripts/fuzzyborder.scm: Applied patch from
	Ulf-D. Ehlert which pushes and pops a context to prevent
	changing background colour in the UI. Fixes bug #479974.

2007-09-24  Matic Zgur  <mr.zgur@gmail.com>

	* configure.in: Added 'sl' to ALL_LINUGAS.

2007-09-24  Simon Budig  <simon@gimp.org>

	* tools/pdbgen/pdb/vectors.pdb: fixed error on how many points get
	initialized.
	* app/pdb/vectors_cmds.c: regenerated

	Probably fixes bug #479790.

2007-09-24  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-render.c: removed const qualifiers
	to fix compilation on Solaris 8 (bug #479817).

2007-09-24  Michael Natterer  <mitch@gimp.org>

	* app/gui/ige-mac-menu.c (ige_mac_menu_add_app_menu_item): allow
	to pass NULL as label and get the label from the menu item.

	* app/gui/gui.c (gui_restore_after_callback): pass NULL as labels
	for the preferences menu items.

2007-09-24  Michael Natterer  <mitch@gimp.org>

	* app/gui/ige-mac-menu.[ch]: new versions with slight API renaming
	and new generalized API for adding application menu items.

	* app/gui/gui.c (gui_restore_after_callback): follow API changes
	and add "Preferences", "Keyboard Shortcuts" and "Units" to the
	application menu's preferences section.

2007-09-24  Simon Budig  <simon@gimp.org>

	* app/xcf/xcf-load.c: use the correct default values for the
	control points of a loaded path.

	Fixes bug #479176.

2007-09-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/drop-shadow.scm: applied patch from
	Ulf-D. Ehlert which fixes a bug which may shrink the image instead
	of enlarging it (bug #478385).

2007-09-23  Sven Neumann  <sven@gimp.org>

	* Made 2.4.0-rc3 release.

2007-09-23  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimptooloptionseditor.c
	(gimp_tool_options_editor_get_title): avoid the crash reported in
	bug #470304.

2007-09-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c: marked blurbs as translatable.

2007-09-23  Simon Budig  <simon@gimp.org>

	* app/display/gimpdisplay.c: Accomodate for spill that
	happens by the box filtering.

	Fixes bug #474509. Again. Hopefully.

2007-09-23  Michael Natterer  <mitch@gimp.org>

	* menus/toolbox-menu.xml.in: added placeholder File/Preferences
	and move the preferences and keyboard shortcut dialogs there.

	* plug-ins/common/uniteditor.c (query): register the unit editor
	there too.

2007-09-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/pcx.c: avoid pointer arithmetics on void pointers.
	Fixes compilation on IRIX (bug #479357).

2007-09-23  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleselecttool.c: Reverted commits for
	bug #479426, it's NOTABUG.

2007-09-23  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleselecttool.c
	(gimp_rect_select_tool_should_draw): New name for
	gimp_rect_select_selection_visible() which has been changed to
	always return TRUE when the tool is active, i.e. when a rectangle
	is being create or resized. Better fix for bug #479426.

2007-09-23  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleselecttool.c
	(gimp_rect_select_tool_draw): Only draw the rectangle when `Show
	selection' is `true', with the help of a new function
	gimp_rect_select_tool_selection_visible(). Fixes bug #479426.

2007-09-23  Simon Budig  <simon@gimp.org>

	* plug-ins/common/bumpmap.c: add a few strategically placed
	return TRUEs to stop event propagation.

	Fixes bug #479389

2007-09-23  Simon Budig  <simon@gimp.org>

	* app/display/gimpdisplayshell-render.c: oops - managed to miss the
	mask rendering.

2007-09-23  Simon Budig  <simon@gimp.org>

	* app/display/gimpdisplayshell-render.c: use Bresenham stepping
	for the y-direction as well.

	Fixes bug #474509.

	Retired old and unused functions.

2007-09-23  Simon Budig  <simon@gimp.org>

	* app/display/gimpdisplayshell-render.c: implement
	bresenham-like stepping for interpolating the view in
	x-direction. Since I now know how it is supposed to work
	the y direction will follow shortly.

	Adresses bug #474509.

2007-09-22  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpcropoptions.[ch]: Add an allow-growing option.

	* app/tools/gimpcroptool.c: Take the new allow-growing option into
	account when setting crop rectangle constraints, and restructure
	the code a bit.
	(gimp_crop_tool_execute): Allow rectangles larger than the
	image/layer being sent to gimp_image_crop() since that function
	handles that fine. These changes fixes bug #368325.

2007-09-22  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_set_constraint): Enforce constraints of any
	pending rectangle when setting a constraint.

2007-09-22  Simon Budig  <simon@gimp.org>

	* plug-ins/script-fu/tinyscheme/scheme.c: further simplifications.

2007-09-21  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.c (basic_inchar): Applied
	modified patch from Simon Budig. Any bytes read from a file which
	are not valid UTF-8 characters will be ignored. Fixes bug #476356.

2007-09-21  Sven Neumann  <sven@gimp.org>

	General fix for bug #478657:

	* libgimp/gimpaspectpreview.c
	* libgimp/gimpdrawablepreview.c
	* libgimp/gimpzoompreview.c: let all preview widgets store the
	state of the Preview toggle. Declared "toggle" parameter as unused.

	* plug-ins/common/*.c: pass NULL for "toggle" to
	gimp_drawable_preview_new() and gimp_aspect_preview_new().

2007-09-21  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimppreview.c: formatting.

	* libgimpwidgets/gimpscrolledpreview.c: make use of freeze/thaw to
	reduce the number of updates during initialization.

2007-09-21  Sven Neumann  <sven@gimp.org>

	* app/file/file-open.c (file_open_image): set the image clean
	after handling the color profile.

2007-09-20  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage.[ch]: added a load_proc member to GimpImage
	and getters and setters for it.

	* app/file/file-open.c (file_open_image): set the load procedure,
	but only if it hasn't been set already. Use the MIME type from the
	load procedure that is set on the image.

	* tools/pdbgen/pdb/fileops.pdb (file_load_invoker): set the load
	procedure. This causes it to be set when the URI plug-in calls
	gimp-file-load to load the image.

	* app/pdb/fileops_cmds.c: regenerated.

	* app/widgets/gimpimagepropview.c
	(gimp_image_prop_view_label_set_filetype): use the MIME type from
	the load procedure, in case that no save procedure is set.

2007-09-20  Sven Neumann  <sven@gimp.org>

	* app/gui/gui-vtable.c (gui_recent_list_add_uri): use
	"application/octet-stream" as MIME type in case that it is unset.

2007-09-20  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpegqual.c (quant_info): updated the table of
	known devices and software, work in progress.

2007-09-20  Michael Natterer  <mitch@gimp.org>

	* menus/image-menu.xml.in: added placeholder Edit/Preferences and
	move the preferences and keyboard shortcut dialogs there.

	* plug-ins/common/uniteditor.c (query): register the unit editor
	there too.

2007-09-19  Sven Neumann  <sven@gimp.org>

	* app/base/gimphistogram.c: weight pixels by their alpha value
	(bug #477689).

2007-09-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/compose.c: removed extra arguments that were
	added to the compose procedures in the 2.3 development cycle.
	Restores compatibility and fixes bug #477795.

2007-09-19  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpegqual.c: Re-wrote large parts of the code,
	still work in progress: use GOption for command-line options, add
	number of quantization tables in QuantInfo, added info for more
	sources (devices or software) but not verified yet.

2007-09-19  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpeg-load.c
	* plug-ins/jpeg/jpeg-save.c: ifdef'ed out some debugging
	statements so that they show up only in unstable releases.

	* plug-ins/jpeg/jpeg.c (run): removed calls to gimp_set_data() and
	gimp_get_data() so that changes made to the JPEG save settings for
	one file do not affect other files saved later.

2007-09-18  Michael Natterer  <mitch@gimp.org>

	* app/gui/gtk-macmenu.[ch]: removed...

	* app/gui/ige-mac-menu.[ch]: ...and replaced by new versions which
	don't use the GTK+ namespace.

	* app/gui/Makefile.am
	* app/gui/gui.c: changed accorgingly.

2007-09-18  Michael Natterer  <mitch@gimp.org>

	* configure.in: replaced HAVE_GDK_QUARTZ conditional by
	--disable-toolbox-menu configure switch which defaults to "no"
	normally and to "yes" on quartz.

	* app/widgets/gimptoolbox.c: changed #ifdef accordingly.

	* app/plug-in/Makefile.am
	* app/plug-in/plug-in-menu-path.[ch]: new generic machanism to map
	around menu locations. If ENABLE_TOOLBOX_MENU is false, map
	"Xtns" and "Help" from <Toolbox> to <Image>.

	* app/plug-in/gimppluginmanager-menu-branch.c
	* app/plug-in/gimppluginprocedure.c: run all menu paths through the
	new mapping function.

	* menus/Makefile.am
	* menus/menus.xsl
	* menus/image-menu.xml.in: add both the "Xtns" and "Help" menus to
	the image menubar if TOOLBOX_MENU is false.

2007-09-18  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/fileops.pdb: canonicalize the name of the
	thumbnail loader procedure too. Fixes bug #477917.

	* app/pdb/fileops_cmds.c: regenerated.

2007-09-17  Martin Nordholts  <martinn@svn.gnome.org>

	* plug-ins/common/psd-load.c (do_layer_record, load_image):
	Applied slightly modified patch from John Marshall that drops
	adjustment and layer group layers when loading PSD files. Fixes
	bug #474718.

2007-09-17  Nils Philippsen  <nphilipp@redhat.com>

	* plug-ins/common/pcx.c (load_image): verify that the bytesperline
	header field (number of bytes to allocate per plane and line)
	isn't less than the width of the image (bug #477802).

2007-09-17  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdockbook.[ch]: when DND-hovering > 500ms over a
	notebook tab, switch to that tab's page. Suggested by Saul Goode.

2007-09-17  Sven Neumann  <sven@gimp.org>

	* modules/cdisplay_proof.c: use a GimpColorProfileComboBox for
	profile selection.

2007-09-17  Simon Budig  <simon@gimp.org>

	* plug-ins/common/decompose.c: flush the displays at the end.

	Fixes bug #477008.

2007-09-17  Simon Budig  <simon@gimp.org>

	* app/display/gimpdisplayshell-render.c: avoid rendering
	issues by adding xdelta/2 to xstart.

	Probably fixes bug #474509.

2007-09-15  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/layer.pdb: added gimp-layer-flatten.
	Fixes bug #477026. Fixed docs of gimp-layer-add-alpha.

	* app/pdb/internal_procs.c
	* app/pdb/layer_cmds.c
	* libgimp/gimplayer_pdb.[ch]: regenerated.
	* libgimp/gimp.def: changed accordingly.

2007-09-15  Michael Natterer  <mitch@gimp.org>

	Make layer masks work consistently on layers without alpha.
	Fixes bug #475548.

	* app/core/gimplayer.c (gimp_layer_apply_mask): changed to work
	on layers without alpha.

	* app/actions/layers-commands.c (layers_add_mask_response): don't
	automatically add an alpha channel when adding a layer mask.

2007-09-14  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/gimpdatafiles.c: move private functions to the end
	of the file. Added function is_hidden() and use it in
	gimp_datafiles_read_directories(). Moved variables to local
	scopes.

2007-09-14  Sven Neumann  <sven@gimp.org>

	* app/gui/gui-vtable.c (gui_recent_list_add_uri): use the
	untranslated application name. Specify the group "Graphics".

2007-09-14  Sven Neumann  <sven@gimp.org>

	* app/base/tile-pyramid.c: formatting.

	* app/display/gimpdisplayshell-render.c: removed unused include.

2007-09-13  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/scripts/lava.scm: Removed 'from-selection'.
	Reset active layer after calling gimp-selection-save. Modified
	version of patch from Jakub Friedl which fixes bug #476672. Don't
	add alpha if drawable already has alpha. Minor format changes.

2007-09-13  Sven Neumann  <sven@gimp.org>

	* app/gui/Makefile.am
	* app/gui/gui-vtable.c (gui_recent_list_add_uri): use GIMP_COMMAND
	instead of hardcoding "gimp" as the command line used to launch
	this resource. Use the translated full application name.

2007-09-13  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpcolorprofilestore-private.h
	* libgimpwidgets/gimpcolorprofilestore.c
	* libgimpwidgets/gimpcolorprofilecombobox.c: only keep the eight
	most recently used profiles in the history.

2007-09-13  Nils Philippsen  <nphilipp@redhat.com>

	* app/file/file-save.[ch] (file_save)
	* app/dialogs/file-save-dialog.c (file_save_dialog_save_image)
	* app/actions/file-commands.c (file_save_cmd_callback)
	* app/widgets/gimpdnd-xds.c (gimp_dnd_xds_save_image): don't pass
	Gimp instance to file_save() calls as it's not needed

2007-09-13  Nils Philippsen  <nphilipp@redhat.com>

	Drop own recently used files code in favour of GtkRecentManager:
	
	* app/core/gimp-gui.[ch] (gimp_recent_list_add_uri)
	* app/gui/gui-vtable.c (gui_recent_list_add_uri): add
	{gimp,gui}_recent_list_add_uri(), gui_recent_list_add_uri()
	dispatches to GtkRecentManager

	* app/dialogs/file-save-dialog.c (file_save_dialog_save_image)
	* app/actions/file-commands.c (file_save_cmd_callback)
	* app/widgets/gimpdnd-xds.c (gimp_dnd_xds_save_image): pass Gimp
	instance to file_save() calls
	
	* app/file/file-open.c (file_open_with_proc_and_display)
	(file_open_layers)
	* app/file/file-save.[ch] (file_save): pass Gimp instance to
	gimp_recent_list_add_uri() calls

	* app/file/gimprecentitem.[ch]
	* app/file/gimprecentlist.[ch]: removed

	* app/file/Makefile.am: drop reference to removed files

2007-09-13  Michael Natterer  <mitch@gimp.org>

	* configure.in: : remove PANGO_DISABLE_DEPRECATED only for
	pango >= 1.19, GIMP builds fine against 1.18

2007-09-13  Sven Neumann  <sven@gimp.org>

	* app/core/gimpviewable.c: removed static variable debug_context
	but keep the warnings about NULL contexts.

2007-09-13  Sven Neumann  <sven@gimp.org>

	* app/text/gimpfontlist.c (gimp_font_list_add_font): corrected
	Pango version number in comment.

	* app/widgets/gimpundoeditor.c (gimp_undo_editor_set_context):
	chain up after initializing the context. Fixes a warning about
	gimp_viewable_get_new_preview() being called with a NULL context.

2007-09-13  Michael Natterer  <mitch@gimp.org>

	* configure.in: remove FOO_DISABLE_DEPRECATED only for glib >= 2.15
	and gtk+ >= 2.13, GIMP builds fine against the 2.14 and 2.12 APIs
	apart from:

	* app/tools/gimpselectionoptions.c
	* libgimpwidgets/gimphelpui.c: undef GTK_DISABLE_DEPRECATED because
	GtkTooltips is deprecated in gtk+ 2.12.

	* libgimp/gimpui.c
	* plug-ins/common/pat.c: the address of an array is always
	non-NULL, no need to check for that. Fixes new gcc warnings.

2007-09-12  Øyvind Kolås  <pippin@gimp.org>

	* app/display/gimpdisplayshell-render.c: (render_image_tile_fault),
	(render_image_tile_fault_one_row): clone the middle row/column when
	walking off the source drawable during downscaling. Probably fixes bug
	#469567.

2007-09-12  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpunitmenu.c (gimp_unit_menu_create_selection):
	if the parent toplevel is modal, make the unit selection dialog
	modal too. Fixes bug #389358.

2007-09-12  Sven Neumann  <sven@gimp.org>

	* app/base/tile.c (tile_data_pointer): use the offsets modulo
	TILE_WIDTH and TILE_HEIGHT instead of doing the modulo operation
	in each and every caller.

	* app/base/boundary.c
	* app/base/pixel-region.c
	* app/base/tile-manager.c
	* app/core/gimpchannel.c
	* app/core/gimpdrawable-blend.c
	* app/core/gimpdrawable.c
	* app/core/gimpimage-contiguous-region.c
	* app/core/gimplayer.c
	* app/display/gimpdisplayshell-render.c
	* app/paint-funcs/paint-funcs.c
	* app/paint/gimppaintcore.c
	* app/tools/gimpiscissorstool.c: changed accordingly.

2007-09-12  Sven Neumann  <sven@gimp.org>

	* app/core/gimp-transform-region.c (supersample_dtest): use
	G_SQRT2 instead of defining this constant again.

2007-09-12  Michael Natterer  <mitch@gimp.org>

	Bring back our menus when building on OS X but not against the
	quartz GDK backend:

	* configure.in: added conditional HAVE_GDK_QUARTZ.

	* menus/Makefile.am: use it when moving the help menu around.

	* app/dialogs/preferences-dialog.c
	* app/display/gimpdisplayshell.c
	* app/gui/gtk-macmenu.c
	* app/gui/gui.c
	* app/widgets/gimptoolbox.c: use #ifdef GDK_WINDOWING_QUARTZ
	instead of #ifdef HAVE_CARBON when enabling the global menubar.

2007-09-12  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpcolorprofilecombobox.c
	(gimp_color_profile_combo_box_new): fixed reference count of the
	profile store.

2007-09-12  Øyvind Kolås  <pippin@gimp.org>

	* app/core/gimp-transform-region.c: (supersample_dtest): do not invoke
	supersampling for linear, bicubic and lanczos until the largest
	horizontal/vertical difference between transformed pixel corners goes
	above sqrt(2) (this ensures interpolation instead of supersampling is
	used for rotation.)

2007-09-12  Sven Neumann  <sven@gimp.org>

	* app/core/gimpcontainer-filter.c
	(gimp_container_filter_by_name): changed to use extended regular
	expression syntax.

2007-09-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c: remember color conversion parameters
	(bug #475966).

2007-09-12  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.def: added gimp_context_list_paint_methods.

	* libgimp/tmpl/gimpcontext.sgml: regenerated.

2007-09-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/pnm.c (pnm_load_ascii): fixed loading of PGM
	files with maxval of 1 (bug #475991).

2007-09-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c: fixed use of black-point-compensation
	parameter (bug #475952).

2007-09-11  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/psp.c: don't use "major" and "minor" as variable
	names, they may conflict with system symbols.

2007-09-11  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-render.c: formatting.

2007-09-11  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage.c (gimp_image_add_layers): make the first of
	the added layers the active layer. Fixes bug #469752.

2007-09-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/spread.c (spread_dialog): update the preview on
	"value-changed", instead of "refval-changed". Fixes bug #469360.

2007-09-11  Simon Budig  <simon@gimp.org>

	* tools/pdbgen/pdb/context.pdb: add PDB function to determine
	the available paint methods.

	* app/pdb/internal_procs.c
	* app/pdb/context_cmds.c
	* libgimp/gimpcontext_pdb.[ch]: regenerated.

	Fixes bug #473513

2007-09-11  Sven Neumann  <sven@gimp.org>

	* app/dialogs/file-open-dialog.c: don't reverse the order of URIs
	when opening multiple files as layers. Fixes one aspect of bug
	#469752.

2007-09-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c: allow to specify rendering intent and 
	black point compensation. Fixes bug #474787.

2007-09-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/burn-in-anim.scm
	* plug-ins/script-fu/scripts/coffee.scm: removed newlines from
	translatable strings. Fixes bug #475553.

2007-09-10  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lens.c: applied patch from Aurimas Juška which
	simplifies the code by using GimpPixelFetcher and fixes handling
	of selections in the preview. Fixes the last aspect of bug #356716.

2007-09-10  Sven Neumann  <sven@gimp.org>

	* app/core/gimp-transform-region.[ch]
	* app/core/gimpchannel.c
	* app/core/gimpdrawable-transform.[ch]
	* app/core/gimpdrawable.c
	* app/core/gimpimage-item-list.[ch]
	* app/core/gimpitem-linked.[ch]
	* app/core/gimpitem.[ch]
	* app/core/gimplayer.c
	* app/paint/gimpperspectiveclone.c
	* app/vectors/gimpvectors.c: removed supersample parameter from
	transform functions and perform it depending on the interpolation
	type (bug #473265).

	* app/tools/gimptransformoptions.[ch]
	* app/tools/gimptransformtool.c: removed Supersample toggle from
	the transform tool options.

	* tools/pdbgen/pdb/drawable_transform.pdb
	* tools/pdbgen/pdb/transform_tools.pdb: document that the
	supersample parameter is unused and improved documentation of the
	recursion-level parameter.

	* app/pdb/transform_tools_cmds.c
	* app/pdb/drawable_transform_cmds.c
	* libgimp/gimpdrawabletransform_pdb.c: regenerated.

2007-09-10  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpperspectiveclonetool.c
	(gimp_perspective_clone_tool_motion): removed unused variable.

2007-09-10  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/psp.c: applied patch from Nils Philippsen that
	fixes an endianess problem (bug #475464).

2007-09-10  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c (lcms_drawable_transform): copy the alpha
	channel to the destination region. Fixes bug #473998.

2007-09-10  Sven Neumann  <sven@gimp.org>

	* etc/ps-menurc: minor update for 2.4. Removed bindings for brush
	radius as these keys are now bound by default.

2007-09-08  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpforegroundselecttoolundo.c: removed unused variable.

2007-09-07  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_script_proc):
	applied patch from Kevin Cozens which implements RUN-WITH-LAST-VALS.
	On top of that, factored out script_fu_collect_standard_args()
	which collects DISPLAY,IMAGE,[DRAWABLE|LAYER|...] from the passed
	parameters according to the new calling conventions (the old code
	for INTERACTIVE was broken). Also cleaned up the function a bit.
	Fixes bug #472493.

2007-09-07  Michael Natterer  <mitch@gimp.org>

	* app/base/tile-manager.c (read_pixel_data_1): use a temporary
	variable to store the return value of tile_manager_get() instead
	of assigning to tm->cached_tile directly to make sure
	tm->cached_num and tm->cached_tile are always in a consistent
	state (the requested tile might be invalid and needs to be
	validated, which would call tile_manager_get() recursively, which
	in turn would clear the cached tile). Fixes bug #472770.

2007-09-06  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_auto_shrink):
	Call gimp_rectangle_tool_rectangle_changed and recalculate handle
	sizes after 'Auto shrink selection'. Fixes bug #474344.

2007-09-06  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/scripts/contactsheet.scm: Preserve aspect ratio
	of original images. Center thumbnails in space above filename label.
	Added new sheet size of 1600x1200 pixels. Changed a dialog label.

2007-09-06  Simon Budig  <simon@gimp.org>

	* plug-ins/common/convmatrix.c: there is no need to mess
	with the selected channels within check_config(). Also fix
	bug with with copying its values into the chanmask
	in convolve_image()

	Fixes bug #472518

2007-09-06  Simon Budig  <simon@gimp.org>

	* plug-ins/script-fu/tinyscheme/scheme-private.h: quick fix:
	raise the cell segment size as well as the number of possible
	segments to reduce the likelihood of a failing (make-vector)

	(yes, this is a hack and no proper fix)

2007-09-04  Simon Budig  <simon@gimp.org>

	* app/vectors/gimpbezierstroke.c: Fix initialization of the delta
	vectors. Fixes bug #473515.

2007-09-04  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpparamspecs.c: remove unbalanced "*/"

	* app/core/gimpdrawable-transform.c
	* app/core/gimp-transform-resize.c: formatting.

2007-09-04  Simon Budig  <simon@gimp.org>

	* app/core/gimpparamspecs.c: fix NULL handling and formatting.

2007-09-03  Michael Natterer  <mitch@gimp.org>

	* configure.in: bump version to 2.4.0-rc3.

2007-09-03  Michael Natterer  <mitch@gimp.org>

	* Made 2.4.0-rc2 release.

	* app/Makefile.am (dist-dump-gimprc): added some sed voodoo to
	make sure the num-processors in the distributed gimprc and its
	manpage don't depend on the machine that does make dist.

2007-09-03  Michael Natterer  <mitch@gimp.org>

	* app/core/gimp-transform-region.c: Applied slightly reformatted
	patch from Jakub Friedl and Daniel Hornung which ROUND()s the
	floating point result values before assigning them to integers to
	avoid reducing the output space to [0..254] (thus darkening the
	image). Fixes bug #472806.

2007-09-03  Michael Natterer  <mitch@gimp.org>

	* data/tips/Makefile.am
	* desktop/Makefile.am:
	s/.intltool-merge-cachemake/.intltool-merge-cache/ to fix
	distcheck, probably a "make" was entered in the wrong window.

2007-09-02  Michael Natterer  <mitch@gimp.org>

	* configure.in: bump version to 2.4.0-rc2.

2007-09-02  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-draw.c
	(gimp_display_shell_draw_area): Remove the STRESS_TEST stuff,
	gimp_image_invalidate_without_render does not exist anymore
	anyway.

2007-09-02  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleselecttool.c
	(gimp_rect_select_tool_update_option_defaults): New function to
	update default values for Fixed: Size. This function is called to
	update defaults values for Fixed: Size to that of the pending
	rectangle width x height if there is one, or 100x100 otherwise.

	* app/tools/gimpcroptool.c
	(gimp_crop_tool_update_option_defaults): Set Fixed: Size to the
	size of the pending crop rectangle, or 100x100 if there is none.

2007-09-01  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpcroptool.c
	(gimp_crop_tool_update_default_fixed_ratio_options):
	Generalize the default Fixed: Aspect ratio option setting code
	so that it can later be used for Fixed: Size as well, and move
	it to

	* app/tools/gimprectangletool.[ch]
	(gimp_rectangle_tool_pending_size_set)
	(gimp_rectangle_tool_constraint_size_set): and use these two new
	functions instead.

2007-08-31  Simon Budig  <simon@gimp.org>

	* plug-ins/script-fu/tinyscheme/scheme.[ch]
	* plug-ins/script-fu/tinyscheme/scheme-private.h: make it possible
	for foreign functions to return an error.

	* plug-ins/script-fu/script-fu-scripts.c
	* plug-ins/script-fu/scheme-wrapper.c: Make use of this.
	Fixes bug #472026.

2007-08-31  Simon Budig  <simon@gimp.org>

	* MAINTAINERS: adjusted to enforced gnome-svn standards  :-(

2007-08-31  Michael Natterer  <mitch@gimp.org>

	* app/gui/sync-menu.[ch]: renamed...

	* app/gui/gtk-macmenu.[ch]: ...to these to match new namespace.

	* app/gui/Makefile.am
	* app/gui/gui.c: changed accordingly.

2007-08-31  Michael Natterer  <mitch@gimp.org>

	* app/gui/sync-menu.[ch]: new versions with sane namespace and
	support for setting the application menu's "Quit", "About" and
	"Preferences" items.

	* app/gui/gui.c: changed accordingly and use the new menu items
	from the application menu.

2007-08-31  Michael Natterer  <mitch@gimp.org>

	* app/base/tile-manager.c (tile_manager_get): if
	tile_manager->cached_tile is requested for writing, clear the
	cache before giving out the tile. Fixes bug #472170.

2007-08-31  Øyvind Kolås  <pippin@gimp.org>

	* app/display/gimpdisplayshell-render.c: (render_image_tile_fault):
	use nearest neighbour resampling when rendering for a 1byte per pixel
	drawable (ony happens when interacting with the SIOX tool, and then
	the buffer is a indexed; not a greyscale buffer), fixes bug #472027.

2007-08-31  Raphaël Quinet  <raphael@gimp.org>

	* app/display/gimpdisplayshell-render.c (render_image_tile_fault):
	do not use anti-aliasing when the zoom is exactly 200%.  Fixes bug
	#472150.  Also miscellaneous cosmetic changes.

2007-08-31  Simon Budig  <simon@gimp.org>

	* plug-ins/common/antialias.c: fixed subtle cut'n'paste bug,
	made the code a little bit more readable.

2007-08-30  Karine Delvare  <edhel@gimp.org>

	* plug-ins/common/illusion.c
	* plug-ins/common/polar.c
	* plug-ins/common/whirlpinch.c: applied patches from Aurimas Juška
	that fixes use of the GimpZoomPreview widget in those plug-ins (see
	bug #356716), and makes illusion handle selections properly.

2007-08-30  Raphaël Quinet  <raphael@gimp.org>

	* authors.xml: updated some entries, added contributors: Nicola
	Archibald, Tim Mooney, Nils Philippsen and Yoshinori Yamakawa

	* AUTHORS: regenerated.

2007-08-30  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/gimpbaseenums.h: remove extraneous comma.

2007-08-30  Michael Natterer  <mitch@gimp.org>

	* app/gui/sync-menu.c: take over cosmetic fix from upstream.

	* configure.in: add HAVE_CARBON as AM_CONDITIONAL

	* menus/image-menu.xml.in: add the Help menu to the image menu.

	* menus/Makefile.am
	* menus/menus.xsl: filter it away if we are not on carbon.

	* app/menus/menus.c: added the "help" action group to the image UI
	manager.

2007-08-30  Simon Budig  <simon@gimp.org>

	* plug-ins/script-fu/scheme-wrapper.c
	* plug-ins/script-fu/tinyscheme/scheme.[ch]
	* plug-ins/script-fu/scheme-wrapper.h: Shuffeled some
	code around to have scheme.c not include scheme-wrapper.h.

2007-08-30  Raphaël Quinet  <raphael@gimp.org>

	* data/tips/gimp-tips.xml.in: expanded old tip and mentioned that
	it is possible to configure most window managers so that they do
	not steal the Alt key from the applications.  Fixes bug #471565.

2007-08-30  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/common/pcx.c: applied modified patch from Nils
	Philippsen that adds more sanity checks when loading and saving
	images.  Fixes the reopened bug #471189.

2007-08-30  Michael Natterer  <mitch@gimp.org>

	First version of global menubar support for OSX. Work in progress.

	* app/gui/Makefile.am
	* app/gui/sync-menu.[ch]: new files containing code that takes
	a GtkMenuShell and proxies it in the OSX global menubar. Taken
	from http://developer.imendio.com/projects/gtk-macosx/menubar

	* app/gui/gui.c: put the global image popup menu to the menubar.

	* app/dialogs/preferences-dialog.c
	* app/display/gimpdisplayshell.c
	* app/widgets/gimptoolbox.c: #ifdef out all menubars in windows.

	* app/Makefile.am (AM_LDFLAGS): add $(CARBON_LDFLAGS)

2007-08-30  Jakub Friedl  <jfriedl@suse.cz>

	* plug-ins/common/scatter_hsv.c: Randomizing hue of desaturated
	pixels before increasing saturation. Fixes #471476.

2007-08-29  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.c: Applied change suggested
	in SourceForge bug #1593861 which stops integer? from thinking that
	non-numbers are integers.

2007-08-30  Simon Budig  <simon@gimp.org>

	* plug-ins/script-fu/tinyscheme/scheme.[ch]
	* plug-ins/script-fu/tinyscheme/scheme-private.h: small changes
	to tinyscheme - mostly removing workarounds for message output.

	* plug-ins/script-fu/scheme-wrapper.[ch]: try to channel the
	output through a central function, have various output functions
	to handle the messages. Remove some hacks.

	* plug-ins/script-fu/script-fu-text-console.c
	* plug-ins/script-fu/script-fu-scripts.[ch]
	* plug-ins/script-fu/script-fu-interface.c
	* plug-ins/script-fu/script-fu.c
	* plug-ins/script-fu/script-fu-server.c
	* plug-ins/script-fu/script-fu-console.[ch]: use the new
	infrastructure. Remove more hacks.

	* plug-ins/script-fu/servertest.py: small script to test the
	communication with the script-fu-server.

	This hopefully fixes bug #438997

2007-08-29  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/metadata/xmp-encode.c (gen_property): escape the text
	values output in the XMP packet.  Based on a bug report and patch
	by John Marshall.  Fixes bug #455481.

2007-08-29  Jakub Friedl  <jfriedl@suse.cz>

	* plug-ins/common/scatter_hsv.c: Calling randomize_value with
	max value 359 instead of 360 to fix off by 1 error when wrapping
	around.

2007-08-29  Jakub Friedl  <jfriedl@suse.cz>

	* plug-ins/common/convmatrix.c: Removes the fprint function.
	Values are printed using g_snprintf and "%g" which supresses
	trailing zeroes. Fixes bug #471051.

2007-08-29  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpeg-save.[ch]
	* plug-ins/jpeg/jpeg.c: change the behavior of the code so that
	"Use quality settings from original image" does what it claims,
	even if these settings are worse than the user's defaults (note
	that the option is not automatically enabled in this case).  Also
	set the subsampling type when that box is checked.

	* plug-ins/jpeg/jpeg-settings.h: formatting.

2007-08-29  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/common/pcx.c: applied modified patch from Nils
	Philippsen that uses the glib endianness conversion macros instead
	of the ones provided in the old code (broken on S390/S390x).
	Fixes bug #471189.

2007-08-29  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/lcms.c (lcms_image_apply_profile):
	gimp-selection-* procedures operate on the image_ID, not on the
	selection drawable_ID itself. Fixes bug #470589. Also remove the
	saved selection channel after reloading it.

2007-08-29  Michael Natterer  <mitch@gimp.org>

	* themes/Default/images/preferences/Makefile.am (PREFS_IMAGES):
	install and distribute the new icons. Fixes bug #436815

2007-08-28  Jakub Steiner <jimmac@ximian.com>

	* themes/Default/images/preferences/folder-palettes-{16,22}*:
	* themes/Default/images/preferences/folder-themes-{16,22}*:
	missing sizes. Addresses bug #436815

2007-08-28  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/gimpdatafiles.c (gimp_datafiles_read_directories):
	skip files starting with '.' so we don't try to parse .DS_Store
	and other metadata storage files. Also moved variables to local
	scopes.

2007-08-28  Tor Lillqvist  <tml@novell.com>

	* libgimpbase/gimpenv.c: Update doc comments about filename
	encoding on Windows. It is now always UTF-8, like in
	GLib. (#471033) Change "Win32" to "Windows" in doc comments.

2007-08-28  Jakub Friedl  <jfriedl@suse.cz>

	* plug-ins/common/redeye.c: CLAMP()ing the red value
	so that it is in the 0-255 range. Fixes bug #470914.

2007-08-26  Hans Breuer  <hans@breuer.org>

	* **/makefile.msc app/gimpcore.def : updated msvc build
	* app/main.c : include <io.h> for get_osfhandle()
	* plug-ins/jpeg/jpeg-settings.h : prototype
	jpeg_swap_original_settings

2007-08-26  Martin Nordholts  <martinn@svn.gnome.org>

	* libgimpwidgets/gimpcolorprofilestore.h: Add a G_END_DECLS.

2007-08-24  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpeg-save.c (save_dialog): use a label that is
	easier to understand.  Required code changes will follow later.

2007-08-24  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpeg-settings.c (jpeg_swap_original_settings): new
	function that swaps the vertical and horizontal axis for the saved
	subsampling parameters and quantization tables.

	* plug-ins/jpeg/jpeg-exif.c (jpeg_exif_rotate): swap the saved
	settings when the image is rotated.  Fixes bug #466593.

2007-08-24  Raphaël Quinet  <raphael@gimp.org>

	* tools/pdbgen/pdb/selection.pdb: fixed incorrect description of
	gimp-selection-is-empty, reported by pk.  This function returns
	TRUE when the selection is empty, but the description stated the
	opposite.

	* app/pdb/selection_cmds.c
	* libgimp/gimpselection_pdb.c: regenerated.
	
2007-08-24  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-draw.c
	(gimp_display_shell_draw_area): don't use SCALEX()/SCALEY() on x/y
	*and* width/height of the highlight rectangle because that adds up
	the error introduced by the ceil() contained in these macros.
	Instead, scale manually and use ceil() on x/y and floor() on
	width/height. Fixes off-by-one rendering artifacts (bug #467972).

2007-08-24  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell.c: don't use g_slice_dup(), that's
	in GLib 2.14 only.

2007-08-24  Øyvind Kolås  <pippin@gimp.org>

	* app/display/gimpdisplayshell-render.c: s/compute_sample/box_filter/.

2007-08-24  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell.c: allocate shell->highlight with
	GSlice.

2007-08-24  Øyvind Kolås  <pippin@gimp.org>

	* app/display/gimpdisplayshell-render.c: swapped center and middle
	terms around (now center means horizontal (betwen left and right )and
	middle means vertical (between top and bottom)).

2007-08-24  Øyvind Kolås  <pippin@gimp.org>

	* app/display/gimpdisplayshell-render.c: (compute_sample): removed
	a temporary variable, simplified logic slightly.
	(render_image_tile_fault, render_image_tile_fault_one_row): moved
	sum computation out of loop.

2007-08-24  Øyvind Kolås  <pippin@gimp.org>

	* app/display/gimpdisplayshell-render.c: Replaced signed integres with
	unsigned ones for weights etc to gain some additional bits of
	precision. Enabled anti-aliasing for zoomlevels between 100% and 200%
	to improve the smoothness of the display at the levels where the size
	differences between pixels yields the most distracting artifacts.

2007-08-24  Øyvind Kolås  <pippin@gimp.org>

	Reshuffled shifting code in fixed point code of display to improve
	quality.

	* app/display/gimpdisplayshell-render.c:
		(compute_sample): reshuffle a bit of the fixed point induced
		shifting to allow higher precision.
		(render_image_tile_fault): remove need to disable box-filter
		for some non square zoom ratios that was needed before
		compute_sample cleanup.
		, (render_image_tile_fault_one_row): fetch source sample #1
		from the correct tile.

2007-08-24  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/scatter_hsv.c: stylistic cleanup.

2007-08-24  Jakub Friedl  <jfriedl@suse.cz>

	* plug-ins/common/scatter_hsv.c: fixing
	bug #469519 and some cleanup.

2007-08-24  Øyvind Kolås  <pippin@gimp.org>

	* app/display/gimpdisplayshell-render.c: (compute_sample)
	fixed a division by zero issue. Fixes bug #469785.

2007-08-24  Michael Natterer  <mitch@gimp.org>

	* configure.in: applied patch from Tim Mooney which fixes
	configure output if libexif is not found. Fixes bug #469708.

2007-08-23  Øyvind Kolås  <pippin@gimp.org>

	* app/display/gimpdisplayshell-render.c: added a static global
	variable with configuration.
	(compute_sample): moved common computation of alpha*weight factors 
	for channel out of loop.

2007-08-23  Øyvind Kolås  <pippin@gimp.org>

	* app/display/gimpdisplayshell-render.c: (compute_sample),
	(render_image_tile_fault), (render_image_tile_fault_one_row):
	refactored to use arrays of tiles/source pixels instead of individual
	variables, also modified the order of the 0..8 numbers to sorted
	in increasing row-major order.

2007-08-22  Øyvind Kolås  <pippin@gimp.org>

	* app/display/gimpdisplayshell-render.c: replaced bilinear
	interpolation from next larger pyramid level with a boxfilter
	of the next larger pyramid level.

	This is probably the last update to the quality of the display
	in GIMP 2.4.

2007-08-21  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_update_with_coord): Don't adjust the
	rectangle shape if it is is merely being moved.

2007-08-20  Michael Natterer  <mitch@gimp.org>

	* menus/Makefile.am: s/MAINTAINERCLEAN_FILES/MAINTAINERCLEANFILES/
	Fixes bug #468336.

2007-08-18  Michael Natterer  <mitch@gimp.org>
	    Simon Budig  <simon@gimp.org>
	    Øyvind Kolås  <pippin@gimp.org>
	    Roman Joost  <romanofski@gimp.org>

	* app/sven.c: changed license from free to bus2342. Congratulations!

2007-08-18  Michael Natterer  <mitch@gimp.org>

	* app/actions/view-actions.c (view_actions_update): use _()
	instead of N_() when setting the label of "Revert Zoom"
	directly. Fixes bug #467933.

2007-08-18  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c: Don't make
	GIMP_RECTANGLE_CONSTRAIN_NONE into GIMP_RECTANGLE_CONSTRAIN_IMAGE,
	and restructure the code a bit in the rectangle adjustingo
	functions so that they can handle the _NONE constraint. The effect
	of this change is that rectangle based selection tools no longer
	are constrained when using fixed-rules.

2007-08-18  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_button_press): Clear highlight in previously
	active shell when changing active shell.

2007-08-18  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpcroptool.c (gimp_crop_tool_button_release): Call
	gimp_crop_tool_update_default_fixed_ratio_options after
	gimp_rectangle_tool_button_release, so that the state of the
	rectangle tool is reflected when updating the default aspect.

2007-08-18  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpcroptool.c
	(gimp_crop_tool_update_default_fixed_ratio_options): Added a
	'ignore_pending' boolean parameter so that the pending rectangle
	can be ignored in gimp_crop_tool_execute, as it should be.

2007-08-17  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpcroptool.c
	(gimp_crop_tool_constructor): Connect to the "image-changed"
	signal of GimpContext and update default aspect when image
	changes (fixes bug #417166), by using
	(gimp_crop_tool_update_default_fixed_ratio_options): which is a
	new function that does this. This function is called whenever it
	is time to update defualts.

	* app/tools/gimprectangletool.[ch]: Made
	gimp_rectangle_tool_get_constraint part of the rectangle tool API.

2007-08-17  Michael Natterer  <mitch@gimp.org>

	* plug-ins/print/print-page-layout.c: set a default page setup on
	the operation if it is NULL to prevent crash in new installations
	(which don't have a setup yet). Fixes bug #467643, patch from
	Stefan Röllin.

2007-08-17  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpperspectiveclonetool.c (motion)
	* app/tools/gimpsourcetool.c (motion): don't allow to ctrl-switch
	between clone and set-source mode while painting. It's totally
	unclear to me why we used to allow this since it doesn't make much
	sense and isn't very intuitive either. Fixes bug #467605.

2007-08-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/whirlpinch.c: applied patch from Aurimas Juška to
	fix bug #467368.

2007-08-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/polar.c: applied patch from Aurimas Juška to fix
	bug #467369.

2007-08-16  Raphaël Quinet  <raphael@gimp.org>

	* README: updated Mailing Lists section.

2007-08-16  Sven Neumann  <sven@gimp.org>

	* Made 2.4.0-rc1 release, a release candidate for GIMP 2.4.0.

2007-08-15  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped the version to 2.4.0-rc1.

	* README
	* INSTALL: updated for the GIMP 2.4 release candidate(s).

	* data/images/gimp-splash.png: added splash screen for the 2.4
	release candidate(s).

	* app/Makefile.am
	* tools/Makefile.am: adjust targets for 2.4.

2007-08-15  Sven Neumann  <sven@gimp.org>

	* data/images: renamed old splash and logo images.

2007-08-15  Øyvind Kolås  <pippin@gimp.org>

	Improve resampling when zooming out of the image for zoom-ratios that
	are not powers of two.

	* app/display/gimpdisplayshell-render.c: added a bilinear filtering
	like weighting of neighbourhood pixels for approximating the
	downsampling from the next larger level in the projection mipmap.
	Also some general code cleanup. Closes bug #76096.

2007-08-15  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.c (end_print): added a timeout as a
	workaround for bug #466928.

2007-08-15  Michael Natterer  <mitch@gimp.org>

	* app/core/core-types.h: remove GimpPlugInDebug typedef.

	* app/plug-in/plug-in-types.h: added it here instead.

	* app/core/gimpchannel-combine.h
	* app/widgets/gimppropwidgets.[ch]: match parameter names
	in .c, .h and API docs to make gtk-doc happy.

2007-08-15  Joao S. O. Bueno Calligaris <gwidion@mpc.com.br>

        * plug-ins/pygimp/pygimp-drawable.c: avoids function call
	with an invalid drawable id
	
2007-08-15  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print-page-layout.c: applied patch from Stefan
	Röllin that makes the preview resize with the dialog (bug #466923).

2007-08-15  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpcolorprofilecombobox.c
	* libgimpwidgets/gimpcolorprofilestore.c: documentation.

2007-08-15  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/Makefile.am
	* plug-ins/script-fu/scripts/fade-outline.scm: removed
	fade-outline script. Fixes bug #466382.

2007-08-15  Sven Neumann  <sven@gimp.org>

	* app/dialogs/preferences-dialog.c: add tooltips to the profile
	combo boxes.

2007-08-14  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpcolorprofilecombobox.[ch]
	* libgimpwidgets/gimpcolorprofilestore.[ch]
	* libgimpwidgets/gimpcolorprofilestore-private.h: changed API to
	deal with filenames instead of URIs.

	* app/widgets/gimpprofilechooserdialog.[ch]: same here.

	* app/dialogs/preferences-dialog.c
	* plug-ins/common/lcms.c: changed accordingly.

2007-08-14  Sven Neumann  <sven@gimp.org>

	* app/dialogs/preferences-dialog.c
	* plug-ins/common/lcms.c: don't unref the file-chooser dialog.

2007-08-14  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/Makefile.am
	* libgimpwidgets/gimpwidgets.h
	* libgimpwidgets/gimpwidgetstypes.h
	* libgimpwidgets/gimpcolorprofilecombobox.[ch]
	* libgimpwidgets/gimpcolorprofilestore.[ch]
	* libgimpwidgets/gimpcolorprofilestore-private.h: new widget to
	select color profiles.

	* libgimpwidgets/gimpwidgets.def: updated.

	* app/widgets/gimpprofilechooserdialog.[ch]: remember the name of
	the last previewed profile.

	* app/dialogs/preferences-dialog.c: use the new color profile
	combo-box.

	* plug-ins/common/lcms.c: use the new color profile combo-box.

2007-08-14  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-item-list.c: fixed API docs.

2007-08-14  Øyvind Kolås  <pippin@gimp.org>

	* app/display/gimpdisplayshell-render.c: Fixed regression at zoom
	levels > 100%, and moved some floating point code out of the worker
	function.

2007-08-14  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/common/dicom.c
	* plug-ins/common/psd-load.c
	* plug-ins/common/sunras.c: applied patch from Nils Philippsen
	that replaces several calls to g_error() by g_message() and
	gimp_quit() so that GIMP does not complain when a plug-in exits.
	Fixes bug #466610.

2007-08-14  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/common/dicom.c
	* plug-ins/common/psd-load.c
	* plug-ins/common/sunras.c: applied patch from Nils Philippsen
	that replaces several calls to g_error() by g_message() and
	gimp_quit() so that GIMP does not complain when a plug-in exits.
	Fixes bug #466610.

2007-08-14  Øyvind Kolås  <pippin@gimp.org>

	* app/display/gimpdisplayshell-render.c: replaced a computed lookup
	table acceleration with fixed point logic.

2007-08-14  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/csource.c (save_image): fixed calculation of
	alpha value (bug #466402).

2007-08-14  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-intl.h: define Q_() for translation context.

2007-08-13  Sven Neumann  <sven@gimp.org>

	* modules/cdisplay_lcms.c: include glib.h before checking for
	G_OS_WIN32. Also #define STRICT for strict type checks.

2007-08-13  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplay.c
	* app/display/gimpdisplay-render.c: formatting.

2007-08-13  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/scheme-wrapper.c (ts_output_string): Use the
	string length in bytes passed in instead of recalculating it.

	* plug-ins/script-fu/tinyscheme/scheme.c: Added comment.

2007-08-13  Sven Neumann  <sven@gimp.org>

	* app/base/gimphistogram.c (gimp_histogram_get_std_dev): corrected
	caluclation for the histogram in RGB mode (bug #466189).

2007-08-13  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpnumberpairentry.c: use italic font if not in
	user-override mode.

	* app/tools/gimprectangleoptions.c: removed auto-mode icon.

	* themes/Default/images/Makefile.am
	* themes/Default/images/stock-auto-mode-16.png
	* libgimpwidgets/gimpnumberpairentry.[ch]: removed
	GIMP_STOCK_AUTO_MODE.

2007-08-13  Sven Neumann  <sven@gimp.org>

	* app/gui/gui-vtable.c (gui_pdb_dialog_new): added missing cast.

2007-08-13  Sven Neumann  <sven@gimp.org>

	* modules/Makefile.am (libcdisplay_lcms_la_LIBADD): link with
	gdi32 on PLATFORM_WIN32.

	* modules/cdisplay_lcms.c: changed include order to fix the build
	on MingW (see bug #78265).

2007-08-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleoptions.c (gimp_rectangle_options_gui):
	Put the auto-mode GtkImage to the right of the Aspect ratio/Size
	entry instead of to the left.

2007-08-12  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleoptions.c (gimp_rectangle_options_gui):
	Set a 16x16 size request on the auto-mode images.

2007-08-12  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleoptions.c (gimp_rectangle_options_gui):
	Right-align X, Y, Width and Height entries.

2007-08-12  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleoptions.[ch]: Setup a
	GIMP_STOCK_AUTO_MODE GtkImage to be shown in the options when
	Fixed: Aspect ratio/Size entries are in auto-mode.

	* themes/Default/images/Makefile.am: Added
	stock-auto-mode-16.png (which is a copy of
	preferences/folders-interp-16.png for now).

	* libgimpwidgets/gimpstock.[ch]: Added GIMP_STOCK_AUTO_MODE.

2007-08-12  Sven Neumann  <sven@gimp.org>

	* modules/cdisplay_lcms.c (cdisplay_lcms_get_display_profile):
	applied patch from Yoshinori Yamakawa that adds code to get the
	monitor profile from Win32.

	* app/dialogs/preferences-dialog.c: enabled the toggle for
	"display-profile-from-gdk" on all systems.

2007-08-11  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpenumcombobox.h
	* libgimpwidgets/gimpenumlabel.h
	* libgimpwidgets/gimpenumstore.h
	* libgimpwidgets/gimpenumwidgets.h
	* libgimpwidgets/gimppropwidgets.h: added missing G_BEGIN_DECLS
	and G_END_DECLS.

2007-08-11  Michael Natterer  <mitch@gimp.org>

	* app/actions/tools-actions.c
	* app/actions/tools-commands.[ch]: removed unused rectangle tool
	actions.

2007-08-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c: further work on the dialog.

2007-08-11  Michael Natterer  <mitch@gimp.org>

	* app/vectors/gimpstroke-new.[ch]: formatting.

2007-08-11  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/Makefile.am: renamed files:

	* app/plug-in/plug-in-error.[ch]: old names
	* app/plug-in/gimppluginerror.[ch]: new names

	* app/plug-in/plug-in-icc-profile.c
	* app/file/file-open.c: changed accordingly.

2007-08-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c: factored out code to a utility function.

2007-08-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c: don't open the destination profile twice.

2007-08-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c (lcms_icc_apply): if the image has a
	selection, save it, unset it and restore it after the conversion.

2007-08-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/png.c
	* plug-ins/common/tiff-load.c
	* plug-ins/jpeg/jpeg-load.c: made the icc-profile undoable and
	persistent.
	
	* devel-docs/parasites.txt: document this.

	* plug-ins/common/lcms.c: made colorspace conversion undoable.
	
	* app/file/file-open.c: disable undo while doing the colorspace
	conversion on load.

2007-08-11  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/gimpbaseenums.[ch]
	* libgimpbase/gimpenv.[ch]: changed enum GimpUserDirectory and API
	of gimp_user_directory() so that g_get_user_special_dir() can be
	used instead as soon as we depend on GLib 2.14.

	* tools/pdbgen/enums.pl: regenerated.

	* app/widgets/gimpfiledialog.c
	* plug-ins/pygimp/gimpmodule.c: changed accordingly.

2007-08-11  Sven Neumann  <sven@gimp.org>

	* menus/image-menu.xml.in: added "<Image>/Image/Mode/Color Profile"
	as a placeholder below the Image Mode radio items.

	* plug-ins/common/lcms.c (query): register menu entries to assign
	and apply color profiles. Dialog implementation is still missing...

2007-08-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpcroptool.c (gimp_crop_tool_execute): Initialize
	'tool' before using it.

2007-08-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/tinyscheme/scheme-private.h: removed now
	unneeded _skey member from union. Part of the revert of bug #374854.

2007-08-11  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphistogramview.c (gimp_histogram_view_draw_spike):
	pass the maximum value double and draw the histogram one pixel less
	high. Fixes bug #465669.

2007-08-11  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.c: Commited patch from
	Sven Neumann that reverts the optimization patch which stored
	collation keys. See bug #374854.

2007-08-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_update_handle_sizes): Update handle sizes
	based on the shell-visible part of the rectangle.
	(gimp_rectangle_tool_start, gimp_rectangle_tool_halt):
	Connect/disconnect to the "scrolled" signal of the shell and
	update handle sizes.

2007-08-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print-page-layout.c (print_size_info_set_resolution):
	applied patch from Stefan Röllin that fixes bug #465527.

2007-08-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_button_release): Halt the tool on cancel if a
	rectangle has not previously been created.

2007-08-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_update_highlight): Renamed from
	gimp_rectangle_tool_set_highlight
	(gimp_rectangle_tool_button_release): Add call to
	gimp_rectangle_tool_update_highlight to keep highlight in sync
	when a crop rectangle is cancelled.

2007-08-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/widgets/gimppropwidgets.c
	(gimp_prop_number_pair_entry_number_pair_user_override_notify):
	Only set config user override property when it changed, to avoid
	deadlock.

2007-08-11  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpeg-save.c (save_dialog): use a more
	understandable label and a tooltip for the option enabling custom
	quantization tables.

2007-08-10  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpeg.[ch]
	* plug-ins/jpeg/jpeg-save.[ch]: in the JPEG save dialog, removed
	the option "Force baseline JPEG" and added the new option "Use
	custom quantization tables" to allow resaving a JPEG file with the
	same compression settings as the original file. This is useful if
	the quantization tables are different from those that can be
	created by the IJG JPEG library.

	* plug-ins/jpeg/jpeg-settings.[ch]: updated comments, changed the
	return type of jpeg_restore_original_tables() because the IJG JPEG
	library expects unsigned integers.

2007-08-10  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpnumberpairentry.c: store separators as
	gunichar array. Use the default separator in case that no
	separator is set. Rewritten gimp_number_pair_entry_parse_text()
	to handle non-ASCII separators.

2007-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpcroptool.c (gimp_crop_tool_button_release): Set
	default 'Fixed: Aspect ratio' values to the size of the pending
	crop rectangle. Fixes bug #355545.

	* app/tools/gimprectangletool.[ch]
	(gimp_rectangle_tool_get_rectangle_size): New helper function.

2007-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/widgets/gimppropwidgets.c
	(gimp_prop_number_pair_entry_config_notify): Fixed bug where
	property notifications were checked against hardcoded property
	names instead of the ones configured to the
	GimpPropNumberPairEntryData object.

2007-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleoptions.c: Added
	"default-aspect-numerator", "default-aspect-denominator",
	"default-fixed-size-width" and "default-fixed-size-height" as
	non-serialized tool options, and "overridden-fixed-aspect" and
	"overridden-fixed-size" as serialized ones.

	* app/widgets/gimppropwidgets.c (gimp_prop_number_pair_entry_*):
	Added support for the new GimpRectangleOptions.

2007-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* libgimpwidgets/gimpnumberpairentry.c
	(gimp_number_pair_entry_parse_text): Remove code that has not with
	parsing to do, so that clients that use this function can be more
	flexible about what to do with parsing results.
	(gimp_number_pair_entry_events): Handle results of parsing here
	instead.

2007-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/widgets/gimppropwidgets.[ch]: Merged gimp_prop_size_2d_* and
	gimp_prop_aspect_ratio_* to gimp_prop_number_pair_*.

	* app/tools/gimprectangleoptions.c (gimp_rectangle_options_gui):
	Use the merged gimp_prop_number_pair_entry_new.

2007-08-10  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimppropwidgets.c
	(gimp_prop_file_chooser_button_new_with_dialog): added bug number.

2007-08-10  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpfiledialog.c (gimp_file_dialog_set_image): minor
	cleanup.

2007-08-10  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpnumberpairentry.c: formatting.

2007-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* libgimpwidgets/gimpnumberpairentry.[ch]: Some minor cleanup, and
	(gimp_number_pair_entry_set_user_override)
	(gimp_number_pair_entry_get_user_override): are now in the API.

	* libgimpwidgets/gimpwidgets.def: Updated.

2007-08-09  Martin Nordholts  <martinn@svn.gnome.org>

	* libgimpwidgets/gimpnumberpairentry.[ch]: Added properties for
	most of the instance members, and updated API.
	(gimp_number_pair_entry_get_aspect)
	(gimp_number_pair_entry_get_default_values)
	(gimp_number_pair_entry_get_ratio)
	(gimp_number_pair_entry_set_aspect)
	(gimp_number_pair_entry_set_ratio): Added API functions.

	* libgimpwidgets/gimpwidgets.def: Updated.

2007-08-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print-settings.c: store the selected paper-size.

2007-08-09  Sven Neumann  <sven@gimp.org>

	* app/gui/splash.c: tweaked label positons.

2007-08-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print-preview.[ch]: while dragging the preview
	image, draw only an outline.

2007-08-09  Sven Neumann  <sven@gimp.org>

	* app/dialogs/preferences-dialog.c: tweaked spacings on the Color
	Management page.

2007-08-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print-page-layout.c: fixed the behavior when
	changing the unit.

2007-08-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print-page-layout.c
	* plug-ins/print/print.c: tweaked layout and changed labels to the
	terms used in the EOG print dialog.

2007-08-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.[ch]
	* plug-ins/print/print-page-layout.c
	* plug-ins/print/print-settings.c: replaced the two Center buttons
	with a combo-box.

2007-08-08  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/gimpui.defs: remove reference to now deprecated
	gimp_color_display_new() function.

2007-08-08  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpnumberpairentry.[ch]: formatting. Fixed use
	of instance private data, added missing parameter checks.

2007-08-08  Martin Nordholts  <martinn@svn.gnome.org>

	Renamed GimpRatioEntry to GimpNumberPairEntry, and generalized the
	code a lot, so that it can be used both for 'Fixed: Aspect ratio'
	and 'Fixed: Size'. Support is also added for having default values
	and a 'user overrided' value mode.

	* libgimpwidgets/gimpnumberpairentry.[ch]: Now contains the
	rewrite and generalization of GimpRatioEntry.
	(gimp_number_pair_entry_get_type)
	(gimp_number_pair_entry_new)
        (gimp_number_pair_entry_set_default_values)
	(gimp_number_pair_entry_set_values)
        (gimp_number_pair_entry_get_values): New libgimpwidget API.

	* app/widgets/gimppropwidgets.[ch] (gimp_prop_size_2d_new): Added
	new helper widget for setting up a GimpNumberPairEntry for the
	Fixed: Size entry in the Rectangle Options.

	* app/tools/gimprectangleoptions.c (gimp_rectangle_options_gui):
	Use the new gimp_prop_size_2d_entry for the Fixed: Size entry.

	* libgimpwidgets/gimpwidgets.def: Removed gimp_ratio_entry_* and
	added gimp_number_pair_entry_*.

	* libgimpwidgets/gimpwidgets.h * libgimpwidgets/gimpwidgetstypes.h
	* libgimpwidgets/Makefile.am (libgimpwidgets_2_0_la_sources)
	(libgimpwidgetsinclude_HEADERS): Updated accordingly.

2007-08-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c (lcms_image_get_profile): fixed a bug
	that I introduced earlier today.

2007-08-08  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpprofilechooserdialog.[ch]: use a text view in a
	scrolled window for the preview area.

2007-08-08  Martin Nordholts  <martinn@svn.gnome.org>

	* libgimpwidgets/gimpratioentry.[ch]: Migrate entry completion
	code and put responsability on clients to set that up when needed.

	* app/tools/gimprectangleoptions.[ch]: Setup entry completion code
	manually for the GimpRatioEntry widgets by using
	(gimp_rectangle_options_setup_ratio_completion)
	(gimp_ratio_entry_history_select, gimp_ratio_entry_history_add):
	these new functions.

2007-08-08  Sven Neumann  <sven@gimp.org>

	* modules/cdisplay_lcms.c
	* plug-ins/common/lcms.c: corrected memory handling.
	cmsOpenProfileFromMem() actually copies the data.

	* libgimpwidgets/gimpcolordisplay.c
	* libgimpwidgets/gimpcolordisplaystack.c: disconnect in dispose().

2007-08-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg-save.c (save_dialog): added missing call to
	destroy_preview(). Fixes bug #464457.

	* plug-ins/jpeg/jpeg-load.c
	* plug-ins/jpeg/jpeg-save.c
	* plug-ins/jpeg/jpeg.[ch]: renamed global variables used for the
	preview hack.

2007-08-08  Sven Neumann  <sven@gimp.org>

	* app/dialogs/preferences-dialog.c: added buttons to unset the
	color profiles.

	* app/widgets/gimppropwidgets.c
	* libgimpwidgets/gimppropwidgets.c: minor cleanup.

2007-08-08  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/Makefile.am

	* app/paint-funcs/sample-funcs.[ch]: renamed to 
	* app/paint-funcs/subsample-region.[ch]

	* app/paint-funcs/scale-funcs.[ch]: renamed to 
	* app/paint-funcs/scale-region.[ch]

	* app/paint-funcs/reduce-region.[ch]: new files based on a patch
	from Geert Jordaens (bug #464466).

	* app/base/tile-manager-preview.c
	* app/core/gimp-transform-region.c
	* app/core/gimpbrush-scale.c
	* app/core/gimpdrawable-preview.c
	* app/core/gimpdrawable.c: changed accordingly.

2007-08-08  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleoptions.c
	(gimp_rectangle_options_iface_base_init): Serialize Fixed:
	Width/Height/Size to config.

2007-08-08  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell.c (gimp_display_shell_new): fixed
	reference count of the display filter stack.

2007-08-08  Martin Nordholts  <martinn@svn.gnome.org>

	* app/widgets/gimppropwidgets.[ch]
	(gimp_prop_aspect_ratio_new)
	(gimp_prop_aspect_ratio_changed): Remove fixed_aspect_property.

	* app/tools/gimprectangleoptions.c (gimp_rectangle_options_gui):
	Changed accordingly.

2007-08-08  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleoptions.[ch]: Use separate
	desired-fixed-size-width/height properties for Fixed: Size instead
	of sharing properties with Fixed: Width/Height.

	* app/tools/gimprectangletool.c: Use the two new properties for
	Fixed: Size.

2007-08-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print-page-layout.c: added entries for the right
	and bottom margins. Use the unit from the image size entry.

2007-08-07  Tor Lillqvist  <tml@novell.com>

	* modules/Makefile.am: Add libgimpcolor to cdisplay_libadd.

2007-08-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/png.c (save_image): in the absence of an
	embedded color profile, write the sRGB chunk.

2007-08-07  Sven Neumann  <sven@gimp.org>

	* app/core/gimppalette-import.c
	* app/core/gimppalette-load.[ch]: applied slightly modified version
	of a patch from Nicola Archibald that adds support for importing
	Adobe Color palette version 1 files (bug #316618).

2007-08-07  Sven Neumann  <sven@gimp.org>

	* app/gui/gui-vtable.c (gui_pdb_dialog_new): as a workaround for
	bug #360106, set a timeout that presents the dialog window.

	* app/widgets/gimppdbdialog.c (gimp_pdb_dialog_set_property):
	formatting.

2007-08-07  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage.c (gimp_image_get_icc_profile): return NULL
	if the parasite exists but it is empty.

2007-08-07  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpwidgetstypes.h: removed leftover typedef
	for GimpResolutionEntry.

	* plug-ins/common/poppler.c: added the typedef here.

2007-08-07  Sven Neumann  <sven@gimp.org>

	* app/plug-in/Makefile.am
	* app/plug-in/plug-in-error.[ch]: new files defining the
	GimpPlugIn error domain.

	* app/plug-in/plug-in-icc-profile.c (plug_in_icc_profile_apply_rgb):
	set an error code.

	* app/file/file-open.c (file_open_profile_apply_rgb): only do the
	profile conversion if color management is enabled. If the plug-in
	is missing, show a warning and disable color management.
	Fixes bug #434205.

	* modules/cdisplay_lcms.c (cdisplay_lcms_get_rgb_profile): check
	if we actually got a profile before checking its color space.

2007-08-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_menu_map):
	added more mappings from old to new Script-Fu menu locations.

2007-08-06  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpcolordisplay.[ch]: added GimpColorConfig and
	GimpColorManaged as construct-only properties.
	Deprecated gimp_color_display_new().

	* libgimpwidgets/gimpwidgets.def: updated for new symbols.

	* app/widgets/gimpcolordisplayeditor.c: use g_object_new() instead
	of gimp_color_display_new().

	* modules/cdisplay_lcms.c: use the image's embedded color profile
	for the display filter. Assume sRGB if no monitor profile is
	configured.

	* app/display/gimpdisplayshell.c: 
	* app/display/gimpdisplayshell-filter.[ch]: pass the display as
	color-managed object to the display filter.

2007-08-06  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage.c: added missing static qualifier.

	* app/display/gimpdisplayshell.c
	* app/display/gimpdisplayshell-handlers.c: implement the
	GimpColorManaged interface and delegate it to GimpImage.

2007-08-06  Manish Singh  <yosh@gimp.org>

	* configure.in: specify #include correctly for KEY_OK check.

2007-08-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c (run): simplified.

2007-08-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/svg.c (load_rsvg_pixbuf): set the base URI so
	that librsvg can resolve relative paths.

2007-08-05  Sven Neumann  <sven@gimp.org>

	* configure.in: don't build linux-input controller module if
	KEY_OK is undefined (bug #463729).

2007-08-05  Hans Breuer  <hans@breuer.org>

	* **/makefile.msc app/gimpcore.def : updated msvc build

2007-08-05  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_motion): When
	a new rectangle is created and Fixed: Size is used, set rectangle
	function to RECT_MOVING.

2007-08-05  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_auto_shrink):
	Update tool options after shrinking.

2007-08-05  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleoptions.c (gimp_rectangle_options_gui):
	Aligned widgets.

2007-08-04  Martin Nordholts  <martinn@svn.gnome.org>

	Update rectangle tool options to bring it closer to the spec. The
	major change is the use of a 'Fixed:' check box and a 'Aspect
	ratio/Width/Height/Size' combo box. The check box is togglable
	with Shift while rubber-banding.

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_active_modifier_key): Set other side also
	when Shift is released.
	(gimp_rectangle_tool_update_options): Don't supress updates of
	tool options on fixed width/height/size
	(gimp_rectangle_tool_apply_fixed_height)
	(gimp_rectangle_tool_update_with_coord)
	(gimp_rectangle_tool_handle_general_clamping): Use new tool option
	interface and members.

	* app/tools/gimprectangleoptions.[ch]
	(gimp_rectangle_options_iface_base_init)
	(gimp_rectangle_options_install_properties)
	(gimp_rectangle_options_(get|set)_property): Remove and add
	relevant properties.
	(gimp_rectangle_options_private_finalize): Unref the new widgets
	used in tool options.
	(gimp_rectangle_options_fixed_rule_changed): New, update tool
	options depending on current option state.
	(gimp_rectangle_options_gui): Modified according to change log
	entry summary.
	(gimp_rectangle_options_unparent_fixed_rule_widgets): New helper.
	(gimp_rectangle_options_fixed_rule_active): New, clients should
	use this to find out if a certain fixed-mode is active.

	* app/tools/tools-enums.[ch]: Added GimpRectangleToolFixedRule.

2007-08-04  Martin Nordholts  <martinn@svn.gnome.org>

	Don't apply fixed aspect on pending rectangles that are not being
	rubber-banded, when this is changed in the rectangle tool options.

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_options_notify):
	Don't synthesize motion for fixed aspect ratio options changes

	* app/tools/gimprectangleoptions.c (gimp_rectangle_options_gui): Removed
	callback to
	(gimp_rectangle_options_notify_aspect): which is not needed any more,
	and hence is removed.

2007-08-03  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_menu_map): added a
	map from old to new Script-Fu submenus (to be extended).

2007-08-03  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpoffsetarea.c: applied modified patch from
	Aurimas Juška to improve handling of very small images (bug #463096).

2007-08-02  Michael Natterer  <mitch@gimp.org>

	Make sure image thumbnails that are saved or given to plugins are
	constructed synchronously. Fixes bug #461703.

	* app/core/gimpprojection.c (gimp_projection_pickable_flush):
	invalidate the preview after constructing the projection.

	* app/core/gimpimagefile.c (gimp_imagefile_save_thumb)
	* tools/pdbgen/pdb/image.pdb (image_thumbnail): call
	gimp_pickable_flush() on the projection so is constructed now, not
	later.

	* app/pdb/image_cmds.c: regenerated.

2007-08-02  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpcroptool.c (gimp_crop_tool_cursor_update): no need
	to set the tool cursor here, we already do that in init() and
	never change it.

	* app/widgets/gimpcursor.c (gimp_cursor_new): don't show the move
	cursor and the move modifier at the same time. Some small
	cleanups.

2007-08-02  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpegqual.c: sprinkled const qualifiers.

2007-08-02  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpegqual.c: added many options, added a list of
	known quantization tables to make comparisons and identification
	of JPEG files easier.

2007-08-01  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/gimprgb-parse.c: corrected documentation.

2007-07-31  Sven Neumann  <sven@gimp.org>

	* app/tools/gimprectangleselecttool.c
	* app/tools/gimprectangletool.c: formatting.

2007-07-31  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimptoolview.c (gimp_tool_view_eye_clicked): don't
	leak the GtkTreePath.

2007-07-31  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/tile.c: this plug-in doesn't need a tile cache.

2007-07-30  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimpplugin.[ch]: don't call gp_quit_write() on a
	plug-in with a broken pipe. Fixes bug #460878.

2007-07-30  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.c
	* libgimpbase/gimpwire.c: cosmetic changes.

2007-07-30  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage.c (gimp_image_drawable_update): cosmetics.

2007-07-29  Sven Neumann  <sven@gimp.org>

	* app/file/file-open.c
	* app/plug-in/plug-in-icc-profile.c: minor cleanups.

2007-07-29  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/tiff-load.c
	* plug-ins/common/tiff-save.c: use g_open() to open the file.
	Should fix filename encoding problems on Win32 (bug #461449).

2007-07-29  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c: also calculate the checksum when loading
	the RGB profile from disk (bug #456017).

2007-07-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/jigsaw.c: applied patch from Aurimas Juška
	that changes the Jigsaw plug-in to use a GimpAspectPreview instead
	of a GimpZoomPreview (bug #356716).

2007-07-27  Raphaël Quinet  <raphael@gimp.org>

	* tools/Makefile.am (test_clipboard_SOURCES)
	* libgimpthumb/Makefile.am (gimp_thumbnail_list_SOURCES): fixed
	typos: SURCES -> SOURCES.

2007-07-27  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpeg-quality.c (jpeg_detect_quality): simplify the
	formula so that it returns a slightly lower estimated quality when
	there is no exact match with the IJG quantization tables.

2007-07-27  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c: factored out utility
	function gimp_display_shell_update_focus() which sets the active
	tool into the proper state after the canvas received focus.

	(gimp_display_shell_canvas_tool_events): use it here instead of
	duplicating the code 3 times.

	(gimp_display_shell_ruler_button_press): use it here too so the
	move and color tools don't do weird things in click-to-focus
	mode (when FOCUS_IN is delivered after BUTTON_PRESS).

2007-07-27  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpeg.[ch]
	* plug-ins/jpeg/jpeg-save.c (save_dialog): Make the "Save XMP
	data" checkbox insensitive if there is no XMP packet to save.

2007-07-26  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/Makefile.am
	* plug-ins/jpeg/jpeg-quality.[ch]
	* plug-ins/jpeg/jpeg-settings.[ch]: new files including functions
	for detecting the quality setting of existing JPEG files by
	analyzing their quantization tables, functions for storing this
	quality and other JPEG settings in a parasite, and functions for
	restoring these values.

	* plug-ins/jpeg/jpeg-load.c (load_image): save the original JPEG
	settings in a parasite after reading the JPEG header.

	* plug-ins/jpeg/jpeg.c (run): restore the original JPEG settings
	if they had been attached to a parasite and if they are better
	than the defaults.

	* plug-ins/jpeg/jpeg-save.c (save_image): added new type of
	subsampling 1x2,1x1,1x1, which is useful for images with height >
	width such as rotated images from some cameras.
	(save_dialog): added hints about how the subsampling types can be
	used, marked these strings as translatable.

	* plug-ins/jpeg/jpegqual.c: new utility to report the quality
	settings and sampling factors of existing JPEG files.

2007-07-26  Michael Schumacher  <schumaml@cvs.gnome.org>

	* libgimp/gimp.def: added missing gimp_progress_end

2007-07-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.c: call g_thread_init(), just in case...

2007-07-26  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/xbm.c: change the default mask file suffix from
	"_mask" to "-mask".

2007-07-26  Michael Natterer  <mitch@gimp.org>

	* cursors/cursor-move.png
	* cursors/gimp-tool-cursors.xcf
	* cursors/xbm/cursor-move.xbm
	* cursors/xbm/cursor-move-mask.xbm: moved the move cursor two
	pixels right and down so it has its hotspot where the small
	crosshair has it. Reduces cursor jumping in the rectangle tool.

2007-07-26  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-dnd.c: moved common code into new
	utility function gimp_display_shell_dnd_flush(). Also move focus
	to the image window from this function.

2007-07-26  Sven Neumann  <sven@gimp.org>

	* app/paint/gimpbrushcore.c (gimp_brush_core_interpolate): added a
	sanity check.

2007-07-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/Makefile.am: moved contactsheet.scm
	to test_SCRIPTS. We should look at it again after the 2.4 release.

2007-07-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print-page-layout.c
	* plug-ins/print/print-settings.c: applied patch from Stefan
	Röllin to save and restore the use-full-page setting (bug #387604).

2007-07-25  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.c: only show an error dialog if being
	called interactively.

2007-07-25  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.c: removed drawable parameter which was
	ignored anyway.

	* plug-ins/print/print-draw-page.c (draw_page_cairo): reverted
	last change. Instead reimplemented the drawing to fetch the pixels
	directly into the cairo image surface.

2007-07-25  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print-draw-page.c (draw_page_cairo): push a group
	around the image surface fills. This seems to get rid of the white
	stripes in the output.

2007-07-25  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.c (run): always call gimp_ui_init(), we need
	funtionality from GTK+, even if called non-interactively.

2007-07-25  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/progress.pdb: added new procedure gimp-progress-end.

	* app/pdb/progress_cmds.c
	* app/pdb/internal_procs.c
	* libgimp/gimpprogress_pdb.[ch]: regenerated.

	* plug-ins/print/print.[ch]
	* plug-ins/print/print-settings.[ch]: end the progress and save
	the settings from the "end-print" handler. The plug-in then
	appears finished but keeps running in the background until it has
	finished the print operation.

2007-07-25  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.c: delete the export image from the
	"end-print" handler.

2007-07-25  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimptool.c (gimp_tool_set_active_modifier_state):
	don't have the tool release ALT when the user releases CONTROL.
	Fixes another stuck modifier instance and other modifier
	weirdness.

2007-07-24  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.3.20.

2007-07-24  Sven Neumann  <sven@gimp.org>

	* Made 2.3.19 development release.

2007-07-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print-page-layout.c: string changes.

2007-07-24  Sven Neumann  <sven@gimp.org>

	* authors.xml: added Stefan Röllin.

	* AUTHORS: regenerated.

	* plug-ins/print/print-page-layout.c: applied patch from Stefan
	Röllin to restore image offsets (bug #387604).

2007-07-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print-draw-page.c (create_surface_from_rgba):
	use integer arithmetic to do the compositing.

2007-07-24  Sven Neumann  <sven@gimp.org>

	* INSTALL
	* configure.in
	* app/gui/gui.c: depend on gtk+ >= 2.10.13. Fixes bug #436242.

	* configure.in: no need to AC_SUBST() GIMP_API_VERSION twice.

2007-07-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_main.c (main_set_title): use
	g_filename_display_basename() instead of g_path_get_basename().

2007-07-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.c: set a print job name.

2007-07-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.c: if we created an export image, delete
	it as soon as possible so it isn't left behind if the user kills
	the plug-in later because of printer problems.

2007-07-23  Mukund Sivaraman  <muks@mukund.org>

	* README: Use ~/.gimp-2.3 instead of ~/.gimp-2.2.

2007-07-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.[ch]
	* plug-ins/print/print-page-layout.c
	* plug-ins/print/print-settings.[ch]: removed image_ID from the
	PrintData struct and made sure that the parasites are read from
	and attached to the original image, not the export image.

2007-07-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.c: don't add an alpha channel.

	* plug-ins/print/print-draw-page.c: always use CAIRO_FORMAT_RGB24.

2007-07-23  Sven Neumann  <sven@gimp.org>

	* app/core/gimpprojection-construct.c: minor code cleanup.

2007-07-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.c (print_image): only delete the image if
	gimp_export_image() actually created a new one.

	* plug-ins/print/print-page-layout.c: some more dialog layout tweaks.

2007-07-23  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpactiongroup.[ch]: added convenience function
	gimp_action_group_activate_action().

2007-07-20  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/common/tga.c (ReadImage): added support for reading
	indexed TGA images with transparency information in the colormap.
	These images are now promoted to RGBA.  Fixes bug #445559.
	(save_image): save INDEXEDA images correctly instead of saving
	uninitialized tile data to the file.

2007-07-20  Sven Neumann  <sven@gimp.org>

	Applied another patch from Stefan Röllin:

	* plug-ins/print/print-page-layout.c: align buttons.

2007-07-20  Sven Neumann  <sven@gimp.org>

	* app/text/gimptext.c (gimp_text_set_property): don't call strlen
	on a NULL font name.

2007-07-20  Sven Neumann  <sven@gimp.org>

	* app/tools/gimprectangletool.c: fixed a gtk-doc comment.

2007-07-20  Sven Neumann  <sven@gimp.org>

	* app/menus/menus.c (menus_clear): overwrite the menurc with the
	systemwide default. Only if that fails, delete the menurc file.

	* app/dialogs/preferences-dialog.c: string change.

	* app/core/gimp-user-install.c: formatting.

2007-07-20  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpoffsetarea.c
	* plug-ins/print/print-preview.c: set a cursor to indicate that
	the area is interactive.

	* plug-ins/print/print-page-layout.c: minor dialog tweaks.

2007-07-20  Sven Neumann  <sven@gimp.org>

	Applied patch from Stefan Röllin attached to bug #387604:

	* plug-ins/print/print-draw-page.c: take offsets into account.

2007-07-20  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-quick-mask.[ch]: remember whether a channel
	was active before quick mask was activated. Fixes bug #134371.

2007-07-20  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/faxg3/faxg3.c (query): changed the magic string to
	"Research" starting at offset 4 (this also matches the longer
	string "PC Research, Inc" starting at offset 1).  Addresses a part
	of bug #445559.

2007-07-19  Sven Neumann  <sven@gimp.org>

	Applied patch from Stefan attached to bug #387604:

	* plug-ins/print/Makefile.am
	* plug-ins/print/print-preview.[ch]: new files implementing a
	print preview similar to GimpOffsetArea.

	* plug-ins/print/print.[ch]
	* plug-ins/print/print-page-layout.c
	* plug-ins/print/print-settings.c: adds GUI to adjust the offsets.

2007-07-19  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage.[ch]: renamed gimp_image_active_drawable() to
	gimp_image_get_active_drawable().

	* app/[lots of files]
	* tools/pdbgen/pdb/paths.pdb
	* tools/pdbgen/pdb/image.pdb: changed accordingly.

2007-07-19  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcolortool.c (gimp_color_tool_draw): chain up.

2007-07-18  Sven Neumann  <sven@gimp.org>

	* app/pdb/gimpprocedure.[ch] (gimp_procedure_set_strings): added
	const qualifiers.

2007-07-17  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/sample-funcs.c: unified subsampling code.

2007-07-17  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/Makefile.am
	* app/paint-funcs/scale-funcs.[ch]
	* app/paint-funcs/sample-funcs.[ch]: moved subsample_region() to
	new file and also moved subsample_indexed_region() there.

	* app/base/tile-manager-preview.c
	* app/core/gimpdrawable-preview.c: changed accordingly.

2007-07-17  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpeg.c
	* plug-ins/jpeg/jpeg-load.c: Removed obsolete libjpeg error
	manager that was disabling the loading of EXIF data.

2007-07-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg-load.c (load_image): fixed build for
	HAVE_EXIF being undefined.

2007-07-17  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager-preview.[ch]: added
	tile_manager_get_sub_preview().

	* app/core/gimpdrawable-preview.c: use the new function except for
	indexed drawables.

2007-07-17  Raphaël Quinet  <raphael@gimp.org>

	Reorganized the way JPEG comments and metadata are loaded.

	* plug-ins/jpeg/jpeg-load.c (load_image): sanitize comments
	containing invalid UTF-8 instead of discarding them.  If there is
	more than one EXIF block in a file, merge all of them instead of
	keeping only the block that contains a thumbnail image (see also
	bug #446809 and bug #358117).  Process XMP after EXIF.

	* plug-ins/jpeg/jpeg.h: include two null characters as part of the
	EXIF header.

	* plug-ins/jpeg/jpeg-exif.c: added jpeg_exif_get_orientation(),
	removed jpeg_apply_exif_data_to_image() because this is now done
	directly in jpeg-load.c.

	* plug-ins/jpeg/jpeg-icc.c
	* plug-ins/jpeg/jpeg-icc.h: removed jpeg_icc_setup_read_profile()
	because jpeg_save_markers() is used directly in jpeg-load.c.

2007-07-17  Sven Neumann  <sven@gimp.org>

	* app/base/Makefile.am
	* app/base/tile-manager-preview.[ch]: added new file that holds code
	to create a preview from a tile manager.

	* app/core/gimpbuffer.c
	* app/core/gimpimage-preview.c: use the new function instead of
	duplicating this code.

2007-07-17  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-funcs.c (scale_region_no_resample): use
	64 bit integers to avoid an overflow. Fixes bug #457209.

2007-07-17  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcolormapeditor.c: gracefully deal with empty
	colormaps.

2007-07-17  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpeg-exif.c (jpeg_setup_exif_for_save): include
	GIMP version number in the EXIF "software" tag.  This makes it
	easier to debug issues related to metadata.

2007-07-17  Sven Neumann  <sven@gimp.org>

	* app/core/gimp.c (gimp_finalize): free the context list.

	* app/tools/gimprectangleoptions.c (gimp_rectangle_options_gui):
	removed unused vbox.

2007-07-17  Simon Budig  <simon@gimp.org>

	* app/text/gimptext-private.h
	* app/text/gimptextlayout.c
	* app/text/gimptextlayout-render.c: Fix text rendering for xres != yres.

2007-07-17  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpmenudock.c (gimp_menu_dock_new): unref the context.

2007-07-17  Sven Neumann  <sven@gimp.org>

	* app/core/gimptoolinfo.c (gimp_tool_info_new): use the tool-info
	identifier as the name of the tool-options object.

	* app/paint/gimppaintoptions.c (gimp_paint_options_new): use the
	paint-info identifier as the name of the paint-options object.

	* app/paint/gimp-paint.c (gimp_paint_register): added parameter check.

	* app/tools/gimp-tools.c (gimp_tools_init): formatting.

2007-07-17  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimppluginprocedure.c
	(gimp_plug_in_procedure_set_file_proc): plugged tiny memory leak.

	* libgimpcolor/gimprgb.c (gimp_rgb_min) (gimp_rgb_max): formatting.

2007-07-17  Sven Neumann  <sven@gimp.org>

	* libgimpconfig/gimpconfigwriter.c (gimp_config_writer_finish):
	don't free the writer struct too early.

2007-07-16  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-new.c (gimp_image_new_get_last_template): sync
	with the default template. Fixes bug #457286.

2007-07-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/uri/uri.c
	* plug-ins/uri/uri-backend.h: get the procedure help strings from
	the backend abstraction.

	* plug-ins/uri/uri-backend-gnomevfs.c
	* plug-ins/uri/uri-backend-libcurl.c
	* plug-ins/uri/uri-backend-wget.c: provide help strings.

2007-07-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/png.c: only register one save MIME handler.
	Fixes bug #457045.

2007-07-15  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c (struct
	_GimpRectangleToolPrivate): Added members to keep track of for
	what shell scale the handle sizes were calculated. This is
	necessary so that in
	(gimp_rectangle_tool_control): we only update the handle sizes
	when the zoom level has changed. We must test this, because the
	tool is also paused/resumed when highlightning is on, and we don't
	want to update handle sizes just because highlightning happends to
	be on.
	(gimp_rectangle_tool_scale_has_changed): Added helper function.

2007-07-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_set_highlight): Check against
	tool->display == NULL, this check was lost when this function
	was moved out of gimp_rectangle_tool_configure.

2007-07-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_control):
	Also update rectangle handle sizes when canvas zoom is
	changed. (Forgot that in previous commit.)

2007-07-14  Martin Nordholts  <martinn@svn.gnome.org>

	Made the rectangle tool handles not resize during rectangle
	manipulation, as outlined in the spec, by separating highlight
	updating and handle size updating calls.

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_configure):
	Renamed to
	(gimp_rectangle_tool_update_handle_sizes): and moved
	gimp_rectangle_tool_set_highlight out of it. These two are now
	called independantly.

2007-07-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_clamp_width)
	(gimp_rectangle_tool_clamp_height): Fixed crash when creating a
	rectangle with constraints outside of canvas bounds.

2007-07-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_button_release): Don't execute selection if a
	dead area is clicked.

2007-07-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_active_modifier_key): Update handle sizes and
	highlight area also when Ctrl is released.

2007-07-13  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/common/psd-load.c (load_image): safeguard to avoid
	crashes while loading corrupt PSD images.  Fixes bug #327444.

2007-07-13  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/psd-load.c: use g_printerr() for debug output.

2007-07-12  Sven Neumann  <sven@gimp.org>

	Work around Pango appending " Not-Rotated" to font names:

	* app/text/gimptext.c (gimp_text_set_property)
	* app/text/gimpfontlist.c (gimp_font_list_add_font): strip
	" Not-Rotated" from the font name.

2007-07-12  Sven Neumann  <sven@gimp.org>

	* authors.xml: added two more contributors.

2007-07-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/psd-load.c: don't divide by zero when loading a
	layer or mask with zero width or height. Fixes bug #456042.

2007-07-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c: clarify which procedures work with RGB
	profiles and which accept profiles for other colorspaces.
	Calculate MD5 checksums of the profile data excluding the header
	and skip attempts to convert between identical profiles (bug #456017).

2007-07-11  Sven Neumann  <sven@gimp.org>

	* data/brushes/Calligraphic-Brush-*.vbr
	* data/brushes/Circle-*.vbr
	* data/brushes/Diagonal-Star-*.vbr: restored spacing values. Closes
	bug #157506 again.

2007-07-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/chrome-it.scm
	* plug-ins/script-fu/scripts/perspective-shadow.scm
	* plug-ins/script-fu/scripts/selection-round.scm
	* plug-ins/script-fu/scripts/sota-chrome-logo.scm
	* plug-ins/script-fu/scripts/swirltile.scm
	* plug-ins/script-fu/scripts/waves-anim.scm: added leading zero to
	floating point numbers.

2007-07-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c: Removed bitfieldized values from
	the SideToResize enum, they are irrelevant. Also renamed
	HANDLE_SIZE to MAX_HANDLE_SIZE.

2007-07-10  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/scripts/3dTruchet.scm: TinyScheme doesn't like
	inexact numbers to start with a decimal point. Added leading '0' to
	two instances of '.2'.

2007-07-10  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg.c
	* plug-ins/jpeg/jpeg-save.[ch]: fixed an issue with the latest
	changes. Now "Load Defaults" does also work if "Save Defaults"
	wasn't used before.

2007-07-09  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimppropwidgets.c
	(gimp_prop_file_chooser_button_setup): added evil hack to work
	around bug #327243 in GtkFileChooserButton.

2007-07-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg.c (run): when the save procedure is being
	called with GIMP_RUN_WITH_LAST_VALS and the image doesn't have the
	"jpeg-save-options" parasite set, show the dialog to give the user
	control over the JPEG encoding parameters.

2007-07-08  Martin Nordholts  <martinn@svn.gnome.org>

	Completely rewrote logic in gimp_rectangle_tool_motion, in effect
	also fixing bug #353936 and bug #398188. The general strategy now
	is to have specialized functions doing one thing, and one thing
	only.

	The patch also makes adjusting the rectangle through the keyboard
	and through the rectangle tool options follow tool options.

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_motion):
	Completely refactored.

	(gimp_rectangle_tool_active_modifier_key):
	(gimp_rectangle_tool_synthesize_motion): Submit to tool options.

	(gimp_rectangle_tool_apply_coord)
	(gimp_rectangle_tool_clamp)
	(gimp_rectangle_tool_clamp_width)
	(gimp_rectangle_tool_clamp_height)
	(gimp_rectangle_tool_keep_inside)
	(gimp_rectangle_tool_keep_inside_horizontally)
	(gimp_rectangle_tool_keep_inside_vertically)
	(gimp_rectangle_tool_apply_fixed_width)
	(gimp_rectangle_tool_apply_fixed_height)
	(gimp_rectangle_tool_apply_aspect)
	(gimp_rectangle_tool_update_with_coord)
	(gimp_rectangle_tool_get_constraints)
	(gimp_rectangle_tool_handle_general_clamping): The new specialized
	functions.

2007-07-08  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_active_modifier_key): Block
	gimp_rectangle_tool_options_notify when changing fixed-aspect
	through the shift key. Fixes bug #417168.

2007-07-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg.c
	* plug-ins/jpeg/jpeg-save.[ch]: applied patch from Etienne which
	adds configurable default parameters similar to the PNG save plug-in.
	Addresses bug #63610.

2007-07-08  Michael Natterer  <mitch@gimp.org>

	* app/actions/select-actions.c (select_actions): renamed action
	"selection-editor-popup" to "selection-popup". Fixes bug #454364.

	* app/widgets/gimpdockable.c (gimp_dockable_show_menu): warn when
	above bug happens instead of failing silently.

2007-07-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/channel_mixer.c: minor layout tweak.

	* libgimpwidgets/gimppreviewarea.c (gimp_preview_area_set_colormap):
	clear the colormap to all zeros before setting the new colors.

2007-07-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/psd-load.c
	* plug-ins/common/psd-save.c: use UTF-16 encoding instead of UCS-2
	for layer names (bug #445316).

2007-07-06  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcontainertreeview.c
	(gimp_container_tree_view_name_canceled): removed debug output.
	(gimp_container_tree_view_clear_items)
	(gimp_container_tree_view_remove_item): removed warning; the bug
	this warning referred to has been closed as WONTFIX.

2007-07-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/psd-load.c (do_layer_record): applied part of a
	patch from John Marshall that fixes handling of the short layer
	name (bug #445316).

2007-07-06  Sven Neumann  <sven@gimp.org>

	* app/xcf/xcf-load.c (xcf_load_image): marked two error messages
	as translatable strings.

	* libgimpbase/gimputils.c (gimp_any_to_utf8): insert a blank
	before the text that marks the string as invalid.

2007-07-06  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/sunras.c: validate size values read from files
	before using them to allocate memory.

2007-07-06  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/psd-load.c: validate size values read from files
	before using them to allocate memory.

2007-07-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/displace.c: applied patch from Ulf-D. Ehlert
	that fixes disappearing buttons (bug #454011).

2007-07-05  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/common/psp.c: finished error handling cleanup.

2007-07-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/psp.c: some cleanup to the error handling.

2007-07-05  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/common/psd-load.c (do_layer_record): check for invalid
	number of channels in a layer.

	* plug-ins/common/pcx.c (load_image): check for invalid image
	width or height.

	* plug-ins/bmp/bmpread.c: check for invalid image width or height,
	return if the image could not be read instead of trying to set the
	resolution or to flip a non-existing image.

2007-07-05  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimperrordialog.c (gimp_error_dialog_add): don't
	count the number of repeated messages when the error messages are
	being redirected to stderr already.

2007-07-05  Sven Neumann  <sven@gimp.org>

	* app/xcf/xcf-read.c (xcf_read_int32) (xcf_read_int8): return the
	number of bytes that have been read from the file.

	* app/xcf/xcf-load.c (xcf_load_prop): return FALSE when reading fails.

2007-07-05  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb.pl (arg_parse): allow the use of constants when
	specifying limits for a PDB type.

	* tools/pdbgen/pdb/channel.pdb
	* tools/pdbgen/pdb/image.pdb
	* tools/pdbgen/pdb/layer.pdb: use GIMP_MAX_IMAGE_SIZE as limit for
	image and drawable sizes.

	* tools/pdbgen/pdb/selection_tools.pdb: added missing include.

	* app/pdb/channel_cmds.c
	* app/pdb/image_cmds.c
	* app/pdb/layer_cmds.c
	* app/pdb/selection_tools_cmds.c: regenerated.

2007-07-05  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpdrawtool.c (gimp_draw_tool_draw_corner): changed
	the highlighting of the side handles to follow changes in the
	specification.

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_draw): cosmetics.

2007-07-05  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/common/psp.c (read_layer_block): allow layer dimensions
	larger than 32768 while still checking for integer overflows.

2007-07-04  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/common/pnm.c (load_image)
	* plug-ins/common/psp.c (read_layer_block)
	* plug-ins/common/sunras.c (load_image)
	* plug-ins/common/xbm.c (load_image)
	* plug-ins/common/xwd.c (load_image): validate size values read
	from files before using them to allocate memory (bug #451379,
	thanks to Sean Larsson of iDefense Labs).

2007-07-04  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/psd-load.c: validate size values read from files
	before using them to allocate memory.

2007-07-04  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/dicom.c: validate size values read from files
	before using them to allocate memory.

2007-07-04  Sven Neumann  <sven@gimp.org>

	* app/paint/gimpbrushcore.[ch]: applied patch from Jens Persson
	that adds a LUT to apply the jitter in polar coordinates (bug #434532).

2007-07-02  Tor Lillqvist  <tml@novell.com>

	* configure.in: Fix bug in saving/restoring LDFLAGS around the
	DirextX DirectInput tests.

2007-06-30  Martin Nordholts  <martinn@svn.gnome.org>

	Started taking GimpRectangleTool towards the new specification.
	The side handles now have the same width and height as the
	corresponding corner handles, and the size of the side handles do
	not span across the whole rectangle. Side handles also have a
	limited mimimum size, just as corner handles.

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_oper_update,
	gimp_rectangle_tool_draw, gimp_rectangle_tool_configure,
	gimp_rectangle_tool_get_anchor): Changed accordingly.

	* app/tools/gimpdrawtool.c (gimp_draw_tool_draw_corner): Changed
	accordingly.

2007-06-29  Martin Nordholts  <martinn@svn.gnome.org>

	Made GimpRectangleTools remember where the "other side" is when
	fixed-center is turned on, and reset the "other side" to that position
	when fixed-center is turned off again. Fixes bug #398183.

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_button_press): Remember "other side".
	(gimp_rectangle_tool_active_modifier_key): When fixed-center is turned
	off, reset "other side".
	(gimp_rectangle_tool_get_other_side)
	(gimp_rectangle_tool_get_other_side_coord)
	(gimp_rectangle_tool_set_other_side_coord): New functions.

2007-06-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/metadata/xmp-encode.c
	* plug-ins/metadata/xmp-model.c: don't include gimpui.h.

	* plug-ins/metadata/Makefile.am: don't build interface.c, don't
	link with libgimpui and libgimpwidgets.

	* plug-ins/metadata/metadata.c: don't register the metadata editor.

2007-06-27  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpimagecommenteditor.[ch]: fixed spelling error.

	* app/widgets/gimpcolorpanel.[ch]: applied slightly modified patch
	from Tor Lillqvist that changes the ColorPanel to provide live
	updates (bug #451568).

2007-06-27  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcontrollerlist.c (gimp_controller_list_init):
	use GTK_STOCK_PROPERTIES instead of GTK_STOCK_EDIT.

2007-06-27  Sven Neumann  <sven@gimp.org>

	* app/actions/image-actions.c: as suggested by the HIG, use
	Alt-Return as default shortcut for the Image Properties dialog.

2007-06-27  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpimagepropview.c: show the full filename instead
	of the basename and ellipsize it. The tooltip was too hard to
	discover.

2007-06-27  Sven Neumann  <sven@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpimagecommenteditor.[ch]: new widget derived from
	GimpImageParasiteView. Basically the code that used to live in
	image-properties-dialog.c.

	* app/dialogs/image-properties-dialog.c: use the comment editor.

2007-06-27  Sven Neumann  <sven@gimp.org>

	* app/dialogs/image-properties-dialog.c: allow to edit the comment.

	* app/widgets/gimpimageprofileview.c: enable line wrapping.

2007-06-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/tile.c (tile): call gimp_drawable_update() on
	the destination drawable.

	* plug-ins/common/tiff-load.c: formatting.

2007-06-27  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimagemap.c (gimp_image_map_clear)
	(gimp_image_map_do): update the image, not the drawable so we
	avoid constantly invalidating the drawable preview.

	* app/tools/gimpimagemaptool.c (gimp_image_map_tool_response):
	invalidate the drawable preview here.

	* app/paint/gimppaintcore.c (gimp_paint_core_paste)
	(gimp_paint_core_replace): clean up drawable offset handling code.

2007-06-27  Michael Natterer  <mitch@gimp.org>

	Removed useless image flushing which caused the image preview to
	be updated needlessly:

	* app/core/gimpimagemap.c (gimp_image_map_do): don't flush the
	image when the idle rendering is completed, emit our own "flush"
	signal instead just as for the incremental display updates.

	* app/tools/gimpimagemaptool.c (gimp_image_map_tool_notify_preview):
	when switching off the preview don't flush the image, only flush
	projection and display.

2007-06-26  Sven Neumann  <sven@gimp.org>

	* app/dialogs/image-properties-dialog.c
	* app/widgets/gimpimageprofileview.c: added margins to text views.

2007-06-26  Michael Natterer  <mitch@gimp.org>

	Invalidate the image preview after the projection is
	completely constructed. Fixes bug #449141.

	* app/core/gimpmarshal.list: add VOID:BOOLEAN

	* app/core/gimpimage.[ch]: add boolean parameter
	invalidate_preview to the "flush" signal.

	* app/core/gimpprojection.[ch]: add boolean member
	invalidate_preview to the GimpProjection struct. Set it to TRUE if
	it was TRUE in the image's "flush" signal. When the projection is
	completely constructed after a flush, invalidate the image's
	preview.

	* app/display/gimpdisplay-handlers.c
	* app/widgets/gimpitemtreeview.c
	* app/widgets/gimpimagedock.c
	* app/widgets/gimpimageeditor.c: changed callback signatures
	accordingly.

2007-06-26  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpimageprofileview.c (gimp_image_profile_view_query):
	use the name if the description is empty.

2007-06-26  Sven Neumann  <sven@gimp.org>

	* app/tools/gimplevelstool.c: unset the active color picker when
	the dialog is unmapped. Fixes bug #451272.

	* app/tools/gimpimagemaptool.c: formatting.

2007-06-26  Sven Neumann  <sven@gimp.org>

	* app/dialogs/image-properties-dialog.c
	* app/widgets/gimpimageprofileview.[ch]: show comment and color
	profile in text views instead of using labels. Deals much better
	with longer texts.

2007-06-26  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpimagepropview.c
	(gimp_image_prop_view_label_set_filename): set the full name as
	tooltip.

2007-06-25  Sven Neumann  <sven@gimp.org>

	* app/core/gimp-transform-resize.c: applied patch from Geert
	Jordaens that reimplements the algorithm to determine the largest
	rectangle. Fixes bug #412473.

2007-06-25  Sven Neumann  <sven@gimp.org>

	* configure.in: removed extra check for gthread and fold it into
	the GLIB and GTK checks.

	* */Makefile.am: changed accordingly.

	* app/main.c (main): always call g_thread_init().

2007-06-25  Sven Neumann  <sven@gimp.org>

	* libgimpbase/gimpwire.c: if the wire protocol is used without
	prior initialization, abort with g_error() instead of crashing.

2007-06-25  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpiscissorstool.c (gradmap_tile_validate): initialize
	the destination pixel region properly. Fixes bug #450291.

2007-06-25  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpiscissorstool.c (gradmap_tile_validate)
	(find_max_gradient) minor code cleanup.

2007-06-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/newsprint.c (newsprint_dialog): corrected spacing.

2007-06-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/align_layers.c: set the minimum grid size to 1.
	Fixes bug #450001.

2007-06-22  Martin Nordholts  <martinn@svn.gnome.org>

	* app/core/gimpprojection-construct.c (gimp_projection_initialize):
	Only consider layers with combine mode Normal when testing if any
	layer covers the entire specified area. Fixes bug #440154.

2007-06-22  Sven Neumann  <sven@gimp.org>

	* app/core/gimp.c (gimp_restore): note that loading fonts may take
	a while (on Win32 at least).

2007-06-21  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-render.c (gimp_display_shell_render):
	Refactored the two helper functions render_image_init_info(_full)?
	and always use the shell base scale for the shell->mask. Fixes
	bug #448417.

2007-06-21  Sven Neumann  <sven@gimp.org>

	* libgimpconfig/gimpconfigwriter.c (gimp_config_writer_finish):
	if an error occured while writing the file, propagate the error
	and return FALSE.
	(gimp_config_writer_flush): improved error message.

2007-06-21  Sven Neumann  <sven@gimp.org>

	* app/base/base-types.h
	* app/base/tile-manager.[ch]
	* app/base/tile-manager-private.h: removed accessors for user_data.
	Instead pass the user_data when setting the validation proc.

	* app/base/tile-pyramid.c
	* app/core/gimpchannel.c
	* app/core/gimpprojection.c
	* app/core/gimpselection.c
	* app/tools/gimpiscissorstool.c: changed accordingly.

2007-06-21  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager.[ch]
	* app/base/tile-manager-private.h: removed "level_below" from the
	TileManager struct.

	* app/base/tile-pyramid.c: use the TileManager's user_data to
	store a pointer to the lower level.

2007-06-21  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager.[ch]: use gboolean for boolean parameters.

	* app/base/tile-pyramid.c (tile_pyramid_get_memsize): pass TRUE
	for sparse to tile_manager_get_memsize().

	* app/base/tile.c
	* app/base/tile-swap.c: minor cleanups.

	* app/core/gimpprojection.c (gimp_projection_get_tiles_at_level):
	inline the creation of the TilePyramid.

2007-06-21  Michael Natterer  <mitch@gimp.org>

	Make sure the image preview is only invalidated for visible
	image changes (as it was before the change below).

	* app/core/gimpimage.h (struct GimpImageFlushAccumulator): added
	member "gboolean preview_invalidated".

	* app/core/gimpimage.c (gimp_image_update): set it to TRUE here.

	(gimp_image_real_flush): inavlidate the preview only if
	flush_accum.preview_invalidated is TRUE.

2007-06-21  Michael Natterer  <mitch@gimp.org>

	Part one of fix for bug #449141 (fixes the projection but still
	leaves some image previews unupdated).

	* app/core/gimpimage.c (lots of functions)
	* app/paint/gimppaintcore.c (gimp_paint_core_finish)
	* app/file/file-open.c (file_open_sanitize_image): removed calls
	to gimp_viewable_invalidate_preview(image).

	* app/file/file-open.c (file_open_sanitize_image): update and
	flush the entire image instead. Load plug-ins are not required to
	call gimp_drawable_update() or anything else to make sure the
	projection is up-to-date.

	* app/core/gimpimage.c (gimp_image_real_flush): invalidate the
	image preview here because we now create it from the projection.
	(this is still not the entirely correct place though).

2007-06-21  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcurvestool.c: introduced local variables in an
	attempt to make the code a little more readable.

2007-06-21  Sven Neumann  <sven@gimp.org>

	* app/dialogs/scale-dialog.c: use the term "layer masks".

2007-06-20  Sven Neumann  <sven@gimp.org>

	* app/base/tile-pyramid.[ch]: documentation.

2007-06-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/autocrop.c (autocrop): fixed an issue with the
	fix for bug #413906.

2007-06-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/animationplay.c: applied patch from Paul Seidel
	with further improvements to the playback speed control (bug #338380).

2007-06-20  Sven Neumann  <sven@gimp.org>

	* app/base/tile-pyramid.c (tile_pyramid_write_quarter): added missing
	implementations for 1 and 3 bytes per pixel.

2007-06-20  Sven Neumann  <sven@gimp.org>

	* app/base/Makefile.am
	* app/base/base-types.h
	* app/base/tile-pyramid.[ch]: image pyramid code split out of
	GimpProjection.

	* app/core/gimpprojection.[ch]: use the new TilePyramid.

2007-06-20  Sven Neumann  <sven@gimp.org>

	* app/base/tile.[ch]: removed unused function tile_mark_valid().

	* app/base/tile-manager.[ch]: removed unused public API and cleaned
	up internals used for invalidating tiles.

2007-06-20  Sven Neumann  <sven@gimp.org>

	* app/base/tile-private.h (struct _Tile): removed unused field
	swap_num.

	* app/base/tile.c (tile_new): initialise most of the Tile struct
	in the allocator.

2007-06-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scheme-wrapper.c (init_constants): hardcode
	the built-in units. Dynamically constructing the constants using
	gimp_unit_get_singular() doesn't work because it returns a
	translated string.

2007-06-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-console.c (script_fu_cc_key_function):
	applied patch from Eric Lamarque with some minor modifications.
	Fixes the remaining aspect of bug #438997.

2007-06-20  Tor Lillqvist  <tml@novell.com>

	* app/plug-in/gimpplugin.c: In GLib 2.13 pipe() is no longer
	defined as a macro in gwin32.h. Define it here in that case.

2007-06-19  Sven Neumann  <sven@gimp.org>

	* app/tools/gimprectangleselectoptions.c
	(gimp_rect_select_options_gui): set proper step and page
	increments in the scale entry for the corner radius.

2007-06-18  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpiscissorstool.c (gimp_iscissors_tool_draw): free
	live-wire Curve segment using g_slice_free().

2007-06-18  Sven Neumann  <sven@gimp.org>

	* app/file/file-open.c (file_open_from_command_line): use
	gimp_message() for error handling.

	* plug-ins/common/psd-load.c (seek_to_and_unpack_pixeldata): check
	channel dimensions to avoid potential integer overflow. Some minor
	cleanups to error messages.

2007-06-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/animationplay.c: applied modified patch from
	Paul Seidel that adds controls for the playback speed (bug #338380).

2007-06-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/oilify.c: applied patch from Daniel Richard G.
	which adds a new PDB entry with more options and improves speed
	and quality of the algorithm (bug #347075).

2007-06-16  Sven Neumann  <sven@gimp.org>

	* app/core/gimpprojection.c (gimp_projection_get_level): take the
	image size into account and return the level that is actually used.
	Fixes bug #448185.

2007-06-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/psd-save.c: coding style improvements.

2007-06-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/psd-save.c: applied patch from Eric Ross that
	changes the PSD save plug-in to save an extra data block with the
	layer names in UCS-2 encoding (bug #447267).

2007-06-15  Michael Natterer  <mitch@gimp.org>

	* app/actions/view-actions.c (view_actions_update): make sure all
	view actions are insensitive when there is no view.

2007-06-15  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/gfig/gfig-dobject.c: prepend instead of appending to
	list (patch written earlier).

2007-06-14  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdatafactory.c
	(gimp_data_factory_refresh_cache_remove): micro optimization.

2007-06-14  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdatafactory.c (gimp_data_factory_data_foreach):
	remove calls to container_freeze() and container_thaw()

	(gimp_data_factory_data_reload)
	(gimp_data_factory_data_free): add them here instead.

	(gimp_data_factory_data_save): remove freeze/thaw calls here
	without any replacement. The list doesn't change by saving its
	items. Fixes insanely long quit time when there are many data
	objects.

2007-06-14  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage.c: implement the GimpColorManaged interface.

2007-06-14  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/Makefile.am (gimp_thumbnail_list_LDADD): fixed
	parallel builds (bug #447402).

2007-06-13  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/tiff-load.c: prepend instead of appending to list.

2007-06-13  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.c (putchars): Update "cursor"
	after writing characters to a string buffer. Fixes bug #446884.

2007-06-13  Sven Neumann  <sven@gimp.org>

	* app/app.c (app_exit_after_callback): if GIMP_UNSTABLE is
	undefined before calling exit() call tile_swap_exit(), not
	base_exit().

2007-06-13  Sven Neumann  <sven@gimp.org>

	* app/base/base.c (base_exit): call tile_cache_exit() before
	tile_swap_exit(). tile_cache_exit() may use the tile swap in
	pathological cases.

	* app/base/tile-cache.c (tile_cache_exit): warn if the tile cache
	is not empty.

2007-06-13  Sven Neumann  <sven@gimp.org>

	* app/base/tile-cache.c: minor cleanup.

2007-06-13  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/tiff-load.c: small fix to the previous commit
	in how layers are skipped.

2007-06-13  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/tiff-load.c: don't load any layers from a TIFF
	directory which don't match the mode of the first image in the TIFF
	directory.

2007-06-13  Sven Neumann  <sven@gimp.org>

	* app/errors.[ch]: added errors_exit() and unset the Gimp
	reference. Errors may occur after the Gimp object has been finalized.

	* app/app.c (app_run): call errors_exit().

2007-06-12  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/jpeg/jpeg-load.c (load_image): Instead of passing any
	file to libexif blindly, check first that some JPEG APP1 marker
	contains the EXIF header.

	* plug-ins/jpeg/jpeg-exif.c (jpeg_apply_exif_data_to_image):
	removed the tests that were checking for the presence of some EXIF
	tags such as the EXIF version before deciding if the data should
	be processed or not (bug #446809).

2007-06-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/curve_bend.c: initialize the GtkAdjustment used
	for the rotation angle; fixes bug #446681.

2007-06-12  Sven Neumann  <sven@gimp.org>

	* app/base/boundary.c (simplify_subdivide): eliminate calls to sqrt().

2007-06-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/psd-load.c: applied slightly modified patch from
	Eric Ross that adds support for loading long layer names from the
	extra layer data section (bug #445316).

2007-06-11  Sven Neumann  <sven@gimp.org>

	Applied patch from Zbigniew Chyla that further improves the
	boundary_sort() performance (bug #388538):

	* base/boundary.c (cmp_xy): use "y" coordinate as more significant
	one, i.e. compare (ay, ax) to (by, bx), not (ax, ay) to (bx, by).

	* configure.in: bumped version to 2.3.19.

2007-06-11  Sven Neumann  <sven@gimp.org>

	* Made 2.3.18 development release.

2007-06-11  Michael Schumacher  <schumaml@cvs.gnome.org>

	* plug-ins/common/raw.c (run): if load_image fails, return
	GIMP_PDB_EXECUTION_ERROR

	* plug-ins/twain/twain.c (run): added missing ;

2007-06-11  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpviewrenderer.c (gimp_view_renderer_init):
	initialize width and height to zero. Fixes bug #446005.

2007-06-11  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-preview.c: don't disable image previews when
	layer previews are disabled. We do not any longer create the image
	preview from the layer previews.

	* app/core/gimpimagefile.c
	* app/widgets/gimpthumbbox.c
	* tools/pdbgen/pdb/image.pdb: thumbnail rendering is not any
	longer disabled if layer previews are turned off.

	* app/config/gimprc-blurbs.h (THUMBNAIL_SIZE_BLURB): removed note
	that has become invalid by the change above.

	* app/core/gimpitem-preview.c: cosmetics.

	* app/pdb/image_cmds.c: regenerated.

2007-06-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/twain/twain.c (run): moved run_mode initialisation up a
	few lines.

	* app/tools/gimpscaletool.c: removed unused variable.

2007-06-11  Mukund Sivaraman  <muks@mukund.org>

	* configure.in: bumped required libexif version to 0.6.15. This
	seems to fix #358117 for the various test images that were reported
	in it, and its duplicates. This version is in Debian testing and
	Fedora 7.

2007-06-11  Sven Neumann  <sven@gimp.org>

	Applied the second patch from Zbigniew Chyla. Improves
	boundary_sort() performance by reducing its time complexity from
	O(n*n) to ~O(n*log n) (bug #388538).

	* app/base/boundary.c (boundary_sort): prepare two arrays of
	pointers to segments, each sorted by different pair of
	coordinates ((x1,y1) and (x2,y2)); use new find_segment(),
	passing both arrays to it.
	(find_segment): new implementation that employs binary search to
	find matching segment, using sorted arrays prepared by
	boundary_sort().

2007-06-11  Sven Neumann  <sven@gimp.org>

	Applied patch from Zbigniew Chyla from bug #388538:

	* app/base/boundary.c (boundary_sort): simplified a bit by
	replacing "while" with "for" loop, now we don't search from the
	beginning of the array in each iteration.

2007-06-09  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-resize.[ch]: added
	gimp_image_resize_to_selection().

	* app/actions/image-actions.c
	* app/actions/image-commands.[ch]
	* app/widgets/gimphelp-ids.h
	* menus/image-menu.xml.in: added an action and a menu item for it.
	Fixes bug #335672.

	* plug-ins/common/align_layers.c: resolved a conflicting mnemonic.

2007-06-09  Sven Neumann  <sven@gimp.org>

	* app/core/gimpselection.c (gimp_selection_extract): fixed
	parameter passed to gimp_image_get_background(). Fixes bug #445719.

2007-06-08  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.h: Applied patch from Daniel
	Richard G. that defines SCHEME_EXPORT as extern for non-Windows
	systems. Fixes bug #444964.

2007-06-08  Sven Neumann  <sven@gimp.org>

	* app/core/gimpprojection.c (gimp_projection_alloc_levels): use
	a bit shift instead of a shift and a division.
	(gimp_projection_invalidate): same change here.

2007-06-08  Sven Neumann  <sven@gimp.org>

	Applied parts of a patch from Daniel Richard G. (bug #445374):

	* themes/Default/images/Makefile.am
	* data/tips/Makefile.am
	* menus/Makefile.am: more srcdir/builddir tweaks.

2007-06-08  Sven Neumann  <sven@gimp.org>

	* app/core/gimpviewable.h: #define GIMP_VIEWABLE_PRIORITY_IDLE,
	which is even lower than G_PRIORITY_LOW.

	* app/core/gimpundo.c
	* app/widgets/gimpviewrenderer.c: create previews with
	GIMP_VIEWABLE_PRIORITY_IDLE so that they are run after the
	projection has been invalidated.

2007-06-07  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager.c: formatting.

2007-06-07  Manish Singh  <yosh@gimp.org>

	* configure.in: display better error message if PyGTK is too old.

2007-06-07  Sven Neumann  <sven@gimp.org>

	* app/core/gimpprojection.c (gimp_projection_validate_pyramid_tile):
	folded into a single loop.

2007-06-07  Sven Neumann  <sven@gimp.org>

	* app/core/gimpprojection.c (gimp_projection_write_quarter):
	weight the pixels by their alpha value.

2007-06-07  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage.[ch]: removed the boolean from the GimpImage
	struct that used to track whether the preview was valid.
	(gimp_image_invalidate_preview): just set the preview to NULL.

	* app/core/gimpimage-preview.c (gimp_image_get_new_preview):
	construct the preview from the projection instead of compositing
	the drawable previews.

2007-06-07  Sven Neumann  <sven@gimp.org>

	* app/core/gimpprojection.c: lazily allocate the tile managers of
	the image pyramid.
	(gimp_projection_write_quarter): minor optimization.

2007-06-07  Sven Neumann  <sven@gimp.org>

	* app/text/Makefile.am
	* app/core/Makefile.am
	* app/tools/Makefile.am
	* app/display/Makefile.am
	* app/widgets/Makefile.am
	* app/base/Makefile.am
	* app/paint/Makefile.am
	* app/plug-in/Makefile.am
	* libgimp/Makefile.am
	* libgimpthumb/Makefile.am
	* tools/pdbgen/Makefile.am
	* libgimpwidgets/Makefile.am: applied the remaining parts of the
	patch from Daniel Richard G. to fix out-of-source-tree builds
	(bug #444960).

2007-06-07  Sven Neumann  <sven@gimp.org>

	* app/core/gimpprojection.c (gimp_projection_get_level):
	reimplemented without using a logarithm.

2007-06-07  Sven Neumann  <sven@gimp.org>

	* app/dialogs/Makefile.am
	* menus/Makefile.am: when calling xsltproc, use the stylesheet from
	$(srcdir). From the patch attached to bug #444960.

2007-06-07  Sven Neumann  <sven@gimp.org>

	* app/dialogs/Makefile.am: bail out with an error if xsltproc is
	missing and authors.h needs to be regenerated.

	* libgimpwidgets/Makefile.am: let gimpwidgets-private.lo, not the
	C file, depend on gimp-wilber-pixbufs.h. From the patch attached to
	bug #444960.

2007-06-07  Sven Neumann  <sven@gimp.org>

	* app/dialogs/tips-dialog.c: converted to a GimpDialog.

2007-06-06  Sven Neumann  <sven@gimp.org>

	* app/core/gimpprojection.[ch]: minor API cleanup. Use horizontal
	and vertical scale to determine the pyramid level to use.

	* app/display/gimpdisplayshell-draw.c
	* app/display/gimpdisplayshell-render.c: follow the API change.

2007-06-06  Sven Neumann  <sven@gimp.org>

	* app/core/gimpprojection.c: cosmetics.

2007-06-06  Martin Nordholts  <martinn@svn.gnome.org>

	Implemented an image pyramid for the GimpProjection. An image
	pyramid caches a projection at several sizes, causing the
	rendering code not to have to swap in all tiles of a (potentially)
	large image; it can use small versions of the projection if the
	user is zoomed out.

	The image pyramid also imroves visual quality, especially at zoom
	levels where there is a pyramid level that matches perfectly (i.e.
	at e.g. 50%, 25%, and 12.5% zoom). A step on the right track for
	bug #76096.

	* app/core/gimpprojection.[ch]: Adjusted to make use of an image
	pyramid. GimpProjection now keeps an array of TileManager:s, one
	per pyramid level. Renamed _alloc_tiles to _alloc_levels.

	* app/display/gimpdisplayshell-draw.c: (gimp_display_shell_draw_area):
	Use the right GimpProjection level when drawing

	* app/display/gimpdisplayshell-render.c: (render_image_init_info_full):
	Setup RenderInfo with level in mind

	* app/base/tile-manager.[ch]: Extended API a bit, nothing complicated.

	* app/base/tile-manager-private.h (struct _TileManager): Keep a
	pointer to the level below for use in an image pyramid.

2007-06-06  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-preview.c (gimp_image_get_new_preview): cleanup.

2007-06-06  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-funcs.c (scale_region): always use
	scale_region_lanczos() for LANCZOS interpolation. Fixes bug #443640.

2007-06-06  Sven Neumann  <sven@gimp.org>

	* app/core/gimpprojection.c (gimp_projection_estimate_memsize):
	the projection is 2 bytes per pixel for grayscale images.

2007-06-06  Sven Neumann  <sven@gimp.org>

	* app/core/gimpprojection.[ch]: added function that estimates the
	memory requirements for an image projection.

	* app/core/gimptemplate.c (gimp_template_notify): use it.

2007-06-06  Sven Neumann  <sven@gimp.org>

	* docs/papers: removed this directory and its contents. The papers
	we used to keep here are only of historical value.

2007-06-06  Michael Natterer  <mitch@gimp.org>

	* libgimpthumb/Makefile.am
	* libgimpthumb/gimp-thumbnail-list.c: added my small thumbnail
	lister before it bit-rots. It prints the filenames of thumbnails
	which match certain criteria. Use the output for further
	processing (e.g. deleting). Doesn't technically belong here but
	can't be added to tools/ because it depends on libgimpthumb.

2007-06-06  Sven Neumann  <sven@gimp.org>

	* papers/script-fu/script-fu.tex: reverted the change here. This
	document only has historical value and must not be changed.

2007-06-06  Mukund Sivaraman  <muks@mukund.org>

	Changed "The GIMP" to "GIMP" everywhere, where it's used as a name.

2007-06-05  Michael Natterer  <mitch@gimp.org>

	* plug-ins/helpbrowser/dialog.c (browser_dialog_goto_index): don't
	expand the row we are going to, only its parent node.

2007-06-05  Simon Budig  <simon@gimp.org>

	* plug-ins/common/tiff-load.c
	* plug-ins/common/tiff-save.c: Implement the proposed scheme for
	storing international path names in TIFF files.

2007-06-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/dialog.c
	* plug-ins/imagemap/imap_browse.c
	* plug-ins/imagemap/imap_preview.c
	* plug-ins/imagemap/imap_selection.c: added const qualifiers.

2007-06-05  Michael Natterer  <mitch@gimp.org>

	* plug-ins/helpbrowser/dialog.[ch] (browser_dialog_goto_index):
	new function which takes an uri and selects its item from the
	index tree.

	* plug-ins/helpbrowser/helpbrowser.c (temp_proc_run): use it to
	select the right tree item when invoked from gimp.

2007-06-05  Michael Natterer  <mitch@gimp.org>

	* plug-ins/helpbrowser/dialog.c: keep a reverse mapping
	uri -> GtkTreeIter around and use it to select the currently
	displayed help page in the index tree.

2007-06-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/distress-selection.scm: applied patch
	from Saul Goode that enables Distress Selection for grayscale images.

2007-06-04  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpcolorscale.c (gimp_color_scale_expose):
	revert last change, it looks ugly in themes which actually draw a
	box around the scale.

2007-06-04  Mukund Sivaraman  <muks@mukund.org>

	* app/vectors/gimpvectors-export.c: Added format string to dangerous
	fprintf() call without it, which directly print variable data.

2007-06-04  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpcolorscale.c (gimp_color_scale_expose): pass
	NULL as detail to gtk_paint_box().

2007-06-04  Sven Neumann  <sven@gimp.org>

	* app/actions/image-actions.c (image_actions)
	* app/actions/layers-actions.c (layers_actions): renamed menu
	entries as suggested in bug #443384.

2007-06-04  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpmagnifyoptions.c: remove compat property
	"threshold" because the parser now silently skips unknown
	properties.

2007-06-04  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpbrush-load.c: applied patch from Eric Lamarque
	which adds support for ABR v6 brushes. Did some minor cleanups in
	the patch, reordered functions and generally fixed error handling
	of the ABR parsers. Fixes bug #377016.

2007-06-04  Michael Natterer  <mitch@gimp.org>

	* libgimpconfig/gimpconfig-deserialize.c: be forward-compatible by
	skipping unknown object properties.

	* app/config/gimprc-deserialize.c: synced code with
	libgimpconfig (same stuff should look the same).

	* app/config/gimprc.c: whitespace.

2007-06-03  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/scripts/round-corners.scm: Removed spurious
	call to 'gimp-image-undo-disable'. From a patch by Saul Goode.

2007-06-03  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdatafactory.c (gimp_data_factory_load_data): check
	for errors even if the loader_func returned something so we
	display errors from partially loaded files which contain multiple
	data items.

2007-06-03  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpcolorscale.c: let mouse button 1 jump to the
	clicked position directly (just as mouse button 2 does). Feels
	much more intuitive because the result of the operation is visible
	before and color scales have no scroll arrows either.

2007-06-02  Michael Natterer  <mitch@gimp.org>

	* app/gui/gui.c (gui_exit_callback): disconnect the
	gui_display_remove() and gui_display_changed() callbacks before
	deleting the displays, not after (it makes no sense to update the
	GUI while exiting).

2007-06-02  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-dnd.c
	* app/widgets/gimpitemtreeview.c
	* app/widgets/gimpchanneltreeview.c: set the "linked" property of
	newly dropped items to FALSE.

	* app/widgets/gimptoolbox-dnd.c (gimp_toolbox_drop_drawable):
	stylistic cleanup.

2007-06-01  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpperspectiveclonetool.c: commented out debug output.

2007-06-01  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/Makefile.am
	* libgimpcolor/gimpcolor.h
	* libgimpcolor/gimpcolortypes.h
	* libgimpcolor/gimpcolormanaged.[ch]: added an interface that will
	be used to implement the missing bits of color management.

	* libgimpcolor/gimpcolor.def: updated.

2007-06-01  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/Makefile.am: changed back to using EXTRA_PROGRAMS.

2007-05-31  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/test-preview-area.c: minor improvements.

2007-05-31  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/Makefile.am: build test-preview-area to avoid bit
	rot.

	* libgimpwidgets/test-preview-area.c: fixed compilation.

2007-05-31  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-convert.c: unified progress strings.

2007-05-31  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-convert.c: minor code cleanup.

2007-05-31  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/queue.c:  allocate structs using GSlice.

2007-05-31  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/Lighting/lighting_ui.c
	* plug-ins/FractalExplorer/Dialogs.c: Specify maximum field width in
	fscanf() to avoid buffer overflows.

2007-05-31  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/gfig/gfig.c: Specify maximum field width in sscanf() to
	avoid buffer overflows.

2007-05-31  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/spheredesigner.c: Don't write to an uninitialized
	pointer (end).

2007-05-31  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/gfig/gfig-style.c: Specify maximum field width in
	sscanf() to avoid buffer overflows.

2007-05-31  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/gflare/gflare.c: Specify maximum field width in
	fscanf() to avoid buffer overflows.

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/mail.c: Added format strings to dangerous
	fprintf() calls without them which directly print variable data.

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/gfig/gfig-style.c: Use a macro for size of style text
	entries array.

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/decompose.c: Replaced hardcoded constant with
	sizeof array.

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/gtm.c: Replaced g_malloc()+sprintf() with more
	safe g_strdup_printf().

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/decompose.c: Use strncpy() instead of strcpy() to
	avoid buffer overflows.

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/compose.c: Specify maximum field width in
	sscanf() to avoid buffer overflows.

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/channel_mixer.c: Specify maximum field width in
	fscanf() to avoid buffer overflows.

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/gfig/gfig-style.c: Check and handle case where number of
	style items read can overflow the buffer.

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/gfig/gfig-style.c: Replaced use of g_new()+strcpy() with
	g_strdup().

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/winsnap/winsnap.c: Use strncpy() instead of strcpy() to
	avoid buffer overflows.

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/xjt/xjt.c: Replaced use of g_malloc()+strcpy() with
	g_strdup().

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/gqbist.c: Use strncpy() instead of strcpy() to
	avoid buffer overflows.

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/gtm.c: Use strncpy() instead of strcpy() to avoid
	buffer overflows.

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/jpeg/jpeg.c: Removed redundant image_ID declaration that
	shadowed an outer variable needlessly (found using Splint).

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/sel2path/fit.c: Initialize spline.linearity before use.

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/sel2path/spline.c: Initialize spline.linearity before use.

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/script-fu/re/split.c
	* plug-ins/script-fu/re/split.h
	* plug-ins/script-fu/re/main.c
	* plug-ins/script-fu/re/Makefile.am: Created a header file (split.h)
	and added a prototype for split().

2007-05-30  Mukund Sivaraman  <muks@mukund.org>

	* app/tools/gimpdrawtool.c: Added missing include.

	* app/tools/gimpbycolorselecttool.c: Removed unused variable.

	* app/plug-in/gimpenvirontable.c: Added cast for callback function.

	* plug-ins/script-fu/tinyscheme/scheme.c: Correctly cast pointer to
	an long integer type.

2007-05-30  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_file.c (do_file_save_as_dialog): set a
	filename based on the image name. Based on a patch from Kevin
	Hurewitz (bug #317916).

	* plug-ins/twain/tw_mac.c: don't use C++ style comments.

2007-05-29  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/postscript.c: minor code cleanup.

2007-05-29  Sven Neumann  <sven@gimp.org>

	* app/base/base-types.h: removed unused typedef.

2007-05-29  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpdrawtool.c: use GSlice to allocate the transform
	matrix.

2007-05-29  Sven Neumann  <sven@gimp.org>

	* app/vectors/gimpvectors-import.c: don't memdup gslice-allocated
	memory.

2007-05-29  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage.c (gimp_image_parasite_attach)
	* app/core/gimpitem.c (gimp_item_parasite_attach): allocate the
	temporary GimpParasite copy on the stack.

2007-05-29  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimptoolbox-dnd.c (gimp_toolbox_drop_drawable): set
	"linked" and "lock-alpha" to FALSE too.

2007-05-29  Sven Neumann  <sven@gimp.org>

	* app/base/tile.[ch]: renamed tile_sanitize_rowhints() to
	tile_allocate_rowhints().

	* app/base/tile-manager.c
	* app/paint-funcs/paint-funcs.c: changed accordingly.

2007-05-29  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimptoolbox-dnd.c (gimp_toolbox_drop_drawable): also
	set the mode of the new layer to NORMAL and its opacity to OPAQUE.

2007-05-29  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/imagemap/imap_object.c: Use C89 declarations.

2007-05-29  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-dnd.c
	* app/widgets/gimptoolbox-dnd.c: make drop-duplicated drawables
	visible before adding them to the image. Spotted by Jimmac.

2007-05-28  Manish Singh  <yosh@gimp.org>

        * plug-ins/pygimp/gimpcolormodule.c
        * plug-ins/pygimp/gimpenumsmodule.c
        * plug-ins/pygimp/gimpmodule.c
        * plug-ins/pygimp/gimpthumbmodule.c
        * plug-ins/pygimp/gimpuimodule.c
        * plug-ins/pygimp/pygimp-drawable.c
        * plug-ins/pygimp/pygimp-image.c
        * plug-ins/pygimp/pygimp-pdb.c
        * plug-ins/pygimp/pygimp-tile.c: cleanups.

2007-05-28  Michael Natterer  <mitch@gimp.org>

	* app/base/tile-manager.c (tile_manager_get): allocate
	tile->rowhint using tile_sanitize_rowhints() (which uses GSlice)
	instead of g_memdup(). Fixes bug #441878.

2007-05-28  Michael Natterer  <mitch@gimp.org>

	Don't leave the user without progress bar just because the
	display's statusbar is invisible:

	* app/display/gimpstatusbar.[ch]: if the statusbar is invisible
	when a progress wants to be shown, temporarily show it, recording
	the fact in the new boolean "progress_shown" member. Added new API
	gimp_statusbar_get/set_visible() which is aware of the new
	temporary visibility state.

	* app/display/gimpdisplayshell-appearance.c
	(gimp_display_shell_set_show_statusbar)
	* app/display/gimpdisplayshell-progress.c
	(gimp_display_shell_progress_message): use the new API instead of
	showing/hiding the widget directly.

2007-05-28  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpfgbgview.[ch]: derive from GtkWidget instead of
	GtkDrawingArea so we save a GdkWindow and render on the correct
	background color also for inactive notebook tabs.

2007-05-28  Michael Natterer  <mitch@gimp.org>

	* app/core/gimplayer-floating-sel.c (floating_sel_attach): set
	"Lock Alpha" to TRUE again on floating selections.

	(floating_sel_to_layer): instead, set it to FALSE when turning
	it into a new layer. Fixes bug #418215 and keeps #161042 closed.

2007-05-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/gauss.c: clamping at 255 is good enough.

2007-05-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/gauss.c: clamp to [0;255]. Fixes bug #441681.

2007-05-27  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.3.18.

2007-05-27  Sven Neumann  <sven@gimp.org>

	* Made 2.3.17 development release.

2007-05-27  Michael Natterer  <mitch@gimp.org>

	* app/core/gimp-utils.[ch] (gimp_container_get_neighbor_of_active):
	new utility function which returns the neighbor of a container's
	active item.

	* app/widgets/gimpcontainerview-utils.[ch]
	(gimp_container_view_remove_active): remove a container view's
	active item, using above function to select its neighbor.

	* app/actions/data-commands.c
	* app/actions/buffers-commands.c
	* app/actions/documents-commands.c
	* app/actions/templates-commands.c: use above functions to select
	reasonable items when deleting from a list (instead of always
	jumping to the first item).

2007-05-26  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpwidgets.c (gimp_coordinates_new): update the
	original width and height when the chain-button is changed to the
	active state.

2007-05-26  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpsizebox.c (GimpSizeBoxPrivate): removed unused
	struct member.

2007-05-26  Michael Natterer  <mitch@gimp.org>

	* libgimpcolor/gimprgb.c (gimp_param_rgb_values_cmp): fully
	initialize all bytes of "int1" and "int2" so we don't produce
	wrong color compare results (and shut up valgrind).
	Fixes bug #353696.

2007-05-26  Michael Natterer  <mitch@gimp.org>

	* app/config/gimpdisplayconfig.c (gimp_display_config_class_init):
	also initialize alpha of xor-color's default value to stop
	valgrind from complaining about uninitialized memory.

2007-05-26  Sven Neumann  <sven@gimp.org>

	* app/dialogs/layer-options-dialog.c: do not only declare
	layer_options_dialog_free(), but do actually use it.

2007-05-25  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/script-fu-text-console.c
	* plug-ins/script-fu/script-fu.c
	* plug-ins/script-fu/scheme-wrapper.c
	* plug-ins/script-fu/scheme-wrapper.h: Applied patch from Eric
	Lamarque that makes use of TinyScheme's interactive mode for
	the text console in Script-Fu. Fixes bug #440674.

2007-05-25  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lens.c: applied patch from Aurimas Juška that
	fixes use of the GimpZoomPreview widget (bug #356716).

2007-05-25  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/Makefile.am: Missed commit of this file.

	* plug-ins/script-fu/scheme-wrapper.h:
	* plug-ins/script-fu/scheme-wrapper.c (ts_output_string): Updated
	to expect a 'const char *' and an int but no file pointer.

	* plug-ins/script-fu/tinyscheme/scheme.c
	* plug-ins/script-fu/tinyscheme/scheme.h: Changes due to use of
	'const char *' for ts_output_routine.

2007-05-25  Kevin Cozens  <kcozens@cvs.gnome.org>

	This is the first part of fixing bugs #438997 and #440674.

	* plug-ins/script-fu/scheme-wrapper.c: Removed ts_output_routine
	declaration from here...

	* plug-ins/script-fu/tinyscheme/scheme.h: and added it here.

	* plug-ins/script-fu/tinyscheme/scheme.c (putchars): Updated to be
	smarter about where it's output needs to be sent.

2007-05-25  Sven Neumann  <sven@gimp.org>

	* app/composite/gimp-composite-mmx.c
	* app/composite/gimp-composite-sse2.c
	* app/composite/gimp-composite-regression.c: minor code cleanup.

2007-05-25  Sven Neumann  <sven@gimp.org>

	* app/composite/gimp-composite-sse-test.c
	* app/composite/gimp-composite-test.c
	* app/composite/gimp-composite-sse2-test.c
	* app/composite/gimp-composite-altivec-test.c
	* app/composite/gimp-composite-3dnow-test.c
	* app/composite/gimp-composite-mmx-test.c
	* app/composite/gimp-composite-vis-test.c: minor code cleanup.

2007-05-25  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpsessioninfoaux.[ch]
	* app/widgets/gimpsessioninfobook.[ch]
	* app/widgets/gimpsessioninfodock.[ch]
	* app/widgets/gimpsessioninfodockable.[ch]: renamed these...

	* app/widgets/gimpsessioninfo-aux.[ch]
	* app/widgets/gimpsessioninfo-book.[ch]
	* app/widgets/gimpsessioninfo-dock.[ch]
	* app/widgets/gimpsessioninfo-dockable.[ch]: ...to these.

	* app/widgets/Makefile.am
	* app/widgets/gimpcoloreditor.c
	* app/widgets/gimpcursorview.c
	* app/widgets/gimpdataeditor.c
	* app/widgets/gimpdocked.c
	* app/widgets/gimphistogrameditor.c
	* app/widgets/gimpmenudock.c
	* app/widgets/gimppaletteeditor.c
	* app/widgets/gimpsessioninfo.c: changed accordingly.

2007-05-25  Sven Neumann  <sven@gimp.org>

	* libgimpbase/gimpparasite.c: allocate parasites using GSlice.

2007-05-25  Sven Neumann  <sven@gimp.org>

	* gimptool-2.0.in: require pkg-config and use it to determine
	cflags and libs.

	* docs/gimptool.1.in: document that pkg-config is used and
	recommend to use pkg-config directly.

2007-05-25  Sven Neumann  <sven@gimp.org>

	* gimptool-2.0.in: synced --libs output with the pkg-config files.

2007-05-25  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_main.c
	* plug-ins/imagemap/imap_object.[ch]: applied patch from Kevin
	Hurewitz that adds keyboard control for resizing an area (bug #439226).

2007-05-24  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/pygimp-display.c (pygimp_display_new): return None
	if we're passed an ID of -1, like the other GIMP object constructors.

2007-05-24  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/pygimp-display.c: remove the delete method, PyGimp
	objects are supposed to be deleted via gimp.delete()

2007-05-24  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpsessioninfo.[ch]
	* app/widgets/gimpsessioninfoaux.[ch]
	* app/widgets/gimpsessioninfobook.[ch]
	* app/widgets/gimpsessioninfodock.c
	* app/widgets/gimpsessioninfodockable.[ch]: cleanup.

2007-05-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/pygimp/pygimp-display.c: added an ID attribute and a
	delete method to the Gimp.Display object.

	* plug-ins/pygimp/gimpshelf.py (_display_id): use the ID attribute.

	* plug-ins/pygimp/gimpfu.py: enabled support for PF_DISPLAY.

2007-05-24  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpsessioninfo.[ch]: removed more code and cleaned
	up the API.

	* app/widgets/Makefile.am
	* app/widgets/gimpsessioninfodock.[ch]: added the removed code here.

	* app/widgets/gimpdialogfactory.c: changed accordingly.

2007-05-24  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpsessioninfo.[ch]: removed lots of code...

	* app/widgets/Makefile.am
	* app/widgets/gimpsessioninfoaux.[ch]
	* app/widgets/gimpsessioninfobook.[ch]
	* app/widgets/gimpsessioninfodockable.[ch]: ...and added it here.
	Also allocate all structs using GSLice.

	* app/widgets/gimpcoloreditor.c
	* app/widgets/gimpcursorview.c
	* app/widgets/gimpdataeditor.c
	* app/widgets/gimpdialogfactory.c
	* app/widgets/gimpdocked.c
	* app/widgets/gimphistogrameditor.c
	* app/widgets/gimpmenudock.c
	* app/widgets/gimppaletteeditor.c: changed accordingly.

2007-05-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/bumpmap.c: formatting, added const qualifiers.

2007-05-23  Sven Neumann  <sven@gimp.org>

	* app/dialogs/channel-options-dialog.c
	* app/dialogs/convert-dialog.c
	* app/dialogs/desaturate-dialog.c
	* app/dialogs/fade-dialog.c
	* app/dialogs/image-merge-layers-dialog.c
	* app/dialogs/image-new-dialog.c
	* app/dialogs/image-scale-dialog.c
	* app/dialogs/layer-add-mask-dialog.c
	* app/dialogs/layer-options-dialog.c
	* app/dialogs/module-dialog.c
	* app/dialogs/offset-dialog.c
	* app/dialogs/palette-import-dialog.c
	* app/dialogs/print-size-dialog.c
	* app/dialogs/resize-dialog.c
	* app/dialogs/scale-dialog.c
	* app/dialogs/template-options-dialog.c
	* app/dialogs/vectors-export-dialog.c
	* app/dialogs/vectors-import-dialog.c
	* app/dialogs/vectors-options-dialog.c: allocate structs using GSlice.

2007-05-23  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpiscissorstool.[ch]: use a GQueue to store the points.

2007-05-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/help/gimphelpitem.c
	* plug-ins/help/gimphelplocale.c
	* plug-ins/help/help.c
	* plug-ins/help/gimphelpdomain.c: allocate structs using GSlice.

2007-05-23  Sven Neumann  <sven@gimp.org>

	* app/paint/gimppaintoptions.c
	* app/tools/gimpcolorbalancetool.c
	* app/tools/gimpcolorizetool.c
	* app/tools/gimpcurvestool.c
	* app/tools/gimpforegroundselecttool.c
	* app/tools/gimphuesaturationtool.c
	* app/tools/gimpiscissorstool.c
	* app/tools/gimplevelstool.c
	* app/tools/gimprectangleoptions.c
	* app/tools/gimprectangletool.c
	* app/tools/gimpthresholdtool.c
	* app/tools/tool_manager.c: allocate structs using GSlice.

2007-05-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_cmd_move_sash.c (sash_move): applied
	patch from Kevin Hurewitz that fixes resizing an area while being
	zoomed in (bug #439222).

2007-05-23  Sven Neumann  <sven@gimp.org>

	* app/actions/image-commands.c
	* app/actions/templates-commands.c: allocate structs using GSlice.

2007-05-23  Tor Lillqvist  <tml@novell.com>

	* plug-ins/common/tiff-save.c (save_paths): Use memset() instead
	of bzero().

2007-05-23  Sven Neumann  <sven@gimp.org>

	* app/core/gimp-user-install.c
	* app/core/gimpgradient-load.c
	* app/core/gimpsamplepoint.c
	* app/core/gimpscanconvert.c
	* app/core/gimpunit.c
	* app/display/gimpdisplayshell-filter-dialog.c
	* app/display/gimpdisplayshell-layer-select.c
	* app/display/gimpdisplayshell-scale.c
	* app/file/gimprecentitem.c
	* app/gui/splash.c: allocate structs using GSlice.

2007-05-23  Sven Neumann  <sven@gimp.org>

	* app/dialogs/tips-parser.c
	* app/display/gimpdisplayshell-autoscroll.c
	* app/display/gimpdisplayshell-selection.c
	* app/display/gimpstatusbar.c
	* app/menus/plug-in-menus.c
	* app/plug-in/gimpenvirontable.c
	* app/plug-in/gimpinterpreterdb.c
	* app/plug-in/gimpplugindebug.c
	* app/plug-in/gimppluginshm.c
	* app/text/gimptextundo.c: allocate structs using GSlice.

	* app/widgets/gimpselectiondata.c (gimp_selection_data_set_color):
	stack allocate tempory data.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* app/core/gimppalette-import.c
	* app/core/gimppalette-load.c
	* app/core/gimppalette.c: use GSlice for palette entries and
	temporary structs.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* app/base/siox.c: allocate structs using GSlice.

	* app/base/tile-swap.[ch]
	* app/xcf/xcf-load.c: removed dead code that used to deal with
	swapping from XCF files. Simplified swap file code quite a bit.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* app/core/gimparea.[ch]
	* app/core/gimpprojection.c
	* app/display/gimpdisplay.c: use GSlice to allocate GimpArea and
	sanitize the API.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager.[ch]
	* app/base/tile-manager-private.h: removed unused code.

	* app/base/pixel-surround.c
	* app/base/pixel-region.c: allocate structs using GSlice.

	* app/base/tile.c: allocate TileLink and TileRowHint using GSlice.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpclipboard.c
	* app/widgets/gimpcontainerview.c
	* app/widgets/gimpdialogfactory.c: allocate structs using GSlice.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* libgimpconfig/gimpscanner.c
	* libgimpwidgets/gimpwidgets.c: allocate structs using GSlice.

2007-05-22  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpmagnifyoptions.[ch]: remove "threshold" from
	the options struct and added compat code in get_property().

2007-05-22  Michael Natterer  <mitch@gimp.org>

	* app/config/gimprc-unknown.c
	* app/config/gimpxmlparser.c: allocate structs using GSlice.

2007-05-22  Michael Natterer  <mitch@gimp.org>

	* app/vectors/gimpvectors-import.c: allocate structs using GSlice.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpactionview.c: use GSlice to allocate struct.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcontrollers.c
	* app/widgets/gimpdevices.c
	* app/widgets/gimpdevicestatus.c
	* app/widgets/gimpeditor.c: allocate structs using GSlice.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpmenufactory.c
	* app/widgets/gimpactionfactory.c: allocate structs using GSlice.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimppropwidgets.c (gimp_prop_aspect_ratio_new):
	use GSlice and plugged a memleak.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphelp.c
	* app/widgets/gimpuimanager.c
	* app/widgets/gimpview-popup.c
	* app/widgets/gtkwrapbox.c: use GSlice to allocate structs.

2007-05-22  Michael Natterer  <mitch@gimp.org>

	* app/base/tile.[ch]: changed tile_init() to tile_new() and return
	a GSlice-allocated Tile structure.

	(tile_destroy): free it using GSLice.

	* app/base/tile-manager.c: use tile_new() instead of g_new plus
	tile_init(). Also allocate TileManager itself using GSlice.

	* app/xcf/xcf-load.c (xcf_load_parasite): allocate parasites using
	gimp_parasite_new().

2007-05-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gtkvwrapbox.c
	* app/widgets/gtkhwrapbox.c: use GSlice to allocate structs.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c
	* plug-ins/script-fu/script-fu-interface.c: use GSlice to allocate
	structs.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpdrawable.c
	* libgimp/gimppixelfetcher.c
	* libgimp/gimpprogress.c
	* libgimp/gimppixelrgn.c
	* libgimp/gimpregioniterator.c: allocate structs using GSlice.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpbrushmenu.c
	* libgimp/gimpgradientmenu.c
	* libgimp/gimpfontmenu.c
	* libgimp/gimppatternmenu.c
	* libgimp/gimppalettemenu.c: allocate structs using GSlice.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpbrushselect.c
	* libgimp/gimpgradientselect.c
	* libgimp/gimpfontselect.c
	* libgimp/gimppatternselect.c
	* libgimp/gimppaletteselect.c: allocate structs using GSlice.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* libgimpbase/gimpprotocol.c: allocate structs using GSlice.

	* libgimpmodule/gimpmodule.c: allocate GimpModuleInfo using GSlice.

2007-05-22  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/plug-in-params.c (plug_in_args_to_params): free
	parasites using gimp_parasite_free()

	* libgimp/gimp.c (gimp_run_procedure2): free wire messages using
	gimp_wire_destroy().

2007-05-22  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpsizeentry.c
	* libgimpwidgets/gimpquerybox.c: allocate structs using GSlice.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* libgimpconfig/gimpconfigwriter.c: use GSlice for the
	GimpConfigWriter struct.

2007-05-22  Michael Natterer  <mitch@gimp.org>

	* app/main.c (gimp_dbus_open): initialize "uri" to NULL.
	#include "file/file-utils.h"

2007-05-22  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager-private.h: formatting.

2007-05-22  Michael Natterer  <mitch@gimp.org>

	* app/actions/data-commands.c
	* app/base/boundary.c
	* app/base/gimphistogram.c
	* app/base/gimplut.c
	* app/base/temp-buf.c
	* app/core/gimpcontainer.c
	* app/core/gimpgradient.c
	* app/core/gimpparamspecs.c
	* app/core/gimpundo.c
	* app/plug-in/gimpplugin-cleanup.c
	* app/plug-in/gimppluginmanager-data.c
	* app/plug-in/gimppluginmanager-help-domain.c
	* app/plug-in/gimppluginmanager-locale-domain.c
	* app/plug-in/gimppluginmanager-menu-branch.c
	* app/plug-in/gimppluginprocframe.c
	* app/vectors/gimpanchor.c
	* app/widgets/gimpsessioninfo.c: use GSlice instead of g_new/g_free
	for structs of fixed size.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpprogressbox.c (gimp_progress_box_progress_start)
	(gimp_progress_box_progress_set_text): process updates.

2007-05-22  Sven Neumann  <sven@gimp.org>

	* app/core/gimpbrush.c (gimp_brush_get_new_preview): plugged a
	memory leak caused by one variable shadowing another.

	* app/vectors/gimpvectors-import.c (gimp_vectors_import): free the
	SvgPath structs.

2007-05-22  Michael Natterer  <mitch@gimp.org>

	* app/vectors/gimpvectors-warp.c (gimp_stroke_warp_point): don't
	leak three GimpCoords per warped point (eek).

2007-05-21  Sven Neumann  <sven@gimp.org>

	* themes/Default/images/preferences/Makefile.am: formatting.

2007-05-21  Sven Neumann  <sven@gimp.org>

	* autogen.sh: also look for automake-1.10.

2007-05-21  Sven Neumann  <sven@gimp.org>

	* app/core/gimp.c (gimp_message): documentation.

	* app/actions/documents-commands.c
	* app/widgets/gimplayertreeview.c
	* app/widgets/gimptoolbox-dnd.c: pass parent widgets to gimp_message().

2007-05-21  Sven Neumann  <sven@gimp.org>

	* app/pdb/gimpprocedure.c (gimp_procedure_validate_args): pass the
	GimpProgress to gimp_message().

	* plug-ins/common/bumpmap.c: reduced number of progress updates.

2007-05-21  Jakub Steiner <jimmac@ximian.com>

	* plug-ins/helpbrowser/wilber-reading.{svg,png}: new icon.

2007-05-21  Sven Neumann  <sven@gimp.org>

	* app/composite/gimp-composite.h: formatting.

2007-05-21  Sven Neumann  <sven@gimp.org>

	* app/dialogs/about-dialog.c: use 'program-name' instead of 'name'
	when compiling against GTK+ >= 2.11.0 (see bug #345822). Also set
	the title explicitely (see bug #418434).

2007-05-21  Sven Neumann  <sven@gimp.org>

	* app/core/gimptemplate.c: use a #define for the default resolution.

2007-05-20  Simon Budig  <simon@gimp.org>

	* plug-ins/common/tiff-save.c: correctly pad the path name.

2007-05-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg-load.c: moved duplicated code to a utility
	function.

2007-05-20  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcontainercombobox.c
	* app/widgets/gimpcontainerentry.c
	* app/widgets/gimpcontainertreeview.c: manage GtkTreeIters with
	gtk_tree_iter_copy/gtk_tree_iter_free instead of g_new/g_free.

2007-05-19  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimagefile.c (gimp_imagefile_get_desc_string): make
	sure the description contains no empty lines.

2007-05-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/screenshot.c: try to use the window name as
	layer name.

2007-05-18  Sven Neumann  <sven@gimp.org>

	* app/dialogs/preferences-dialog.c: tweaked the page header.

2007-05-18  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpintstore.c (gimp_int_store_add_empty): if we
	free the iter with gtk_tree_iter_free() we must also allocate it
	with gtk_tree_iter_copy() or gslice will explode.

2007-05-18  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/preferences-dialog.c (prefs_dialog_new): made the
	page header look like a selected list element.

2007-05-18  Sven Neumann  <sven@gimp.org>

	* app/dialogs/preferences-dialog.c: also removed the frame around
	the page header.

2007-05-17  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.c: Applied patch from
	Eric Lamarque that optimizes backchar() use. See bug #374854.

2007-05-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/tiff-load.c: split code to get the page name
	into a utility function.

2007-05-17  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpdockbook.c (gimp_dockbook_init): unset show-border.

	* app/widgets/gimpdockable.c (gimp_dockable_expose_event): don't
	paint the extension; reduces visual clutter.

2007-05-17  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/preferences-dialog.c: also remove the border around
	the notebook pages and add 12 px spacing between the page and its
	title instead.

2007-05-17  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpdockseparator.c: removed period from tooltip.

	* app/dialogs/preferences-dialog.c
	* app/widgets/gimptoolbox.c: removed frames to reduce visual clutter.

	* app/widgets/gimptoolbox-indicator-area.c: draw with borders.

2007-05-17  Simon Budig  <simon@gimp.org>

	* plug-ins/common/tiff-load.c: Fix the order of the imported paths.

2007-05-17  Simon Budig  <simon@gimp.org>

	* plug-ins/common/tiff-save.c: save the paths in the TIFF.
	Please test interoperability with other programs.
	Fixes bug #131982.

	* plug-ins/common/tiff-load.c: fix coordinate reading for
	negative coordinates.

	* app/config/gimpguiconfig.c: Show color swatches by default.

2007-05-16  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpthumbbox.c
	* libgimp/gimpprogressbar.c
	* plug-ins/script-fu/script-fu-interface.c: use Gtk functions to
	manually iterate the main loop because they release the Gdk lock
	correctly around calling the GLib main loop functions.

2007-05-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-interface.c (script_fu_interface):
	readded (better) code to deal with full menu paths.

2007-05-16  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpbrushtool.c (gimp_brush_tool_constructor): add a
	local GimpDisplayConfig variable to improve readability.

2007-05-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/mblur.c: applied patch from Jörg Gittinger that
	improves the quality of the Motion Blur filter (bug #380435).

2007-05-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-interface.c (script_fu_interface):
	removed code that used to deal with full menu paths. All our
	scripts use script-fu-menu-register now.

2007-05-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/selection-round.scm
	* plug-ins/script-fu/scripts/copy-visible.scm: unmarked strings for
	translation.

2007-05-16  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager.c (tile_invalidate): if the invalidated
	tile is the cached tile, release the cached tile. Fixes bug #438802.

2007-05-16  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpfiledialog.c (gimp_file_dialog_set_sensitive):
	apply sensitivity state to the Cancel button as well.
	(gimp_file_dialog_progress_start): make the Cancel button sensitive
	if the progress is cancelable.

	* app/widgets/gimpthumbbox.c (gimp_thumb_box_progress_start): if
	embedded in a GimpFileDialog, make its Cancel button sensitive if
	the progress is cancelable

2007-05-16  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpthumbbox.[ch]: combined the two progress bars
	(when loading multiple thumbnails) into a single one using a
	GimpSubProgress.

2007-05-15  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg-save.c
	* plug-ins/jpeg/jpeg-load.c: reduced number of progress updates.

2007-05-15  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu.c (script_fu_extension_init):
	renamed "Utils" to "Utilities".

2007-05-15  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/scripts/contactsheet.scm: Use 'img' and not
	'new-img' in make-thumbnail-size routine. Moved menu entry from
	Xtns/Utils to Xtns/Utilities. See bug #132532.

2007-05-15  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimpheal.c (gimp_heal_motion): convert the source
	region to the dest region's type, not the other way around
	(using the wrong if() condition when doing so). Fixes bug #390938.

2007-05-15  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/scheme-wrapper.c (marshall_proc_db_call): Allow
	any number type in a vector to be passed in PDB call as an INT*ARRAY.
	Updated error messages accordingly. Fixes bug #435640.

2007-05-15  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/dialog.c (browser_dialog_open): don't show
	the window yet. The user might not have the help pages installed.

	* plug-ins/helpbrowser/wilber-reading.png: use the new style Wilber.

2007-05-15  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/wmf.c
	* plug-ins/fits/fits.c
	* plug-ins/sel2path/sel2path.c
	* plug-ins/xjt/xjt.c: added missing calls to
	gimp_window_set_transient().

2007-05-15  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/svg.c
	* plug-ins/common/tiff-load.c
	* plug-ins/common/postscript.c
	* plug-ins/common/poppler.c: added missing calls to
	gimp_window_set_transient().

	* libgimp/gimppixbuf.c (gimp_layer_new_from_pixbuf): reduced
	number of progress updates.

2007-05-14  Michael Natterer  <mitch@gimp.org>

	* app/file/file-utils.c (file_utils_filename_to_uri): fix check on
	the GError returned by file_utils_filename_is_uri().

2007-05-14  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/gimpenv.c: #include <CoreServices/CoreServices.h>,
	not "...".

2007-05-14  Michael Natterer  <mitch@gimp.org>

	* configure.in: added check for OSX' Carbon framework.

	* libgimpbase/Makefile.am (libgimpbase_2_0_la_LDFLAGS): add
	$(CARBON_LDFLAGS)

	* libgimpbase/gimpenv.c (gimp_user_directory): add Carbon version.

	(find_folder): new Crabon-only utility function.

2007-05-14  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-transform.c: fixed gtk-doc comment.

2007-05-14  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/gimpmodule.c: add binding for gimp_user_directory().

2007-05-14  Michael Natterer  <mitch@gimp.org>

	* app/file/file-utils.[ch] (file_utils_filename_is_uri): new function,
	fixed and factored out of file_utils_filename_to_uri().

	* app/main.c (gimp_dbus_open): use it here instead of a simple
	strstr(filename, "://").

2007-05-14  Tor Lillqvist  <tml@novell.com>

	* libgimpbase/gimpenv.c: Undef DATADIR before including <shlobj.h>
	to avoid collision with DATADIR enum in objidl.h. Define
	CSIDL_MYDOCUMENTS, CSIDL_MYMUSIC and CSIDL_MYVIDEO in case missing
	from shlobj.h.

	* libgimpbase/Makefile.am: Link with -lole32 on Win32 for
	CoTaskMemFree().

2007-05-13  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpfiledialog.c (gimp_file_dialog_new): add a
	shortcut to the user's Pictures folder.

	* libgimpbase/xdg-user-dir.c: cosmetic changes.

2007-05-13  Sven Neumann  <sven@gimp.org>

	* plug-ins/help/gimp-help-lookup.c: include libgimpbase/gimpbase.h.

2007-05-13  Sven Neumann  <sven@gimp.org>

	* app/file/Makefile.am
	* app/file/xdg-user-dir.c[ch]: removed here ...

	* libgimpbase/Makefile.am
	* libgimpbase/xdg-user-dir.[ch]: ... and moved to libgimpbase.

	* libgimpbase/gimpbaseenums.[ch]: added GimpUserDirectory enum.

	* libgimpbase/gimpenv.[ch]: added new function to identify special
	user folders. Added Win32 specific code and use xdg_user_dir_lookup()
	on other platforms.

	* libgimp/gimpenums.c.tail
	* tools/pdbgen/enums.pl: regenerated.

	* libgimpbase/gimpbase.def: updated.

2007-05-11  Sven Neumann  <sven@gimp.org>

	* app/file/Makefile.am
	* app/file/file-procedure.[ch]
	* app/file/file-utils.[ch]: split functions dealing with file
	procedures into their own file and renamed them.

	* app/file/file-open.c
	* app/dialogs/file-save-dialog.c
	* app/actions/file-commands.c
	* app/widgets/gimpthumbbox.c
	* app/widgets/gimpdnd-xds.c
	* app/widgets/gimpimagepropview.c
	* tools/pdbgen/pdb/fileops.pdb: changed accordingly

        * app/pdb/fileops_cmds.c: regenerated.

2007-05-11  Karine Delvare  <edhel@gimp.org>

	* plug-ins/common/illusion.c: use the new preview transform function,
	see bug #356716.

2007-05-11  Sven Neumann  <sven@gimp.org>

	* app/file/Makefile.am
	* app/file/xdg-user-dir.[ch]: added a slightly modified copy of
	xdg-user-dirs-lockup.c from freedesktop.org.

2007-05-11  Sven Neumann  <sven@gimp.org>

	* app/main.c (gimp_dbus_open): don't attempt the conversion if the
	argument is already an URI.

2007-05-11  Sven Neumann  <sven@gimp.org>

	* app/main.c (gimp_dbus_open): convert filenames to absolute file
	URIs before passing them to dbus_g_proxy_call().

2007-05-10  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_main.[ch]
	* plug-ins/imagemap/imap_menu.c
	* plug-ins/imagemap/imap_command.c: finished port of Undo and Redo
	menus to GtkAction. Closes bug #138841.

2007-05-10  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/gimpfu.py: remove parameter definition special
	casing that was based on menu and plugin types. Instead expect the
	script to specify all its parameters in its register call, and hide
	the UI elements for the parameters we are already passed in
	interactive mode. For compatibilty, this is only turned on when you
	specify the "menu" named argument in the register call, or if you pass
	an empty label. This should fix bug #104639.

	* plug-ins/pygimp/plug-ins/clothify.py
	* plug-ins/pygimp/plug-ins/colorxhtml.py
	* plug-ins/pygimp/plug-ins/foggify.py
	* plug-ins/pygimp/plug-ins/py-slice.py
	* plug-ins/pygimp/plug-ins/shadow_bevel.py
	* plug-ins/pygimp/plug-ins/whirlpinch.py: update to register image and
	drawable parameters explicitly.

2007-05-10  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/pygimp-image.c: bind gimp_image_resize_to_layers.

2007-05-10  Sven Neumann  <sven@gimp.org>

	* plug-ins/flame/rect.c: reduced the number of progress updates.

2007-05-09  Karine Delvare  <edhel@gimp.org>

	* plug-ins/common/waves.c: use the new preview transform function,
	see bug #356716.

2007-05-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c (lcms_icc_apply): improved handling of
	attached non-RGB profiles.

	* plug-ins/common/oilify.c: use GIMP_RGB_LUMINANCE() instead of
	the self-made INTENSITY macro.

	* plug-ins/common/tiff-load.c
	* plug-ins/common/tiff-save.c: reduced number of progress updates.

2007-05-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-console.c (script_fu_browse_response):
	focus the console entry, set the cursor position to the first
	parameter and present the console window.

2007-05-09  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-preview.c
	(gimp_display_shell_draw_tri_row)
	(gimp_display_shell_draw_tri_row_mask): don't call gdk_draw_pixbuf()
	with a zero width. Fixes bug #349483.

2007-05-08  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/metadata/xmp-encode.c (gen_property): quick workaround
	for bug #436077.  A better solution will follow later.

2007-05-08  Karine Delvare  <edhel@gimp.org>

	* plug-ins/common/flarefx.c: use the new preview transform function,
	see bug #356716.

2007-05-08  Karine Delvare  <edhel@gimp.org>

	* plug-ins/common/papertile.c: Replace tile size with width & height,
	without changing the plug-in interface (bug #87092).

2007-05-08  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimptexteditor.c: use GtkWindow::transient-for just
	for the fun of using another GTK+ 2.10 feature.

2007-05-07  Sven Neumann  <sven@gimp.org>

	* libgimpbase/gimpbaseenums.[ch] (GimpCloneType): changed strings.

2007-05-07  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpbrushtool.[ch] (gimp_brush_tool_draw): moved
	brush drawing code to the new function gimp_brush_tool_draw_brush().

	* app/tools/gimpsourcetool.c: (gimp_source_tool_draw): draw the
	brush outline at the source position (bug #435545).

2007-05-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/blur.c (blur_prepare_row): clamp to the first
	row, not the second. Also update the progress less often.

2007-05-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/gauss.c: reduce rounding errors when converting
	between premultiplied and separated alpha. Fixes bug #383870.

2007-05-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/fits/fitsrw.c
	* plug-ins/fits/fits.c: applied modified patch from Peter
	Kirchgessner. Fixes creation of the last data record and makes
	handling of float values independent of the locale (bug #351656).

2007-05-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/pygimp/gimpfu.py: don't add the radiobuttons into a
	GtkFrame.

	* plug-ins/pygimp/plug-ins/sphere.py: added a PF_RADIO parameter
	as an example and for testing purposes.

2007-05-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/mapcolor.c: try to do something reasonable for
	the empty source range (bug #436145).

2007-05-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/dialog.c: start with a reasonable size and
	paned position and remember the window size and paned position at
	least within a GIMP session.

2007-05-06  Sven Neumann  <sven@gimp.org>

	* gimptool-2.0.in: define datarootdir before datadir (bug #436386).

2007-05-06  Sven Neumann  <sven@gimp.org>

	* configure.in: require libexif >= 0.6.0.

	* plug-ins/jpeg/gimpexif.[ch]: removed gimp_exif_entry_get_value()
	which was needed to work with libexif < 0.6.0.

	* plug-ins/jpeg/jpeg.c: declare the global ExifData here instead
	of in gimpexif.c.

	* plug-ins/jpeg/jpeg-exif.c: cosmetics.

2007-05-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg-exif.c (jpeg_apply_exif_data_to_image): only
	check for EXIF_TAG_GPS_VERSION_ID if it's defined (see bug #377917).
	This tag was added in libexif 0.6.13.

2007-05-06  Sven Neumann  <sven@gimp.org>

	* configure.in (AM_INIT_AUTOMAKE): pass dist-bzip2 to automake.

2007-05-06  Sven Neumann  <sven@gimp.org>

	* libgimpbase/Makefile.am (DISTCLEANFILES): clean gimpversion.h.

	* plug-ins/metadata/Makefile.am (CLEANFILES): clean testbase64.

	* po/Makefile.in.in (mostlyclean): clean .intltool-merge-cachemake

	* tools/pdbgen/Makefile.am: use DISTCLEANFILES instead of
	MAINTAINERCLEANFILES.

2007-05-06  Sven Neumann  <sven@gimp.org>

	* tools/defcheck.py: improved path handling. Allow to pass the
	source directory on the command-line.

	* Makefile.am (check-defs): pass $(top_srcdir) to defcheck.py.
	(validate-authors): validate authors.xml in the srcdir.

	* menus/Makefile.am (validate): changed output for consistency.

2007-05-06  Sven Neumann  <sven@gimp.org>

	* Makefile.am (DISTCHECK_CONFIGURE_FLAGS): --enable-gtk-doc
	(EXTRA_DIST): added mkinstalldirs, the po-* Makefiles need it.
	(check-defs): use tools/defcheck.py from $(top_srcdir).

2007-05-06  Simon Budig  <simon@gimp.org>

	* tools/pdbgen/pdb/edit.pdb: make gimp-edit-paste-as-new not fail
	at an empty clipboard, but return -1 as image id.

	* app/pdb/edit_cmds.c
	* libgimp/gimpedit_pdb.c: regenerated.

	* plug-ins/script-fu/scripts/paste-as-brush.scm
	* plug-ins/script-fu/scripts/paste-as-pattern.scm: Changed
	accordingly, fixes bug #357059.

	* modules/controller_linux_input.c: changed some axis names to make
	more sense.

2007-05-06  Sven Neumann  <sven@gimp.org>

	* po-*/Makefile.in.in: reverted last change, it didn't work.

2007-05-06  Sven Neumann  <sven@gimp.org>

	* po-*/Makefile.in.in: include po/Makefile.in.in and override
	@GETTEXT_PACKAGE@ instead of keeping five copies.

2007-05-06  Sven Neumann  <sven@gimp.org>

	* HACKING: suggest to use pango-1-16.

	* configure.in: added --enable-gtk-doc-app option and an automake
	conditional for it.

	* devel-docs/Makefile.am: build the app directory conditionally.

	* devel-docs/app/Makefile.am: override disthook since we don't
	want to distribute any generated files.

2007-05-05  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/app.pl (generate_pspec): use $flags and not a
	literal GIMP_PARAM_READWRITE for the image paramspec's flags.

	* app/pdb/image_cmds.c: regenerated.

2007-05-05  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/paint-funcs.c (convolve_region): instead of just
	copying the border pixels, convolute the full region and extend
	the borders.

	* app/paint/gimpconvolve.[ch]: removed broken code that used to
	deal with the image borders. Fixes bug #434279. Also reduced the
	matrix sizes to 3x3 as only the inner 3x3 values were nonzero.

2007-05-05  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/papertile.c: whitespace cleanup, tabs -> spaces.

2007-05-05  Roozbeh Pournader  <roozbeh@farsiweb.info>

	* configure.in: Added 'fa' (Persian) to ALL_LINGUAS.

2007-05-05  Sven Neumann  <sven@gimp.org>

	* app/base/gimplut.[ch]
	* app/tools/gimpcurvestool.c
	* app/tools/gimplevelstool.c: reverted the changes done for bug
	#331782. See the bug report for an explanation.

2007-05-05  Mukund Sivaraman  <muks@mukund.org>

	* app/gui/splash.c: reverted the progress bar size change.

2007-05-05  Mukund Sivaraman  <muks@mukund.org>

	* app/gui/splash.c: make the splash progress bar lean and mean.

2007-05-05  Mukund Sivaraman  <muks@mukund.org>

	* app/base/gimplut.[ch]
	* app/tools/gimpcurvestool.c
	* app/tools/gimplevelstool.c: Fixed the value channel color
	correction in the curves and levels tools to only modify the
	value channel and not the hues. Fixes bug #331782.

2007-05-05  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpdrawtool.c (gimp_draw_tool_draw_boundary): fixed
	off-by-one (too large) drawing of boundaries by copying the resp.
	code and its obscure comment from gimpdisplayshell-selection.c
	Fixes bug #416432.

2007-05-04  Sven Neumann  <sven@gimp.org>

	* app/dialogs/tips-dialog.c: make the tips label selectable.

2007-05-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/contactsheet.scm: added missing
	ellipsis to menu label and fixed default fonts.

	* plug-ins/script-fu/scripts/script-fu-set-cmap.scm: added missing
	ellipsis to menu label and corrected menu location.

2007-05-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/autocrop.c (autocrop): crop the image, even if
	the layer is fully opaque. Fixes bug #413906.

2007-05-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/autocrop.c (guess_bgcolor): special case fully
	transparent regions, just as we do in app/core/gimpimage-crop.c.
	Fixes bug #357554.

	* app/core/gimpimage-crop.c: cosmetics.

2007-05-04  Sven Neumann  <sven@gimp.org>

	* app/core/gimpbrush-load.c: applied slightly modified patch from
	Eric Lamarque that adds support for loading .abr v2 Photoshop
	brushes (bug #435635).

2007-05-04  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimpplugin-cleanup.c: removed debug output.

2007-05-04  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/maze/maze.c: reduced the number of progress updates.

2007-05-04  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/edge.c: reduced the number of progress updates.

2007-05-04  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/fractaltrace.c: whoops. fixed progress when
	selections exist.

2007-05-04  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/fractaltrace.c: reduced the number of progress
	updates.

2007-05-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/dog.c: reduced the number of progress updates.

2007-05-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/gauss.c (gauss_rle): fixed a bug in my last change.
	Also reduced the number of progress updates.

2007-05-04  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpprogress.c (gimp_progress_update): print a warning
	on stderr if a plug-in updates the progress too frequently.

2007-05-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/ifscompose/ifscompose.c
	* plug-ins/ifscompose/ifscompose_utils.c: reduce the number of
	progress updates.

2007-05-04  Sven Neumann  <sven@gimp.org>

	* app/display/gimpstatusbar.c (gimp_statusbar_progress_message):
	reverted last change, the behavior is different.

2007-05-04  Sven Neumann  <sven@gimp.org>

	* app/display/gimpstatusbar.c (gimp_statusbar_progress_message):
	removed code that guards us from multiline messages. This happens
	later in gimp_statusbar_vprintf() anyway.

2007-05-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/poppler.c: removed unused functionality from the
	resolution entry widget.

2007-05-04  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/psd-load.c: Fixed bogus argument in call to
	gimp_progress_update().

2007-05-04  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpwidgets.def: removed resolution entry symbols.

2007-05-03  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	* libgimpwidgets/gimpresolutionentry.[ch]: removed
	* libgimpwidgets/gimpwidgets.h
	* libgimpwidgets/Makefile.am: changed accordingly

	* plug-ins/pygimp/gimpui.defs: resolution entry api removed

	* plug-ins/common/poppler.c: resolution entry code added
	here, with unused api removed.

	Addresses (maybe fixes) bug #351281.

2007-05-03  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/paint-funcs.c (convolve_region): minor cleanup.

2007-05-03  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/despeckle.c: applied patch from Geert Jordaens
	plus some minor cleanups. Fixes bug #433251.

2007-05-03  Sven Neumann  <sven@gimp.org>

	Handle the core part of bug #434274:

	* app/core/gimpchannel.c (gimp_channel_real_boundary): return
	FALSE for an empty channel.

	* app/core/gimpitem.[ch]: added a progress parameter to
	gimp_item_stroke.

	* app/core/gimpchannel.c (gimp_channel_stroke)
	* app/core/gimpselection.c (gimp_selection_stroke): pass progress
	to gimp_message().

	* app/actions/vectors-commands.c
	* app/actions/select-commands.c
	* app/dialogs/stroke-dialog.c
	* app/vectors/gimpvectors.c
	* tools/pdbgen/pdb/edit.pdb
	* tools/pdbgen/pdb/paths.pdb: changed accordingly.

	* app/pdb/edit_cmds.c
	* app/pdb/paths_cmds.c: regenerated.

	* app/core/gimplayermaskundo.c: added a missing cast.

2007-05-03  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcolorframe.c (gimp_color_frame_update): hide the
	Index label if the color index is -1 (happens with sample_average).

2007-05-03  Sven Neumann  <sven@gimp.org>

	* plug-ins/winicon/icosave.c
	* plug-ins/winicon/icodialog.c: show a warning when the user is
	about to create a file using newer features of the icon file format.
	Loosely based on a patch from Aurimas Juška. Fixes bug #409467.

2007-05-02  Sven Neumann  <sven@gimp.org>

	* app/core/gimppickable.c (gimp_pickable_pick_color): reduce
	rounding errors.

2007-05-02  Sven Neumann  <sven@gimp.org>

	* app/core/gimppickable.[ch]: removed get_color_at() from the
	GimpPickable interface. Implement the same functionality using
	get_pixel_at() but with a saner API.

	* app/core/gimpdrawable.c
	* app/core/gimpprojection.c
	* app/core/gimpimagemap.c: removed get_color_at() implementations.

	* app/tools/gimpbycolorselecttool.c: adapt to API change of
	gimp_pickable_get_color_at().

	* app/tools/gimprectangleselecttool.c: added missing include.

2007-05-02  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/svg.c: Make size loading work properly with
	new librsvg versions.

	* configure.in: bumped required librsvg version to 2.14.

2007-05-02  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/poppler.c (load_dialog): set a size request on
	the GimpPageSelector widget.

2007-05-02  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpperspectiveclonetool.c
	(gimp_perspective_clone_tool_cursor_update): if we are in adjust
	mode, skip the GimpBrushClass when chaining up. Fixes bug #354933.

2007-05-02  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scheme-wrapper.c (ts_get_error_msg): applied
	patch from Eric Lamarque that fixes Script-Fu server output
	(bug #431623).

2007-05-02  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/jpeg/jpeg-exif.c: Check if any other IFDs exist before
	rejecting an image's EXIF info. Fixes bug #377917.

2007-05-02  Sven Neumann  <sven@gimp.org>

	* app/paint/gimpsmudge.c (gimp_smudge_start)

	* app/paint/gimpconvolve.c (gimp_convolve_motion): use
	gimp_pickable_get_pixel_at() to get the color to use with
	color_region(). Fixes Smudge and Convolve tools on grayscale images.

2007-05-02  Sven Neumann  <sven@gimp.org>

	* app/core/gimpparamspecs.c (gimp_param_string_validate): the GLib
	version that has string validation fixed is 2.12.12.

2007-05-02  Martin Nordholts  <martinn@svn.gnome.org>

	When adjusting a rectangle it feels unintuitive that the center of
	the rectangle when Ctrl is used lands on the corner that was used
	to resize the rectangle. This commit changes the center of the
	rectangle when Ctrl is used on a already-created rectangle to the
	center of the rectangle when the user starts adjusting the size.

	* app/tools/gimprectangletool.c (struct
	_GimpRectangleToolPrivate): Added center_[xy]_on_fixed_center
	members that keeps track on where the center of the rectangle
	should be when the Ctrl modifier is used.

	* app/tools/gimprectangletool.c: Added convenience function
	gimp_rectangle_tool_get_fixed_center_coords.

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_button_press): Sets the
	center_[xy]_on_fixed_center members depending on whether the button
	press modifies an existing rectangle or creates a new one.

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_active_modifier_key): Adjusted to accomodate to
	above mentioned changes.

2007-05-02  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager.c: cosmetics.

2007-04-30  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpselection.[ch] (gimp_selection_extract): changed
	"drawable" parameter to "pickable" and added some special casing
	for the GIMP_IS_DRAWABLE(pickable) case in the implementation.

	* app/core/gimpdrawable-transform.c: changed accordingly.

	* app/core/gimp-edit.c: ditto. Removed utility function
	gimp_edit_extract_visible() and simply use gimp_edit_extract() for
	"copy visible", passing image->projection. Fixes bug #434102.

2007-04-30  Michael Natterer  <mitch@gimp.org>

	* themes/Default/gtkrc: set GtkButton::focus-line-width to 1 and
	GtkButton::focus-padding to 0, just like in the Small theme (it
	was always meant to be that way, stupid copy'n'paste...)

2007-04-29  Christophe Merlet  <redfox@redfoxcenter.org>

	* configure.in: Added "oc" (Occitan) to ALL_LINGUAS.

2007-04-28  Tor Lillqvist  <tml@novell.com>

	* gimp-zip.in: Add libgimpconfig to the developer package. Remove
	the separate gif plug-in cruft. Fix a few typos.

2007-04-28  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/pygimp-pdb.c: add optional run_mode keyword argument
	to pdb calls.

2007-04-28  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpclipboard.c
	* app/widgets/gimpdnd-xds.c
	* plug-ins/helpbrowser/dialog.c: use gdk_atom_intern_static_string().

2007-04-27  Sven Neumann  <sven@gimp.org>

	* app/core/gimppickable.[ch]: added get_pixel_at() method to the
	GimpPickable interface. This gives direct access to the pixel
	without converting it to an RGB color.

	* app/core/gimpdrawable.c
	* app/core/gimpimagemap.c
	* app/core/gimpprojection.c: implement the new method and also use
	it to reimplement get_color_at().

	* app/core/gimpimage-crop.c (gimp_image_crop_guess_bgcolor): use
	gimp_pickable_get_pixel_at(). Fixes auto-shrink on indexed and
	grayscale images.

2007-04-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/sunras.c (set_color_table): guard against a
	possible stack overflow.

2007-04-27  Sven Neumann  <sven@gimp.org>

	* configure.in: use PANGO_DISABLE_DEPRECATED for pango < 1.17.

	* plug-ins/common/sample_colorize.c: removed unused variable.

2007-04-27  Sven Neumann  <sven@gimp.org>

	* configure.in: depend on poppler-glib >= 0.4.1.

	* plug-ins/common/poppler.c: removed ifdefs to handle older
	versions of the poppler library. Removed "antialias" toggle from
	the procedure API and from the GUI; it's not supported by poppler.

2007-04-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/truchet.scm: fixed typo in procedure
	name (bug #433772).

2007-04-27  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/imagemap/imap_preferences.c
	* plug-ins/gflare/gflare.c
	* plug-ins/Lighting/lighting_ui.c
	* plug-ins/xjt/xjt.c
	* plug-ins/metadata/xmp-parse.c
	* plug-ins/flame/flame.c
	* plug-ins/common/curve_bend.c
	* plug-ins/common/compressor.c
	* plug-ins/common/channel_mixer.c
	* plug-ins/common/mail.c
	* plug-ins/common/CML_explorer.c
	* plug-ins/ifscompose/ifscompose.c: Open files in binary mode
	("rb" and "wb").

2007-04-26  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpparamspecs.[ch]: renamed GimpParamSpecString's
	flag "no_validate" to "allow_non_utf8".

	* tools/pdbgen/app.pl
	* tools/pdbgen/pdb/*.pdb: renamed argument flag
	"no_validate" (which turns off utf8-validation for strings) to
	"allow_non_utf8" and renamed "no_success" (which turns off
	argument validation alltogether) to "no_validate".
	Doesn't affect generated code.

2007-04-26  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/display.pdb (display_is_valid)
	* tools/pdbgen/pdb/drawable.pdb (drawable_is_valid)
	* tools/pdbgen/pdb/image.pdb (image_is_valid)
	* tools/pdbgen/pdb/vectors.pdb (vectors_is_valid): it's the
	argument flag "no_success" which turns off validation, not
	"no_validate" (how obvious). Also fixed drawable and vectors
	procedures to check for !gimp_item_is_removed() instead of
	gimp_item_is_attached() (a newly created item is unattached
	but valid).

	* app/pdb/display_cmds.c
	* app/pdb/drawable_cmds.c
	* app/pdb/image_cmds.c
	* app/pdb/vectors_cmds.c: regenerated.

2007-04-26  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/pattern.pdb
	* tools/pdbgen/pdb/gradients.pdb
	* tools/pdbgen/pdb/brush_select.pdb
	* tools/pdbgen/pdb/context.pdb
	* tools/pdbgen/pdb/gradient.pdb
	* tools/pdbgen/pdb/palette.pdb
	* tools/pdbgen/pdb/procedural_db.pdb
	* tools/pdbgen/pdb/brushes.pdb
	* tools/pdbgen/pdb/palettes.pdb
	* tools/pdbgen/pdb/drawable.pdb
	* tools/pdbgen/pdb/brush.pdb
	* tools/pdbgen/pdb/gradient_select.pdb: some argument cleanup: use
	"=> 1" instead of "=> '1'" for setting argument flags, also made
	argument property order consistent so flags come before "desc".
	Doesn't affect generated code.

2007-04-26  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.c: document the image_types parameter (bug #326988).

2007-04-26  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/paint-funcs.c (gaussian_blur_region)
	* plug-ins/common/blur.c (blur)
	* plug-ins/common/gauss.c (do_encoded_lre) (do_full_lre): reduce
	rounding errors.

	* plug-ins/common/checkerboard.c (checkerboard_dialog): layout
	improvements.

2007-04-26  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/tiff-save.c: disabled the layer offsets saving
	code. This can be re-enabled in 2.6, when the load plug-in is
	patched to support these saved offsets.

	* plug-ins/common/tiff-load.c: marked the code for the above
	with a TODO comment.

2007-04-26  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/tiff-save.c: save the layer offsets too, to
	fix bug #419578.

2007-04-26  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/gfig/gfig-dobject.c: properly parse files with CRLF
	line-endings which were created in the past in Windows. Fixes
	a part of bug #346988.

	* plug-ins/gfig/gfig.c: open files in binary mode so that the same
	line-endings are used on all platforms.

2007-04-25  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpbrush.c (gimp_brush_scale_size): removed bogus
	"return" from void function. Fixes bug #433339, patch from Eric
	Lamarque.

2007-04-25  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/tiff-load.c: set a different filename when
	the number of pages loaded is lower than the number of pages
	in the TIFF file.

2007-04-25  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/tiff-load.c: set the filename to the original
	filename in case of single-page loads.

2007-04-25  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/tiff-load.c: moved the non-interactive check out
	of load_dialog() and into run().

2007-04-25  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpparamspecs.c (gimp_param_string_validate): added
	#warning to use GParamSpecString's features once we depend on a
	fixed version.

2007-04-25  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpparamspecs.[ch] (struct GimpParamSpecString)
	(gimp_param_spec_string): added "gboolean non_empty" to require
	the string being non-empty. Changed validation accordingly.
	Also fixed validation for static strings (we were happily
	freeing and modifying them before).

	* app/xcf/xcf.c: filenames should be non-empty.
	* app/pdb/gimp-pdb-compat.c: compat strings shouldn't.

	* tools/pdbgen/app.pl: add support for $arg->{non_empty} and
	changed generation of calls to gimp_param_spec_string().

	* tools/pdbgen/pdb/brush_select.pdb
	* tools/pdbgen/pdb/edit.pdb
	* tools/pdbgen/pdb/vectors.pdb
	* tools/pdbgen/pdb/plug_in.pdb
	* tools/pdbgen/pdb/gradient.pdb
	* tools/pdbgen/pdb/palette_select.pdb
	* tools/pdbgen/pdb/palette.pdb
	* tools/pdbgen/pdb/fileops.pdb
	* tools/pdbgen/pdb/progress.pdb
	* tools/pdbgen/pdb/procedural_db.pdb
	* tools/pdbgen/pdb/font_select.pdb
	* tools/pdbgen/pdb/pattern_select.pdb
	* tools/pdbgen/pdb/unit.pdb
	* tools/pdbgen/pdb/brush.pdb
	* tools/pdbgen/pdb/gradient_select.pdb
	* tools/pdbgen/pdb/buffer.pdb: require non-empty strings for data
	object names, procedure names, unit strings, PDB data identifiers
	and buffer names. Removed some manual strlen() checks, all other
	places just got better error reporting for free (proper validation
	error instead of unspecific execution error).

	* app/pdb/*_cmds.c: regenerated.

2007-04-25  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/gif.c
	* plug-ins/common/gifload.c
	* plug-ins/common/psd.c
	* plug-ins/common/psd_save.c: removed...

	* plug-ins/common/gif-load.c
	* plug-ins/common/gif-save.c
	* plug-ins/common/psd-load.c
	* plug-ins/common/psd-save.c: ...and renamed to make sense.

	* plug-ins/common/plugin-defs.pl
	* plug-ins/common/Makefile.am: changed accordingly.

2007-04-25  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/tiff-load.c
	* plug-ins/common/tiff-save.c: make progress bars progress to
	completion.

2007-04-25  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/tiff-load.c
	* plug-ins/common/tiff-save.c: indentation changes.

2007-04-25  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/tiff-load.c
	* plug-ins/common/tiff-save.c: fixed the names of the plug-in
	binaries in PLUG_IN_BINARY.

2007-04-25  Mukund Sivaraman  <muks@mukund.org>

	* configure.in
	* plug-ins/common/plugin-defs.pl
	* plug-ins/common/Makefile.am
	* plug-ins/common/tiff-load.c
	* plug-ins/common/tiff-save.c: split TIFF load and save
	functionality into different plug-ins.

	* plug-ins/common/mkgen.pl: modified to allow plug-ins to override
	auto-generated library env; also use underscores instead of hyphens
	in the generated Makefile.am.

	* plug-ins/common/tiff.c: removed.

2007-04-25  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/paint-funcs.c (convolve_region): round pixel values
	instead if just casting the float to an integer. Fixes bug #432978.

2007-04-25  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/paint-funcs.c: whitespace cleanup.

	* plug-ins/common/despeckle.c: minor cleanups.

2007-04-25  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpscrolledpreview.c: also use the middle mouse
	button for panning.

	* plug-ins/common/nova.c: override the default mouse handling of
	the GimpScrolledPreview and allow to reposition the center using
	the left mouse button. Fixes bug #364432.

	* app/tools/gimprectangletool.c: formatting.

2007-04-24  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.3.17.

2007-04-25  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/tiff.c: initialize the pages[] array with
	the page sequence for non-niteractive runs. Otherwise it'll
	simply load N copies of page 0.

2007-04-25  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/tiff.c: fixed an issue where the page selection
	dialog was being shown even for non-interactive runs.

2007-04-24  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/tiff.c: added support to load multi-page TIFF
	images as single layered image or multiple individual per-page
	images, after prompting the user for choice using a
	GimpPageSelector widget. Fixes the rest of bug #138495.

2007-04-24  Mukund Sivaraman  <muks@mukund.org>

	* libgimpwidgets/gimppageselector.c: updated the API documentation
	to indicate that the returned array is sorted.

2007-04-24  Mukund Sivaraman  <muks@mukund.org>

	* plug-ins/common/poppler.c: set the page selector target
	from lastvals before showing the dialog

2007-04-24  Sven Neumann  <sven@gimp.org>

	* Made 2.3.16 development release.

2007-04-24  Sven Neumann  <sven@gimp.org>

	* app/config/Makefile.am: fiddle with test_config_LDFLAGS to make
	test-config link again.

	* plug-ins/common/wind.c: increased MAX_STRENGTH to 100.

2007-04-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/screenshot.c: unset 'show-border' on the
	GtkNotebook that holds the hints.

2007-04-24  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimppluginprocedure.[ch]: use GQuark for locale and
	help domains to avoid duplicating the same strings many times.

	* app/plug-in/gimppluginmanager-restore.c: removed FIXME.

2007-04-24  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/gimppluginmanager-restore.c
	(gimp_plug_in_manager_restore): set the default plug-in locale
	domain on all GimpPlugInDefs which don't register a locale domain
	themselves. Fixes bug #430146.

2007-04-22  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/brush.pdb (brush_rename)
	* tools/pdbgen/pdb/gradient.pdb (gradient_rename)
	* tools/pdbgen/pdb/palette.pdb (palette_rename): don't allow the
	empty string as new name. Fixes bug #431845.

	* app/pdb/brush_cmds.c
	* app/pdb/gradient_cmds.c
	* app/pdb/palette_cmds.c: regenerated.

2007-04-21  Sven Neumann  <sven@gimp.org>

	* app/widgets/dbus-service.xml
	* app/widgets/gimpdbusservice.[ch]: use "uri" instead of "filename"
	in the D-Bus methods.

2007-04-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-console.c: enable word-wrapping in
	the Script-Fu console.

2007-04-19  Sven Neumann  <sven@gimp.org>

	* configure.in (ALL_LINGUAS): added 'km' (Khmer) (bug #420417).

2007-04-19  Sven Neumann  <sven@gimp.org>

	* configure.in: bump the required version of pygtk to 2.10.4.
	Older versions have a bug in the code generator (bug #381389).

2007-04-18  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am: don't override LDFLAGS, use AM_LDFLAGS instead.

2007-04-18  Sven Neumann  <sven@gimp.org>

	* app/plug-in/Makefile.am
	* app/plug-in/gimppluginmanager.[ch]
	* app/plug-in/gimppluginmanager-restore.[ch]: moved
	gimp_plug_in_manager_restore() to its own file.

	* app/core/gimp.c: changed accordingly.

	* app/Makefile.am (LDFLAGS): convince the linker to do its job.

2007-04-18  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimppluginmanager.c (gimp_plug_in_manager_restore):
	try to improve readability by moving code to helper functions.

2007-04-18  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimpinterpreterdb.[ch]: added a function that
	returns all file extensions registered in the interpreter db.

	* app/plug-in/gimppluginmanager.c (gimp_plug_in_manager_restore):
	if the PATHEXT environment variable is set, append all registered
	file extensions to it. This way GIMP can recognize Python scripts
	as plug-ins on platforms where the executable bit is unknown.

2007-04-18  Sven Neumann  <sven@gimp.org>

	* data/tips/gimp-tips.xml.in: fixed a typo.

2007-04-18  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpscrolledpreview.c
	(gimp_scrolled_preview_nav_button_press): applied patch from
	Aurimas Juška that fixes positioning of the quick navigation
	popup (bug #430917).

2007-04-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/fp.c (fp_render_preview): removed a conditional
	that has become obsolete now. Fixed indentation.

2007-04-17  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimppreviewarea.c: allow the draw, blend, mask
	and fill methods to be called with zero width or height. Nothing
	will be drawn, but it's still a valid call.

2007-04-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/fp.c: deal better with drawables that are not
	the same size as the image. Fixes bug #430455.

2007-04-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/fp.c: use g_malloc(); plugged memory leaks.

2007-04-17  Sven Neumann  <sven@gimp.org>

	Allow other applications to open images in GIMP as if they were
	new images (without associating a filename). Fixes bug #423118.

	* app/file/file-open.[ch]: added parameter 'as_new' to
	file_open_image() and its variants.

	* app/actions/data-commands.c
	* app/actions/documents-commands.c
	* app/actions/file-commands.c
	* app/core/gimpimagefile.c
	* app/dialogs/file-open-dialog.c
	* app/dialogs/file-open-location-dialog.c
	* app/widgets/gimptoolbox.c
	* app/widgets/gimptoolbox-dnd.c: changed accordingly.

	* app/app.[ch]
	* app/main.c: added new command-line option '--as-new'.

	* app/widgets/gimpdbusservice.[ch]
	* app/widgets/dbus-service.xml: added new method OpenAsNew to the
	D-Bus interface.

	* docs/gimp.1.in: document the new command-line option.

2007-04-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/neon-logo.scm: applied slightly
	modified patch from Aurimas Juška which fixes bug #167260 by not
	allowing the selection to shrink too much.

2007-04-17  Michael Natterer  <mitch@gimp.org>

	* app/config/gimprc.c
	* app/plug-in/gimppluginmanager.c
	* app/plug-in/gimpplugin.c
	* app/gui/themes.c: don't translate --verbose or g_printerr()
	messages, they are debugging output that often ends up in bugzilla
	and should not depend on the locale.

2007-04-17  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/gqbist.c: applied slightly modified patch from
	Aurimas Juška which adds an undo button to go back to the previous
	state. Fixes bug #356662.

2007-04-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/Makefile.am: use GTK_CFLAGS and GTK_LIBS.

2007-04-16  Sven Neumann  <sven@gimp.org>

	* app/base/pixel-surround.c: documentation fix.

2007-04-16  Michael Natterer  <mitch@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpcellrendereraccel.[ch]: remove
	GimpCellRendererAccel.

	* app/widgets/gimpactionview.c: use GtkCellRendererAccel instead.
	If an action has no label, use its name as label. Always show the
	"Name" column because there are too many actions with confusingly
	similar names.

2007-04-16  Sven Neumann  <sven@gimp.org>

	* INSTALL
	* configure.in
	* app/gui/gui.c (gui_sanity_check): require gtk+ >= 2.10.6.

2007-04-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/Lighting/lighting_ui.c: applied patch from Aurimas
	Juška that fixes sensitivity of input fields related to the light
	type (bug #359833).

2007-04-13  Michael Natterer  <mitch@gimp.org>

	* app/base/base-types.h
	* app/base/temp-buf.[ch]: remove redundant and inconsistently used
	MaskBuf type and API.

	* app/core/gimpbrush-scale.c
	* app/paint/gimpbrushcore.[ch]: use TempBuf and its API instead.
	This also optimizes away a useless memset() on brush scaling,
	we completely fill each of the created buffers anyway.

2007-04-12  Sven Neumann  <sven@gimp.org>

	* app/tools/gimprectangleselecttool.c: implement
	GimpTool::key_press and delegate to the rectangle tool or the edit
	selection tool. This resurrects positioning of floating selections
	with the cursor keys.

2007-04-12  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/display.pdb (display_delete): added a note that
	calling this function may cause data loss.

	* app/pdb/display_cmds.c
	* libgimp/gimpdisplay_pdb.c: regenerated.

2007-04-12  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/metadata/xmp-parse.c: made the parser more tolerant and
	accept XMP blocks that are not using the namespace prefixes
	recommended by the XMP specification.

2007-04-12  Sven Neumann  <sven@gimp.org>

	* app/actions/plug-in-commands.c: if a plug-in or script
	registered with a DISPLAY argument after the run-mode argument,
	then pass the ID of the active display to the script, optionally
	followed by image and drawable IDs.

	* plug-ins/script-fu/scheme-wrapper.c
	* plug-ins/script-fu/script-fu-enums.h
	* plug-ins/script-fu/script-fu-interface.c
	* plug-ins/script-fu/script-fu-scripts.c
	* plug-ins/script-fu/script-fu-types.h: added SF-DISPLAY parameter.

2007-04-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/sel2path/*.[ch]: updated copyright header.

2007-04-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/channel_mixer.c
	* plug-ins/gfig/gfig-style.c: get rid of compiler warnings about
	dereferencing type-punned pointers.

2007-04-12  Sven Neumann  <sven@gimp.org>

	* app/tools/gimplevelstool.c
	* app/tools/gimpcurvestool.c
	* app/xcf/xcf-save.c
	* app/xcf/xcf-load.c
	* app/widgets/gimppaletteeditor.c
	* app/widgets/gimpcolormapeditor.c
	* app/widgets/gimpcolorframe.c: get rid of compiler warnings about
	dereferencing type-punned pointers.

2007-04-12  Sven Neumann  <sven@gimp.org>

	* libgimpbase/gimpprotocol.[ch] (struct _GPParam): don't redefine
	the GimpParasite struct, just use it.

	* libgimp/gimp.c: include gimpparasite.h.

	* libgimp/gimpitemcombobox.c (gimp_item_combo_box_new): initialize
	combo_box_type to suppress a compiler warning.

	* libgimpwidgets/gimpmemsizeentry.c (gimp_memsize_entry_new):
	avoid dereferencing a type-punned pointer.

2007-04-11  Jakub Steiner <jimmac@ximian.com>

	* themes/Default/images/stock-display-filter-contrast-24.svg
	* themes/Default/images/stock-display-filter-colorblind-24.svg
	* themes/Default/images/stock-display-filter-contrast-24.png
	* themes/Default/images/stock-display-filter-colorblind-24.png
	* themes/Default/images/stock-display-filter-contrast-16.svg
	* themes/Default/images/stock-display-filter-colorblind-16.svg
	* themes/Default/images/stock-display-filter-lcms-24.svg
	* themes/Default/images/stock-display-filter-contrast-16.png
	* themes/Default/images/stock-display-filter-colorblind-16.png
	* themes/Default/images/stock-display-filter-lcms-24.png
	* themes/Default/images/stock-display-filter-lcms-16.svg
	* themes/Default/images/stock-display-filter-gamma-24.svg
	* themes/Default/images/stock-display-filter-lcms-16.png
	* themes/Default/images/stock-display-filter-gamma-24.png
	* themes/Default/images/stock-display-filter-gamma-16.svg
	* themes/Default/images/stock-display-filter-gamma-16.png: how
	could I have gone to LGM with a straight face without finishing
	these?

2007-04-11  Sven Neumann  <sven@gimp.org>

	* INSTALL: document the new options (and some not so new ones).

	* configure.in: applied patch from Hanno Boeck that adds more
	configure options (bug #425267).

2007-04-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/ifscompose/ifscompose_utils.c (ifs_render): applied
	patch from Aurimas Juška to fix bug #428556.

2007-04-11  Mukund Sivaraman  <muks@mukund.org>

	* app/display/gimpstatusbar.c: Fixes a bug (#428493) where
	  gimp_statusbar_push_temp() expects vaargs and
	  gimp_statusbar_progress_message() directly passes a message
	  to it as the format string.. in this case the message
	  contains % (in the filename) and no arguments.

2007-04-09  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimpperspectiveclone.c
	* app/paint/gimppaintoptions.c: #include "libgimpmath/gimpmath.h"

2007-04-01  Michael Natterer  <mitch@gimp.org>

	* app/base/Makefile.am
	* app/base/brush-scale.[ch]: removed these files.

	* app/core/Makefile.am
	* app/core/gimpbrush-scale.[ch]: added the functions here as
	static utility functions. Also move the default implementations of
	GimpBrush::scale_size(), ::scale_mask() and ::scale_pixmap() here,
	including their utility functions.

	* app/core/gimpbrush.c: remove all scale stuff and
	include "gimpbrush-scale.h" instead.

	(gimp_brush_get_new_preview): use GimpBrush's scale functions
	instead of the now private ones. Cleanup.

	(gimp_brush_scale_mask)
	(gimp_brush_scale_pixmap): return a copy of the buf for
	scale == 1.0.

2007-03-31  Michael Schumacher  <schumaml@cvs.gnome.org>

	* plug-ins/common/svg.c:
	* plug-ins/common/tiff.c:
	* plug-ins/common/wmf.c:
	* plug-ins/jpeg/jpeg-load.c: some file load plug-ins did call
	gimp_quit() in their load functions. This aborts the plug-in
	instead of returning a GIMP_PDB_EXECUTION_ERROR. The run()
	function in each plug-in was already prepared to do this on
	errors.

2007-03-31  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-blend.c: use SQR(x) instead of x*x.

2007-03-31  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimppaintcore.c (gimp_paint_core_start): set
	core->saved_proj_tiles to NULL after unrefing them.

	* app/paint/gimppaintcore.h: whitespace fixes.

2007-03-31  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimprectangleoptions.[ch]: made the
	GimpRectangleOptionsPrivate struct public (ha ha).

	(gimp_rectangle_options_gui): replaced the "Auto shrink selection"
	toggle by a normal button that needs to be clicked explicitely.

	* app/tools/gimprectangletool.c: access members of
	GimpRectangleOptionsPrivate directly instead of reading them into
	local variables using g_object_get(), this makes the code quite
	more readable. Some code cleanup.

	(gimp_rectangle_tool_button_release): get rid of the confusing
	auto-shrink madness on button release...

	(gimp_rectangle_tool_start)
	(gimp_rectangle_tool_halt): ...instead, connect to the option's
	auto shrink button and shrink on "clicked".

2007-03-31  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimprectangleselecttool.c: read the "operation" member
	of GimpSelectionOptions directly.

	* app/tools/gimpellipseselecttool.c (gimp_ellipse_select_tool_draw):
	chain up instead of calling gimp_rectangle_tool_draw() directly,
	don't #include "gimprectantletool.h".

2007-03-31  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpcroptool.c: access the GimpCropOptions structure
	directly to read the "layer_only" option (don't use g_object_get),
	some code cleanup.

2007-03-31  Michael Natterer  <mitch@gimp.org>

	Statusbar messages shouldn't depend on the emission of unrelated
	signals:

	* app/widgets/gimpuimanager.c (gimp_ui_manager_connect_proxy):
	connect to the menu items' "select" and "deselect" signals here...

	(gimp_ui_manager_item_realize): ...instead of here.

2007-03-31  Michael Natterer  <mitch@gimp.org>

	* app/actions/dialogs-actions.c
	* app/actions/dock-actions.c
	* app/actions/edit-actions.c
	* app/actions/file-actions.c
	* app/actions/help-actions.c
	* app/actions/layers-actions.c
	* app/actions/plug-in-actions.c
	* app/actions/tools-actions.c
	* app/actions/vectors-actions.c
	* app/actions/view-actions.c
	* app/actions/window-actions.c: add many missing action tooltips
	and fixed some broken/inconsistent ones. Sorry for the big string
	change but the inconsistencies were just too big to ship 2.4 like
	that.

2007-03-30  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/paint-funcs.c: hardcode the result of
	log (1.0 / 255.0) and avoid a useless call to sqrt().

2007-03-30  Sven Neumann  <sven@gimp.org>

	* app/paint/gimpheal.c (gimp_heal_laplace_iteration)
	(gimp_heal_laplace_loop): compare square of errors instead of
	calculating the square root. Rewritten loop to avoid code duplication.

2007-03-30  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpdrawtool.[ch]
	* app/tools/gimpperspectiveclonetool.c
	* app/tools/gimptransformtool.c: compare squared distances.

2007-03-30  Sven Neumann  <sven@gimp.org>

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_draw_guides):
	hardcode the result of sqrt(5).

2007-03-29  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimptool.c (gimp_tool_check_click_distance): don't
	compare the result of sqrt() with something, compare the original
	value with something's square instead.

2007-03-29  Sven Neumann  <sven@gimp.org>

	* app/core/gimpbrushgenerated.c (gimp_brush_generated_calc): moved
	generation of the lookup table to it's own function. Also changed
	SUPERSAMPLING from 5 to 4. Let's see if someone complains...

2007-03-29  Sven Neumann  <sven@gimp.org>

	* libgimp/gimppixelrgn.c: code cleanup. Removed MEMCPY_IS_NICE
	define and unconditionally use memcpy().

2007-03-29  Sven Neumann  <sven@gimp.org>

	* libgimp/gimppixelrgn.c (gimp_pixel_rgn_init): initialize
	rowstride to zero; it's meaningless as long as data is NULL.

2007-03-28  Sven Neumann  <sven@gimp.org>

	* app/pdb/layer_cmds.c
	* libgimp/gimplayer_pdb.c: regenerated.

2007-03-28 João S. O. Bueno Calligaris <gwidion@mpc.com.br>

        * tools/pdbgen/pdb/layer.pdb: clarified documentation for
	add_mask procedure; fixed typo in documentation for create_mask.

2007-03-27  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpdbusservice.[ch]
	* app/widgets/dbus-service.xml: added a boolean return value to
	the D-Bus Open method.

2007-03-27  Sven Neumann  <sven@gimp.org>

	* app/file/file-open.[ch]: changed file_open_from_command_line()
	to deal with a single filename only.

	* app/widgets/gimpdbusservice.[ch]
	* app/widgets/dbus-service.xml: changed the D-Bus Open method to
	take only a single filename.

	* app/app.c
	* app/main.c: changed accordingly.

2007-03-26  Michael Schumacher  <schumaml@cvs.gnome.org>

	* plug-ins/common/compressor.c (save_image, load_image):
	Check if the files to be read or written and the temporary files
	have been opened. Otherwise, bail out safely instead of causing a
	crash. Fixes bug #422444.

2007-03-26  Sven Neumann  <sven@gimp.org>

	* app/widgets/dbus-service.xml
	* app/widgets/gimpdbusservice.h: be more specific in the D-Bus
	service and interface name.

2007-03-23  Sven Neumann  <sven@gimp.org>

	Make XOR color configurable (bug #421466):

	* app/config/gimprc-blurbs.h
	* app/config/gimpdisplayconfig.[ch]: added gimprc option for the
	XOR color.

	* app/display/gimpcanvas.[ch]: keep a reference to the Gimp object
	and take the XOR color from GimpDisplayConfig.

	* app/display/gimpdisplayshell.c: pass gimp to gimp_canvas_new().

2007-03-22  Sven Neumann  <sven@gimp.org>

	* app/core/gimplayer.c (gimp_layer_add_mask): allow adding a mask
	to a layer without alpha channel (bug #316207).

2007-03-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/svg.c: fixed incorrect PDB documentation.

2007-03-21  Martin Nordholts  <martin@svn.gnome.org>

	* plug-ins/common/svg.c (run): Added comment to explain why the
	svg file provided resolution is not clamped against
	GIMP_MIN/MAX_RESOLUTION.

2007-03-21  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell.c (gimp_display_shell_new): don't
	call gimp_zoom_model_zoom() before assigning shell->display. Fixes
	bug #421044.

2007-03-21  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpblendtool.c (gimp_blend_tool_button_release): fixed
	typo spotted by Bill Skaggs.

2007-03-21  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-preview.c
	(gimp_display_shell_trace_tri_edge): be more robust to avoid
	crashes like bug #420595.

2007-03-20  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcursorview.[ch] (gimp_color_frame_update_cursor):
	disallow passing a NULL image.

	(gimp_color_frame_clear_cursor): new function that clears the
	cursor view.

	* app/widgets/gimpcolorframe.c (gimp_color_frame_update): if
	color_frame->sample_valid is FALSE, don't do any color
	transformations and don't construct any string because none
	of them is going to be used (all labels will show "n/a").

	* app/display/gimpstatusbar.[ch]: renamed set_cursor() API
	to update_cursor().

	* app/display/gimpdisplayshell-cursor.c
	(gimp_display_shell_update_cursor): move variables to local
	scopes. Follow GimpStatusbar API change. Cleanup.

	(gimp_display_shell_clear_cursor): ditto. Follow GimpCursorView
	API change.

2007-03-20  Michael Natterer  <mitch@gimp.org>

	* app/actions/plug-in-actions.c
	* app/menus/plug-in-menus.c: GimpPlugInProcedure has a boolean
	member "file_proc" now, use it instead of checking prefixes,
	extensions and magics manually.

	* app/plug-in/gimppluginprocedure.c
	(gimp_plug_in_procedure_set_mime_type)
	(gimp_plug_in_procedure_set_thumb_loader): set
	plug_in_proc->file_proc to TRUE here too.

	* plug-ins/common/pnm.c: register "image/x-portable-anymap" as
	mime-type and "pnm" as extension for file-pnm-save so it's
	recognized as file procedure.

2007-03-19  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.c (gimp_install_procedure): rephrased new
	documentation.

2007-03-19  Michael Natterer  <mitch@gimp.org>

	Make sure we create actions for all plug-in procedures which have
	a menu_label, so it's possible to assign shortcuts to them.
	Fixes bug #371300.

	* app/actions/plug-in-actions.c (plug_in_actions_setup): removed
	duplicate code and simply call plug_in_actions_register_procedure()
	on all actions, it already does all needed checks and signal
	connections by itself.

	(plug_in_actions_update)
	(plug_in_actions_register_procedure)
	(plug_in_actions_unregister_procedure): unified checks for whether
	a plug-in procedure needs an action or not: it needs either a
	menu_label or menu_paths and must not have extensions, prefixes or
	magics.

	* libgimp/gimp.c (gimp_install_procedure): document that it's
	possible to install shortcut-only procedures by registering a
	menu_label but no menu_paths.

2007-03-19  Sven Neumann  <sven@gimp.org>

	* libgimpbase/gimpbaseenums.[ch]: changed labels for
	GimpTransformDirection to make the corrective transform feature
	more obvious.

2007-03-18  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimpbrushcore.c: cosmetic cleanup.

2007-03-18  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimpbrushcore.c
	(gimp_brush_core_scale_mask)
	(gimp_brush_core_scale_pixmap)
	(gimp_brush_core_get_brush_mask): remove parameter
	"gdouble scale" and use core->scale.

	(gimp_brush_core_paste_canvas)
	(gimp_brush_core_replace_canvas)
	(gimp_brush_core_get_brush_mask)
	(gimp_brush_core_color_area_with_pixmap): don't pass core->scale.
	As below, passing anything else makes no sense.

	(gimp_brush_core_interpolate): cleanup.

2007-03-18  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimpbrushcore.[ch]
	(gimp_brush_core_color_area_with_pixmap): removed parameters
	"GimpImage *dest" (because it's always the passed drawable's
	image) and "gdouble scale" (because passing anything but
	brush_core->scale makes no sense whatsoever).

	* app/paint/gimppaintbrush.c (_gimp_paintbrush_motion): changed
	accordingly.

2007-03-18  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimpbrushcore.c: simplified brush scale calculation by
	making sure that brush_core->scale always contains a value that's
	suited as input for gimp_brush_scale_mask/pixmap() (bug #419290).

	(gimp_brush_core_calc_brush_size): removed this function. All
	places can now call gimp_brush_scale_size() directly with
	core->scale as parameter.

	(gimp_brush_core_calc_brush_scale): new function which returns
	a linear scale factor which contains both the area-based pressure
	scale factor and the linear paint options scale factor.

	(gimp_brush_core_start)
	(gimp_brush_core_get_paint_area): use the new function instead
	of doing these calculations manually.

	(gimp_brush_core_interpolate): remove call to
	gimp_brush_core_scale_brush_size() and use core->scale directly.

	(gimp_brush_core_get_paint_area)
	(gimp_brush_core_scale_mask)
	(gimp_brush_core_scale_pixmap): use gimp_brush_scale_size()
	instead of the removed gimp_brush_core_scale_brush_size().

	(gimp_brush_core_create_bound_segs): use only
	paint_options->brush_scale here since the canvas brush preview
	always has to asume full pressure.

	* app/core/gimpbrush.c (gimp_brush_scale_size): special case
	scale == 1.0 and return the mask's width/height without calling
	the virtual function.

2007-03-18  Michael Natterer  <mitch@gimp.org>

	* app/file/file-utils.c (file_check_single_magic): jikes, the
	offset is to be interpreted as offset from the start of the file
	for offset >= 0, not offset > 0.

2007-03-17  Michael Natterer  <mitch@gimp.org>

	* app/file/file-utils.c (file_check_single_magic): allow negative
	offsets in magics and interpret them as relative to the end of the
	file.

	(file_utils_find_proc)
	(file_check_magic_list): some cleanup.

	* plug-ins/common/tga.c (query): register the magic string
	"TRUEVISION-XFILE.\0" 18 bytes before the end of the file.
	This way, "new style" TGA files are detected regardless of
	their filename. "old style" TGA files still need the right
	extension to be treated as TGA. Added "vda", "icb" and "vst"
	to the list of extensions. Fixes bug #133798.

2007-03-17  Michael Natterer  <mitch@gimp.org>

	Make the height of the previews in data editors configurable.
	Fixes bug #337757.

	* app/widgets/gimpdataeditor.[ch]: add member "view" which needs
	to be set by subclasses. Add style property "minimal-height" which
	defaults to 96. Add style_set() implementation which sets
	editor->view's height to the configured value.

	* app/widgets/gimpbrusheditor.[ch]
	* app/widgets/gimpgradienteditor.[ch]
	* app/widgets/gimppaletteeditor.[ch]: use data_editor->view for
	storing the view widget and removed own view members. Remove
	separate #defines for the view's default width and height, it's
	width follows the dialog anyway.

	* themes/Default/gtkrc: document the default value of 96.

	* themes/Small/gtkrc: set it to 64.

2007-03-17  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/scripts/script-fu-compat.init: Fixed syntax
	error in string-trim-left function (spotted by Saul Goode). Added
	compatability routine for 'verbose'.

2007-03-17  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpvectortool.c (gimp_vector_tool_register):
	register the tool with GIMP_PAINT_OPTIONS_CONTEXT_MASK and
	GIMP_CONTEXT_GRADIENT_MASK so its tool options are suited
	as parameter object for stroking (the stroke button in the
	tool options was using default values before).

2007-03-16  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/gimppluginprocframe.c
	(gimp_plug_in_proc_frame_get_return_vals): don't just g_free() the
	GValueArray after we memcpy()-stole its values because this both
	leaks the contained array of GValues and crashes with glib trunk
	where GValueArray is slice-allocated. Instead, free the array of
	GValues manually, set it to NULL and use g_value_array_free().

2007-03-16  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu.c: remove N_() from calls to
	gimp_plugin_menu_register().

2007-03-16  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scripts/spyrogimp.scm: update the progress
	to avoid looking like the script hangs. Fixes bug #356677.

	* plug-ins/script-fu/script-fu-interface.c
	(script_fu_interface_report_cc): if the command starts with
	"gimp-progress-", the script is obviously showing a progress bar
	for itself, so clear the text instead of showing an endless number
	of "gimp-progress-update" messages. Also fixed manual main loop
	iteration.

2007-03-16  Michael Natterer  <mitch@gimp.org>

	Fix stuck progress bars (bug #393832):

	* app/plug-in/gimpplugin-progress.[ch] (gimp_plug_in_progress_end):
	added PlugInProcFrame parameter instead of blindly using the topmost
	in the procedure stack...

	* app/plug-in/gimppluginprocframe.c
	(gimp_plug_in_proc_frame_dispose): ...because we call it from here,
	when the proc_frame is already removed from the procedure stack.

	Unrelated:

	* plug-ins/script-fu/scripts/difference-clouds.scm: use
	RUN-INTERACTVE instead of 0, added (gimp-displays-flush)

	* plug-ins/common/snoise.c (solid_noide): update the progress to
	1.0 after rendering.

2007-03-15  Michael Natterer  <mitch@gimp.org>

	* data/brushes/Makefile.am: group files by type.

2007-03-15  Martin Nordholts  <martinn@svn.gnome.org>

	Converted .gbr to .vbr brushes where possible. Fixes bug #322176 and
	bug #157506.

	* data/brushes/Makefile.am: Changed .gbr for .vbr-counterparts for
	converted brushes.

	* data/brushes/*circle.gbr:
	* data/brushes/*fcircle.gbr:
	* data/brushes/DStar*.gbr:
	* data/brushes/callig*.gbr: Removed.

	* data/brushes/Circle-*.vbr:
	* data/brushes/Circle-Fuzzy-*.vbr:
	* data/brushes/Diagonal-Star-*.vbr:
	* data/brushes/Calligraphic-Brush-*.vbr: Added.

2007-03-15  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpaligntool.c
	* app/tools/gimpcolorpickertool.c
	* app/tools/gimppainttool.c
	* app/tools/gimpvectortool.c: remove gimp_tool_pop_status() from
	control() implementations because GimpTool does this generically now.

	* app/tools/gimpblendtool.c
	* app/tools/gimpselectiontool.c: remove entire control()
	implementations because they were doing nothing else.

2007-03-15  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimppaintoptions-gui.c (gimp_paint_options_gui): "adj"
	is a GtkObject not a GtkWidget, also moved it to its local scope.

2007-03-15  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_halt): check
	if tool->display is there before dereferencing it (bug #418504).

	(gimp_rectangle_tool_start): add "display" parameter and set
	tool->display here.

	(gimp_rectangle_tool_button_press): pass the display to start()
	and don't set tool->display here.

2007-03-14  Michael Natterer  <mitch@gimp.org>

	Make the status display stuff local to GimpTool:

	* app/tools/tool_manager.c (tool_manager_control_active): don't
	call gimp_tool_clear_status().

	* app/tools/gimptool.[ch]: make gimp_tool_clear_status() a
	private function. Move call to gimp_tool_clear_status() from
	real_control() to control(). Check the status_displays too in
	gimp_tool_real_has_display() and gimp_tool_has_image() so the
	normal mechanism of control(HALT)ing (and thus popping all
	status messages) the tool on display close works.

2007-03-14  Michael Natterer  <mitch@gimp.org>

	Fix stuck statusbar messages when changing tools (bug #398913):

	* app/tools/gimptool.[ch]: keep a list of status_displays around.
	Update the list in all status push, replace and pop functions.
	Added gimp_tool_clear_status() which removes the status messages
	from all displays in the list. Call the function from
	gimp_tool_real_control(HALT).

	* app/tools/tool_manager.c (tool_manager_control_active): if we
	can't call gimp_tool_control() because we have no display to pass,
	still call gimp_tool_clear_status() so the messages go away from
	displays the tool was only hovering.

2007-03-14  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/gimpplugin.c (gimp_plug_in_new): require either
	"procedure" or "prog" being non-NULL, not both of them at the same
	time. Get the executable name from the procedure if the procedure
	was passed.

	* app/plug-in/gimppluginmanager-call.c
	(gimp_plug_in_manager_call_run): pass a NULL prog since we already
	pass the procedure.

2007-03-14  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-render.c: sprinkled some const
	qualifiers and removed obscure shift code in favor of letting the
	compiler do this optimization.

2007-03-14  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell.[ch]: renamed newly added members
	to scale_x and scale_y and removed the SCALEFACTOR macros.

	* app/display/gimpdisplayshell-handlers.c
	* app/display/gimpdisplayshell-render.c
	* app/display/gimpdisplayshell-scale.c
	* app/display/gimpdisplayshell-transform.c
	* app/display/gimpnavigationeditor.c
	* app/tools/gimpforegroundselecttool.c
	* app/tools/gimprectangletool.c: changed accordingly.

2007-03-14  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpbrush.c
	* app/core/gimpbrushgenerated.c: some minor fixes and stylistic
	paranoia i overlooked in last night's late review.

2007-03-14  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell.[ch]: cache the display scale
	factors in the GimpDisplayShell struct and recalculate it in
	gimp_display_shell_scale_factor_changed().

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_set_dot_for_dot)
	* app/display/gimpdisplayshell-handlers.c
	(gimp_display_shell_resolution_changed_handler)
	(gimp_display_shell_monitor_res_notify_handler): update the scale
	factors by calling gimp_display_shell_scale_factor_changed().

	* app/display/gimpdisplayshell-transform.c
	* app/display/gimpnavigationeditor.c: code cleanup.

2007-03-14  Sven Neumann  <sven@gimp.org>

	* app/base/pixel-surround.c (struct _PixelSurround): documentation.

2007-03-14  Sven Neumann  <sven@gimp.org>

	* app/base/siox.c (siox_drb): moved calculations out of MIN() macro.

2007-03-14  Sven Neumann  <sven@gimp.org>

	* app/paint/gimppaintoptions.c: limit brush scale to [0.01, 10.0]

2007-03-14  Sven Neumann  <sven@gimp.org>

	* app/base/brush-scale.c: minor cleanups, moved calculations out
	of the MIN() macro, avoid unneeded floating-point calculations.

2007-03-14  Martin Nordholts  <martinn@svn.gnome.org>

	Made brushes upscalable by using scale_region. Downscaling still
	uses functions in app/base/brush-scale.c (because of better
	performance). Parametric brushes of course recalculates masks
	instead of using bitmap scaling. Fixes bug #65030.

	* app/core/gimpbrush.[ch]: Added a private scale_buf method which
	uses scale_region (with GIMP_INTERPOLATION_LINEAR) to scale its
	masks and pixmaps. Also added public virtual method scale_size to
	GimpBrush (overridden by GimpBrushGenerated) which calculates the
	buffer sizes for a given brush scaled with a given scale.

	* app/core/gimpbrushgenerated.c: Implemented the new scale_size
	method inherited from GimpBrush, and modified
	gimp_brush_generated_calc to use this helper function.

	* app/tools/gimppaintoptions-gui.c (gimp_paint_options_gui): Made
	the brush Scale-slider logarithmic.

	* app/paint/gimppaintoptions.c (gimp_paint_options_class_init):
	Changed Scale scale to [0.0, 10.0].

	* app/paint/gimpbrushcore.c:
	(gimp_brush_core_calc_brush_size): Refactored 'get brush size' code
	to where it belongs, in GimpBrush-classes, and allowed scales
	larger than 1.0.

2007-03-13  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdialogfactory.[ch]: added new ugly function
	gimp_dialog_factory_hide_dialog() which does gtk_widget_hide() and
	sets the stored visibility state to GIMP_DIALOG_VISIBILITY_INVISIBLE
	in order to avoid re-showing dialogs that were already insivible due
	to TAB-toggling when we gtk_widget_hided them.

	* app/tools/gimptransformtool.c
	* app/tools/gimpimagemaptool.c: use the new function instead of
	gtk_widget_hide() to hide tool dialogs. Fixes bug #414006.

2007-03-13  Sven Neumann  <sven@gimp.org>

	* data/brushes/Makefile.am
	* data/brushes/thegimp.gbr
	* data/brushes/xcf.gbr: removed two legacy brushes.

2007-03-13  Raphaël Quinet  <raphael@gimp.org>

	* plug-ins/script-fu/script-fu-console.c: Fix for bug #417467
	based on modified patch by Eric Lamarque and suggested by Mitch.
	Allows build without warnings and correct localization for Solaris
	and other platforms.

2007-03-13  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptransformtool.c (gimp_transform_tool_response):
	added a g_return_if_fail() check to catch bug #414006.

2007-03-13  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpwidgets.c (gimp_label_set_attributes): fixed
	implementation for PANGO_ATTR_STRIKETHROUGH, spotted by Behdad
	Esfahbod.

2007-03-12  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-transform.c: code cosmetics.

2007-03-12  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpmagnifytool.[ch]: lots of fixes and changes:

	- Request click events and use them instead of looking at the
	  distance the mouse travelled ourselves.
	- Also zoom when the user draws a very thin rectangle or just a
	  line, there is no reason to treat that as click.
	- Changed all calculations and stored values to double so the tool
	  continues to work smoothly at high zoom levels.
	- Fix scale calculation when zooming out (was totally b0rk).
	- Changed offset calculation when zooming out so that the current
	  viewport ends up within the drawn rectangle (which is the
	  opposite of what zooming in does).

